Welcome

This page links you to product and user information for the Keysight N7617B Signal Studio for WLAN 802.11a/b/g/n/ac/ah/ax software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Software version 3.4

Help revised 9/5/2017 - get the latest revision

© Keysight Technologies, Inc. 2006-2017


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7617B Signal Studio for WLAN 802.11a/b/g/n/ac/ah/ax software, you must have a properly configured PC and a properly configured instrument, as described in the following tables.

WLAN 802.11a/b/g/j/p

WLAN 802.11n

WLAN 802.11ac

WLAN 802.11ah

WLAN 802.11ax

Hardware Requirements for WLAN 802.11a/b/g/j/p

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Additional options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Additional options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG vector signal generator

Firmware:

Version A.01.20 or later (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade )

Required options:

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory)

Recommended options:

N5182A-019 (Increase Baseband Generator Memory to 64 MSa)

N5182A-UNV (Enhanced Dynamic Range)

N5182A-403 (calibrated noise personality, required for C/N capability)

N5182A-506 (250 kHz to 6 GHz frequency range)

E4438C ESG vector signal generator

Firmware:

Version C.04.95 or later (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade )

Required options:

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Recommended options:

E4438C-005 (6 GB internal hard drive)

E4438C-403 (calibrated noise personality, required for C/N capability)

E4438C-506 (250 kHz to 6 GHz frequency range)

E4438C-UNJ (Enhanced phase noise performance [includes 1E5], required with E4438C-506)

E4438C-1E5 (High-stability time base, included with E4438C-UNJ)

E8267D PSG vector signal generator

Firmware:

Version C.04.92 or later (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade )

Required options:

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability)

Recommended options:

E8267D-005 (6 GB internal hard drive)

E8267D-403 (calibrated noise personality, required for C/N capability)

N5106A PXB baseband generator and channel emulator

Required options (both of the following bundles are required for verifying MIMO performance)

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5106A-LTE (WLAN MIMO software application bundle)

This bundle includes:

N5106A-TFP (WLAN channel models)

N7617B-6FP (N5106A connectivity)

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11n

Solutions

Instruments

Requirements

One Signal Generator Solution for MxN MIMO

(output switched between multiple waveforms in ARB memory)

One N5172B EXG

or

One N5182B MXG

or

One N5182A MXG

or

One E4438C ESG

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

Multiple ESGs Solution without Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

(E4438Cs driven from 10M reference and the same trigger)

M number of E4438Cs for transmitter test or N number of E4438Cs for receiver test

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

Multiple Signal Generators Solution with Baseband Timing Alignment, but without RF Phase Coherence for MxN MIMO

(Two signal generators with baseband generator clock coherence, but without RF common LO)

M numbers of

N5172Bs or

N5182Bs or

N5182As or E4438Cs

for transmitter test

or

N numbers of

N5172Bs or

N5182Bs or N5182As or E4438Cs

for receiver test

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with Option 506)

E4438C-HEC (provides external baseband generator clock input, which requires 200 - 400 MHz clock input signal)

One external ARB clock

Working with E4438C

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

(Signal generators with RF common LO and baseband generator clock coherence)

M numbers of

N5172Bs or

N5182Bs or

N5182As or E4438Cs

for transmitter test

or

N numbers of

N5172Bs or

N5182Bs or N5182As or E4438Cs

for receiver test

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-012 (LO IN/OUT for phase coherency, required)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with Option 506)

E4438C-HEC (provides external baseband generator clock input, which requires 200-400 MHz clock input signal)

E4438C-HCC (provides 250 MHz to 4 GHz IN & OUT on the rear panel of the E4438C)

E4438C-HBC (provides 4 GHz to 6 GHz IN & OUT on the rear panel of the E4438C, requires E4438C-HCC and E4438C-506, I-bar OUT and Q-bar OUT connectors will be removed from the rear panel)

Lock box plus external ARB clock or amplifier distribution

Working with E4438C

Z5623AK10 (4 channel distribution amplifier, 250 MHz to 6 GHz) plus an N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Instruments

Requirements

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9381A PXIe vector signal generator (multi-channel synchronization)

Driver:

Version 2.1.000.0 or later

Required options:

Y1299A-001 PXI multi-channel/MIMO, reference solution kit

  • For multi-channel operation, the Signal Studio software assumes the M9381A VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the Multi-Channel, Reference Solution Startup Guide for more information.

  • Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

Recommended options:

M9381A-012 (LO sharing for phase coherency)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11ac

Solutions

Hardware Requirements

80+80 MHz SISO

Mx2 MIMO

Mx3 MIMO

Mx4 MIMO

Mx5 MIMO

Mx6 MIMO

Mx7 MIMO

Mx8 MIMO

MxN MIMO (with one signal generator switching between different waveforms)

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64 MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

N5106A PXB

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5106A-LTE (WLAN MIMO software application bundle)

This bundle includes:

N5106A-TFP (WLAN channel models)

N7617B-6FP (N5106A connectivity)

External ARB Clock Working with E4438C

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Instruments

Requirements

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9381A PXIe vector signal generator (multi-channel synchronization)

Driver:

Version 2.1.000.0 or later

Required options:

Y1299A-001 PXI multi-channel/MIMO, reference solution kit

  • For multi-channel operation, the Signal Studio software assumes the M9381A VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the Multi-Channel, Reference Solution Startup Guide for more information.

  • Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

N7617B-U02 or greater (Signal Studio minor enhancement update, Option MEU)

Recommended options:

M9381A-012 (LO sharing for phase coherency)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11ah

Solutions

Hardware Requirements

Mx2 MIMO

Mx3 MIMO

Mx4 MIMO

1x1 MIMO (for PXB)

2x2 MIMO (for PXB)

4x4 MIMO (for PXB)

MxN MIMO (with one signal generator switching between different waveforms)

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64 MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

N5106A PXB

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5106A-LTE (WLAN MIMO software application bundle)

This bundle includes:

N5106A-TFP (WLAN channel models)

N7617B-6FP (N5106A connectivity)

External ARB Clock Working with E4438C

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Instruments

Requirements

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11ax

Instruments | Requirements
N5172B EXG X-Series RF vector signal generator | Firmware: Version B.01.10 or later (how to upgrade) Required options: N5172B-503 (9 kHz to 3 GHz frequency range) or N5172B-506 (9 kHz to 6 GHz frequency range) N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) Recommended options: N5172B-506 (9 kHz to 6 GHz frequency range) Additional options to consider: N5172B-009 (internal Flash drive) N5172B-012 (LO in/out for phase coherency) N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa) N5172B-1EA (high power output for PA testing) N5172B-403 (calibrated AWGN for testing with noise) N5172B-UNV (enhanced dynamic range)
N5182B MXG X-Series RF vector signal generator | Firmware: Version B.01.10 or later (how to upgrade) Required options: N5182B-503 (9 kHz to 3 GHz frequency range or N5182B-506 (9 kHz to 6 GHz frequency range) N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) Recommended options: N5182B-506 (9 kHz to 6 GHz frequency range) N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth) Additional options to consider: N5182B-009 (internal Flash drive) N5182B-012 (LO in/out for phase coherency) N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa) N5182B-1EA (high power output for PA testing) N5182B-403 (calibrated AWGN for testing with noise) N5182B-UNV (enhanced dynamic range)
M9420A VXT PXIe vector transceiver | Software: Version M.16 or later Recommended options: M9420A-506 (frequency range 6 GHz) M9420A-1EA (high output power) M9420A-B85 (increases signal bandwidth to 80 MHz) M9420A-B1X (increases signal bandwidth to 160 MHz) M9420A-M05 (memory 512 MSa) Additional options to consider: M9420A-FDX (full duplex ports) M9420A-HDX (half duplex ports)
M9421A VXT PXIe vector transceiver | Software: Version M.16 or later Recommended options: M9421A-506 (frequency range 6 GHz) M9421A-1EA (high output power) M9421A-B85 (increases signal bandwidth to 80 MHz) M9421A-B1X (increases signal bandwidth to 160 MHz) M9421A-M05 (memory 512 MSa) Additional options to consider: M9421A-HDX (half duplex ports)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.


.NET Framework

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 8.1

With Windows 8.1 you do not have to install .NET Framework, rather you enable it in the Control Panel and it is downloaded and installed automatically. You must perform this procedure as the administrator and be connected to the internet.

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5. Make sure the checkbox is marked.

  3. Press OK. This will begin the installation process of .NET Framework 3.5.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M8190A Arbitrary Waveform Generator

  • M9381A PXIe Vector Signal Generator

  • E6640A EXM Wireless Test Set

  • E6650A EXF Wireless Test Set for Femtocell

  • M9420A/M9421A VXT PXIe Vector Transceiver

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator


Installing the License in an MXG Signal Generator

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M8190A Arbitrary Waveform Generator

Before installing the license file, save a backup copy in a safe place.

Using Keysight License Manager

The Keysight License Manager (KLM) must be running on the PC that is physically connected to the M8190A AWG. This PC may be an embedded AXIe controller or a PC connected to the M8190A AWG over PCIe. The PC must have the M8190A firmware running on it.

  1. If you do not have KLM installed on the PC connected to the M8190A, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to the PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Use the KLM software to install the license file. Refer to the KLM help for specific instructions.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6640A EXM Wireless Test Set

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6650A EXF Wireless Test Set for Femtocell

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an M9420A/M9421A VXT PXIe Vector Transceiver

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • M9420A VXT PXIe Vector Transceiver (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • E6640A EXM Wireless Test Set (50-pack options 250, 251, and 252 are standard with this product)

  • E6650A EXF Wireless Test Set for Femtocell (50-pack options 250, 251, and 252 are standard with this product)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
M9381A PXIe VSG | All firmware versions | N/A
M9420A PXIe VXT | All firmware versions | N/A
E6640A | All firmware versions | N/A
E6650A | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Using the Software

Concept | provides conceptual information about 802.11 WLAN topics to guide you in configuring signal parameters.
Tutorials | provides detailed instructions about channel setup, waveform setup, carrier setup, and so on.
User Interface | provides information about how to work with the user interface.
API Control | provides information about using the application programming interface (API)
Troubleshooting | gives help on software, interface, and instrument problems.


Concept

Concepts

General | provides common technical information for WLAN
802.11a/b/g/j/p | provides technical information about 802.11a/b/g/j/p
802.11n | provides technical information about 802.11n
802.11ac | provides technical information about 802.11ac
802.11ah | provides technical information about 802.11ah
802.11ax | provides technical information about 802.11ax


General Concepts

General

Aggregation MPDU (for 802.11n, 11ac, 11ah)

Beamforming Matrix (for 802.11ac, 11ah)

Minimum MPDU Start Spacing (for 802.11n, 11ac, 11ah)

PN Sequence Generation


Aggregation MPDU (for 802.11n, 11ac, 11ah)

Aggregated MPDU allows aggregation of multiple MPDUs (MAC protocol data units) in one PSDU (PHY service data unit). See the A-MPDU formats below. An A-MPDU consists of a number of MPDU delimiters each followed by an MPDU. The MPDU delimiter is 4 bytes. Except when it is the last MPDU, padding octets are appended to make each section a multiple of 4 bytes in length.


Beamforming Matrix (for 802.11ac, 11ah)

Beamforming is one of the techniques for improving the data throughput of the system using multiple antennas. Beamforming applies different weightings of amplitude and phase to the signal on each antenna in order to maximize the signal at the receiver’s antenna(s) after the signals pass through a typical environment (the channel) with reflections and multipath. To determine the correct weighting values, the 802.11ac standard defines a process where the receiver provides explicit feedback to the transmitter about the channel conditions. The sounding process to determine the channel information involves these steps:

  1. The transmitter (typically an access point) sends a Null Data Packet (NDP) Announcement frame with the address of the AP and the target recipients.

  2. The transmitter sends a Null Data Packet to the target recipients.

  3. Each target receiver uses the preamble in the NDP to measure the RF channel characteristics, and returns the measurements as a compressed beamforming steering matrix to the transmitter.

  4. The transmitter uses the data from all recipients to beamform its transmissions.

The beamforming matrix is complex, and includes magnitude and phase information for each pair of transmit and receive antennas, for each OFDM subcarrier. Signal Studio allows a user to provide values for this beamforming matrix, which is then applied to the signals for each transmit antenna.

This technique is also adopted in the 802.11ah standard.


Minimum MPDU Start Spacing (for 802.11n, 11ac, 11ah)

It’s the minimum time between the start of adjacent MPDUs within an A-MPDU.

The following shows the MPDU start spacing between two adjacent A-MPDU subframes.

When the spacing is shorter than the Minimum MPDU Start Spacing, one or more MPDU delimiters will be added as padding to extend the spacing. The following example shows padding with one MPDU delimiter. As a result, the length of the A-MPDU is extended by 4 octets.


PN Sequence Generation

A PN data sequence is an M-sequence that is generated using a linear feedback shift-register circuit, as illustrated below. M is the number of shift registers. D(M) is the mth shift register, and {c1,c2,…,cM} are the coefficients of them. At each clock pulse, the data in the registers will right shift once and one PN datum is output from register D(M).

Mathematically, the procedure can be defined by a generator polynomial. {c1,c2,…,cM} becomes the coefficients of the generator polynomial. For instance, the polynomial for PN9 is x9+x5+1, therefore, M=9 and

c9=1, c5=1, ci∈{1~9},and i≠9,i≠5=0

The PN sequence, {an}, 0 ≤ n < 2M, is generated by the equation below.

where, the initial state of registers {D1,D2…DM} is the seed. D(M) stores the LSB of the seed, and D1 stores the MSB of the seed. For example, if the seed is 10 (binary form 1010), the initial state in register {D1,D2…DM} is {0 0 0 0 0 1 0 1 0}. The figure below shows the initial state of each register for PN9. It’s obvious that LSB of the seed comes out first.

Afterwards, the registers store previously generated data, Dm=an-m,m∈(1,M).

The generator polynomial for PN15 is x15+x14+1, therefore M=15 and c15=1, c14=1, ci∈{1~15},and i≠15,i≠14=0.


802.11a/b/g/j/p concept

802.11a/b/g/j/p Concepts

PMD Layer

DSSS Frame Structure

OFDM Signal Structure

DSSS-OFDM PPDU Format

OFDM Payload Data Encoding

Optional PBCC Payload Data Encoding

OFDM Raised Cosine Windowing


PMD Layer

The Signal Studio for WLAN 802.11a/b/g/n/ac software enables you to create physical layer, physical medium dependent (PMD) test signals, which contain the physical layer convergence procedure (PLCP) Preamble (long and short), PLCP Header, and the payload.

Although the signal does not provide medium access control (MAC) or PLCP protocol handling, it does enable testing of the PMD layer for receiver and component tests.

Figure 1. PMD layer

The PMD sublayer is the physical layer, which provides the transmission of the signal over the air interface. The PMD layer provides the framing, scrambling, and modulation of the signal. Measurements that can be made on the physical layer signal include standards-based measurements and measurements that can be used as troubleshooting tools in design and development, such as spectral measurements. To make these measurements, the MAC and PLCP layers are not needed.

Signal Studio for WLAN gives the user the ability to add a MAC header and frame check sequence (FCS) to the data payload. This is useful for specifying addresses or other MAC fields to append to the payload data. The FCS should be enabled if the user intends to use this test signal to perform FER/PER measurements.


DSSS Frame Structure

Frame Structure - DSSS and Optional PBCC

In 802.11 DSSS systems, information is transmitted in frames. The total frame length is variable. The Signal Studio for WLAN 802.11a/b/g/n/ac software supports framing for both the long and short preambles, as detailed in the following figures.

PPDU Frame with Long PLCP Preamble

Figure 1. PPDU frame with long PLCP preamble

PLCP Preamble

  • Preamble: the user can turn scrambling On, Off, or On for the Preamble only.

  • SFD: the user cannot modify the SFD field.

PLCP Header

  • Signal: the user cannot modify the signal fields.

  • Service:

    Bit 0 is set to zero to indicate that the data is not CCK-OFDM, and cannot be modified by the user.

    Bits 1 and 4 are reserved bits as indicated by the 802.11 standard, and cannot be modified by the user.

    Bit 3 is set to zero if CCK is the modulation format, and is set to one if PBCC is the modulation format. This is automatically set by the software, and the user cannot modify this bit.

    Bits 5, 6, and 7 are the length extension fields and are used by the PBCC modes. This field is set automatically by the software and cannot be modified by the user.

    Bit 7 is the length extension bit. If the payload data rate is over 8 Mbps, then this bit will be set to one automatically by the software. The user cannot modify this bit.

  • Length: the user cannot modify the length fields.

  • CRC: automatically calculated by the software, and cannot be modified by the user.

PPDU Frame with Short PLCP Preamble

Figure 2. PPDU frame with short PLCP preamble

Payload Structure

The payload field is contained within the PPDU frame. A MAC header and FCS can be added to the data payload. The following table provides a summary of the payload characteristics for the 802.11b DSSS mode.

Table 1. DSSS mode summary

Data Rate Mbps | Chip Rate Mcps | Spreading/Coding Scheme | Modulation
1 | 11 | 11 Chip Barker Code | DBPSK
2 | 11 | 11 Chip Barker Code | DQPSK
5.5 | 11 | CCK | DQPSK
11 | 11 | CCK | DQPSK
5.5 | 11 | PBCC | BPSK
11 | 11 | PBCC | QPSK

The following figure is an illustration of the MAC header structure. The description and details of each of these fields can be found in the IEEE 802.11 standard. The user has control over all of these fields.

Figure 3. MAC header structure


OFDM Signal Structure

Frame Structure

In 802.11 OFDM systems, information is transmitted in frames. During the burst, the entire frame is transmitted, then the carrier is idle for a certain interval. This idle interval can be set in the software. All data in the frame is OFDM encoded, and the total frame length is variable because the payload can be varied between 0-4095 bytes. The following figure illustrates the frame structure of the signal created by the Signal Studio for WLAN software, 802.11a/b/g/j/p option. The signal is created according to the IEEE-802.11a standard.

The 802.11 OFDM frame has four distinct regions. The first region of the preamble consists of a short preamble. The short preamble contains 10 short symbols assigned to subcarriers -24, -20, -16, -12, -8, -4, 4, 8, 12, 16, 20, 24. The second region contains the long preamble, consisting of 2 long symbols that are assigned to all 52 subcarriers. The preambles are BPSK modulated at 6 Mbps. They contain no channel coding, and are not scrambled. The third region of the frame is the Signal field, which consists of one OFDM symbol assigned to all 52 subcarriers. This symbol is BPSK modulated at 6 Mbps and is encoded at a ½ rate. The Signal field is not scrambled. The last region of the frame consists of the Service field and the data payload. This region is scrambled. The data rate, encoding rate, and modulation varies. Refer to the following figure. Notice that guard intervals (GI) are added to the long preamble, Signal field, and the Service and payload data.

Figure 1. Signal Studio for WLAN 802.11a/b/g/n/ac Frame

The following figure shows a detailed diagram of a WLAN OFDM frame.

Figure 2. Signal Studio for WLAN OFDM Framed Signal

Payload Structure

These four regions comprise a PPDU frame. A MAC header and FCS can be added to the user's data. The following table provides a summary of the payload characteristics in 802.11 OFDM mode.

Table 1. OFDM payload characteristics supported with the Signal Studio for WLAN 802.11a/b/g/n/ac software

Data Rate (Mbps) | Modulation | Encoding rate | Coded bits per sub-carrier | Coded bits per symbol
For 802.11a/b/g/j/p 20 MHz Channel Spacing
6 | BPSK | 1/2 | 1 | 48
9 | BPSK | 3/4 | 1 | 48
12 | QPSK | 1/2 | 2 | 96
18 | QPSK | 3/4 | 2 | 96
24 | QAM-16 | 1/2 | 4 | 192
36 | QAM-16 | 3/4 | 4 | 192
48 | QAM-64 | 2/3 | 6 | 288
54 | QAM-64 | 3/4 | 6 | 288
For 802.11j/p 10 MHz Channel Spacing
3 | BPSK | 1/2 | 1 | 48
4.5 | BPSK | 3/4 | 1 | 48
6 | QPSK | 1/2 | 2 | 96
9 | QPSK | 3/4 | 2 | 96
12 | QAM-16 | 1/2 | 4 | 192
18 | QAM-16 | 3/4 | 4 | 192
24 | QAM-64 | 2/3 | 6 | 288
27 | QAM-64 | 3/4 | 6 | 288

The following figure is an illustration of the payload structure. The payload data (user's data) is called PLCP service data unit (PSDU) in the standard. The description and details of the medium access control (MAC) header and frame check sequence (FCS) can be found in the IEEE 802.11 standard. The MAC header and FCS state can be turned ON or OFF. All the fields in the MAC header can be modified.

Figure 3. OFDM payload structure


DSSS-OFDM PPDU Format

DSSS-OFDM PPDU Frame with Long PLCP Preamble

Figure 1. DSSS-OFDM PPDU frame with long PLCP preamble

DSSS-OFDM PPDU Frame with Short PLCP Preamble

Figure 2. DSSS-OFDM PPDU frame with short PLCP preamble


OFDM Payload Data Encoding

Signal Studio for WLAN 802.11a/b/g/n/ac software encodes the data according to the standard, which is shown in the table of OFDM payload characteristics. The payload data is scrambled, encoded, and interleaved. Interleaving and scrambling can be turned ON or OFF. The forward error correction (FEC) that is added to the signal increases robustness of the symbol in the event the amplitude of any of the subcarriers diminish enough to create bit errors.

The data rate and the modulation format are coupled in the Signal Studio software, so that when a data rate is selected, the software will automatically select the modulation format as defined in the standard.

After channel coding has been added to the data, and symbol mapping has been performed, a 64-point FFT is applied to the data. Refer to the following figure. The data is mapped onto the following 48 data subcarriers:

–26 to –22,

–20 to –8,

–6 to –1,

1 to 6,

8 to 20, and

22 to 26.

The subcarriers are accessible in the Signal Studio software in the Subcarrier Setup Menu. Four pilot subcarriers are inserted to provide timing information for the receiver.

Afterwards, a guard interval is added to the symbol. This guard interval helps to reduce inter-symbol interference (ISI) from signal delay spreads caused by multipath transmission. The guard interval needs to be larger than the delay spread to minimize ISI.

Figure 1. Creation of an OFDM data symbol


Optional PBCC Payload Data Encoding

Payload Data Encoding-Optional PBCC

PBCC Coding

The PBCC payload data is scrambled, then the data is run through a binary convolutional encoder. Two bits are output from the BCC (binary convolutional code) to be mapped using BPSK, QPSK, or 8-PSK, depending on the data rate.

The 16 bit cover code sequence is used to determine the mapping to the constellation points. For the PBCC 5.5 Mbps mode, only ½ bit per BPSK symbol is mapped. The PBCC 11 Mbps data rate uses QPSK, and 1 bit per symbol is mapped for each symbol point. For PBCC 22 and 33 Mbps modes, 2 bits per symbol is mapped. Refer to the following figure.

Figure 1. PBCC coding scheme

The PBCC-33 mode uses a frame structure that is different from the other PBCC modes. In this mode, an additional clock switching structure is added to the frame. The clock switching structures are user-definable. The figure below shows a Signal Studio PBCC-33 frame. Three different sample rates can be chosen for PBCC-33 mode: 33 MHz, 66 MHz, and 99 MHz. The first part of the frame is sampled at 11 MHz, while the second part of the frame is sampled 1.5 times faster, or 16.5 MHz. The example below illustrates the oversample ratio (OSR) applied if a sample rate of 33 MHz is chosen. An OSR of 3 would be applied to the first part of the frame, while an OSR of 2 would be applied to the second part of the frame. The signal generator's arb sample clock would be played back at 33 MHz, thus achieving the 33 Mbps data rate for the PBCC-33 mode.

Per IEEE Std 802.11b-1999 section 18.4.6.6, one byte of zeros is appended to the payload for encoding purposes. The receiver is instructed to discard this byte after decoding. For example, from the Payload Setup menu, Data Length is chosen to be 3 bytes. 1s is chosen as the data type. The resulting payload is comprised of 3 bytes of ones and one byte of appended zeros.

Figure 2. PBCC-33 Clock switching structure

If the 66 MHz sample rate is chosen, an OSR of 6 would be applied to the first part of the frame, and an OSR of 4 would be applied to the second half of the frame. If the 99 MHz sample rate is chosen, an OSR of 9 would be applied to the first part of the frame, and an OSR of 6 would be applied to the second half of the frame.


OFDM Raised Cosine Windowing

N7617B Signal Studio for WLAN 802.11a/b/g/n/ac software calculates one OFDM symbol at a time, using a 64 point IFFT. To create the guard interval at the front of the symbol, it appends the last 16 samples of the 64 point IFFT to the front of the symbol, creating a composite symbol that is 80 samples long. (Refer to the figure below.) Using the last 16 samples has the effect of making the composite symbol appear continuous in time; that is, the 64 point FFT of the symbol will be identical regardless of which 64 samples we choose out of the 80 available. These 16 additional samples are what produce multipath fading immunity since we can slide in time by up to 0.8 ms without causing a decoding error.

We need a means of assembling consecutive symbols without causing spectral regrowth, which arises from the fact that a given symbol rarely begins with the same amplitude and phase with which the previous symbol ended. To avoid spectral regrowth, we must create a smooth transition between the last sample of one symbol and the first sample of the next symbol. We do this with a combination of two tools: a cyclic suffix, and windowing.

To illustrate this, assume we have selected a window length of 16. To create the cyclic suffix, we append the first 16 samples of a given symbol to the end of that symbol, so that now the symbol is effectively 96 samples long. This has the desired effect of making the symbol appear continuous going into the transition. However, if we are to comply with the 802.11g standard, we cannot arbitrarily lengthen the symbol in this way. Instead, this cyclic suffix overlaps in time (and is effectively summed) with the cyclic prefix of the next symbol. This overlapped segment is where windowing is applied. In fact, two windows are applied, one being the mathematical inverse of the other. The first raised cosine window is applied to the cyclic suffix of symbol 1, and rolls off from 1 to 0 over its duration. The second raised cosine window is applied to the cyclic prefix of symbol 2, and rolls on from 0 to1 over its duration. This gives the desired smooth transition from one symbol to the next.

There is one more variable in the equation: the window length. In this example we used a window length of 16, so the cyclic suffix was 16 samples long. However, the length of the cyclic suffix is adjusted along with the window length setting, so any suffix length between 1 and 16 may be set. The effect of windowing is that it improves spectral regrowth, but at the expense of multipath fading immunity. This occurs because redundancy in the guard band is reduced due to the fact that the guard band sample values are compromised by the smoothing.

The following figures display the application of raised cosine windowing.

Figure 1. Root raised cosine windowing

Figure 2. Spectrum plot of I/Q waveform with Windowing Length = 0 samples (no windowing)

Figure 3. Spectrum plot of I/Q waveform with Windowing Length = 16 samples (maximum)


802.11n Concept

802.11n Concepts

Signal Structure

Modulation and Coding Scheme on Payload

Transmitter Block

MIMO Characteristic Performance Analysis

BCC and LDPC Encoders

Aggregation MPDU

Minimum MPDU Start Spacing


802.11n Signal Structure

In the 802.11n system, based on the WLAN OFDM system, two new formats are defined for the PLCP (Physical Layer Convergence Protocol): the Mixed Mode and the Green Field. These two formats are called HT (High Throughput) formats. In addition to the HT formats, there is a legacy duplicate format that duplicates the 20 MHz legacy packet in two 20 MHz halves of a 40 MHz channel.

So, the 802.11n physical layer operates in one of 3 modes in the time domain: Legacy mode, Mixed Mode and Green Field Mode.

In legacy mode and HT mode, transmission is over a 20 MHz channel, and the channel is divided into 64 sub-carriers. Four pilot signals are inserted in sub-carriers -21, -7, 7 and 21. In the legacy mode, signal is transmitted on sub-carriers -26 to -1 and 1 to 26, with 0 being the center (DC) carrier. In the HT modes, signal is transmitted on sub-carriers -28 to -1 and 1 to 28.

In the 40 MHz HT transmission, two adjacent 20 MHz channels are used. The channel is divided into 128 sub-carriers. 6 pilot signals are inserted in sub-carriers -53, -25, -11, 11, 25, 53. Signal is transmitted on sub-carriers -58 to -2 and 2 to 58.

In the case of the legacy duplicate mode over 40 MHz, the same data are transmitted over two adjacent 20 MHz channels. In this case the 40 MHz channel is divided into 128 sub-carriers and the data are transmitted on carriers -58 to -6 and 6 to 58.

Legacy Mode

In the legacy mode, frames are transmitted in the legacy 802.11a/g OFDM format.

Figure 1. 80211n WLAN frame, Legacy Mode.

Mixed Mode

In the Mixed Mode, packets are transmitted with a preamble compatible with the legacy 802.11a/g. The legacy Short Training Sequence, the legacy Long Training sequence, and the legacy signal description are transmitted so they can be decoded by legacy 802.11a/g devices. The rest of the packet has a new MIMO training sequence format. Figure 2 shows the Mixed Mode format. Click the various parts of the figure for more details on each field.

Figure 2. WLAN frame modifications to allow for MIMO operation, Mixed Mode

Green Field Mode

In the Green Field mode, high throughput packets are transmitted without a legacy-compatible part. Figure 3 shows the Green Field format. Click the various parts of the figure for more details on each field.

Figure 3. 802.11n WLAN frame, Green Field.


Modulation and Coding Scheme on Payload

The following table provides a summary of the modulation and coding scheme for payload characteristics in 802.11n.

Table 1 - MIMO Modulation and Coding Schemes

MCS Index | Number of spatial streams | Modulation (Stream 1/ 2/ 3/ 4 ) |  |  |  | Coding rate | NBPSCS(iSS) | NES |  | NSD |  | NCBPS |  | NDBPS |  | Data Rate (in Mbps) (GI = 800ns) |  | Data Rate (in Mbps) (GI = 400ns)
 |  |  |  |  |  |  |  | 20MHz | 40MHz | 20MHz | 40MHz | 20MHz | 40MHz |  |  | 20MHz | 40MHz | 20MHz | 40MHz
0 | 1 | BPSK |  |  |  | 1/2 | 1 | 1 | 1 | 52 | 108 | 52 | 108 |  |  | 6.5 | 13.5 | 7.2 | 15.0
1 | 1 | QPSK |  |  |  | 1/2 | 2 | 1 | 1 | 52 | 108 | 104 | 216 |  |  | 13.0 | 27.0 | 14.4 | 30.0
2 | 1 | QPSK |  |  |  | 3/4 | 2 | 1 | 1 | 52 | 108 | 104 | 216 |  |  | 19.5 | 40.5 | 21.7 | 45.0
3 | 1 | 16-QAM |  |  |  | 1/2 | 4 | 1 | 1 | 52 | 108 | 208 | 432 |  |  | 26.0 | 54.0 | 28.9 | 60.0
4 | 1 | 16-QAM |  |  |  | 3/4 | 4 | 1 | 1 | 52 | 108 | 208 | 432 |  |  | 39.0 | 81.0 | 43.3 | 90.0
5 | 1 | 64-QAM |  |  |  | 2/3 | 6 | 1 | 1 | 52 | 108 | 312 | 648 |  |  | 52.0 | 108.0 | 57.8 | 120.0
6 | 1 | 64-QAM |  |  |  | 3/4 | 6 | 1 | 1 | 52 | 108 | 312 | 648 |  |  | 58.5 | 121.5 | 65.0 | 135.0
7 | 1 | 64-QAM |  |  |  | 5/6 | 6 | 1 | 1 | 52 | 108 | 312 | 648 |  |  | 65.0 | 135.0 | 72.2 | 150.0
8 | 2 | BPSK |  |  |  | 1/2 | 1 | 1 | 1 | 52 | 108 | 104 | 216 |  |  | 13.0 | 27.0 | 14.4 | 30.0
9 | 2 | QPSK |  |  |  | 1/2 | 2 | 1 | 1 | 52 | 108 | 208 | 432 |  |  | 26.0 | 54.0 | 28.9 | 60.0
10 | 2 | QPSK |  |  |  | 3/4 | 2 | 1 | 1 | 52 | 108 | 208 | 432 |  |  | 39.0 | 81.0 | 43.3 | 90.0
11 | 2 | 16-QAM |  |  |  | 1/2 | 4 | 1 | 1 | 52 | 108 | 416 | 864 |  |  | 52.0 | 108.0 | 57.8 | 120.0
12 | 2 | 16-QAM |  |  |  | 3/4 | 4 | 1 | 1 | 52 | 108 | 416 | 864 |  |  | 78.0 | 162.0 | 86.7 | 180.0
13 | 2 | 64-QAM |  |  |  | 2/3 | 6 | 1 | 1 | 52 | 108 | 624 | 1296 |  |  | 104.0 | 216.0 | 115.6 | 240.0
14 | 2 | 64-QAM |  |  |  | 3/4 | 6 | 1 | 1 | 52 | 108 | 624 | 1296 |  |  | 117.0 | 243.0 | 130.3 | 270.0
15 | 2 | 64-QAM |  |  |  | 5/6 | 6 | 1 | 1 | 52 | 108 | 624 | 1296 |  |  | 130.0 | 270.0 | 144.4 | 300.0
16 | 3 | BPSK |  |  |  | 1/2 | 1 | 1 | 1 | 52 | 108 | 156 | 324 |  |  | 19.5 | 40.5 | 21.7 | 45.0
17 | 3 | QPSK |  |  |  | 1/2 | 2 | 1 | 1 | 52 | 108 | 312 | 648 |  |  | 39.0 | 81.0 | 43.3 | 90.0
18 | 3 | QPSK |  |  |  | 3/4 | 2 | 1 | 1 | 52 | 108 | 312 | 648 |  |  | 58.5 | 121.5 | 65.0 | 135.0
19 | 3 | 16-QAM |  |  |  | 1/2 | 4 | 1 | 1 | 52 | 108 | 624 | 1296 |  |  | 78.0 | 162.0 | 86.7 | 180.0
20 | 3 | 16-QAM |  |  |  | 3/4 | 4 | 1 | 1 | 52 | 108 | 624 | 1296 |  |  | 117.0 | 243.0 | 130.0 | 270.0
21 | 3 | 64-QAM |  |  |  | 2/3 | 6 | 1 | 2 | 52 | 108 | 936 | 1944 |  |  | 156.0 | 324.0 | 173.3 | 360.0
22 | 3 | 64-QAM |  |  |  | 3/4 | 6 | 1 | 2 | 52 | 108 | 936 | 1944 |  |  | 175.5 | 364.5 | 195.0 | 405.0
23 | 3 | 64-QAM |  |  |  | 5/6 | 6 | 1 | 2 | 52 | 108 | 936 | 1944 |  |  | 195.0 | 405.0 | 216.7 | 450.0
24 | 4 | BPSK |  |  |  | 1/2 | 1 | 1 | 1 | 52 | 108 | 208 | 432 |  |  | 26.0 | 54.0 | 28.9 | 60.0
25 | 4 | QPSK |  |  |  | 1/2 | 2 | 1 | 1 | 52 | 108 | 416 | 864 |  |  | 52.0 | 108.0 | 57.8 | 120.0
26 | 4 | QPSK |  |  |  | 3/4 | 2 | 1 | 1 | 52 | 108 | 416 | 864 |  |  | 78.0 | 162.0 | 86.7 | 180.0
27 | 4 | 16-QAM |  |  |  | 1/2 | 4 | 1 | 1 | 52 | 108 | 832 | 1728 |  |  | 104.0 | 216.0 | 115.6 | 240.0
28 | 4 | 16-QAM |  |  |  | 3/4 | 4 | 1 | 2 | 52 | 108 | 832 | 1728 |  |  | 156.0 | 324.0 | 173.3 | 360.0
29 | 4 | 64-QAM |  |  |  | 2/3 | 6 | 1 | 2 | 52 | 108 | 1248 | 2592 |  |  | 208.0 | 432.0 | 231.1 | 480.0
30 | 4 | 64-QAM |  |  |  | 3/4 | 6 | 1 | 2 | 52 | 108 | 1248 | 2592 |  |  | 234.0 | 486.0 | 260.0 | 540.0
31 | 4 | 64-QAM |  |  |  | 5/6 | 6 | 1 | 2 | 52 | 108 | 1248 | 2592 |  |  | 260.0 | 540.0 | 288.9 | 600.0
32 | 1 | BPSK |  |  |  | 1/2 | 1 | 1 | 1 |  | 48 |  | 48 |  |  |  | 6.0 |  | 6.7
33 | 2 | 16-QAM | QPSK |  |  | 1/2 | 6 | 1 | 1 | 52 | 108 | 312 | 648 | 156 | 324 | 39 | 81 | 43.3 | 90
34 | 2 | 64-QAM | QPSK |  |  | 1/2 | 8 | 1 | 1 | 52 | 108 | 416 | 864 | 208 | 432 | 52 | 108 | 57.8 | 120
35 | 2 | 64-QAM | 16-QAM |  |  | 1/2 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 260 | 540 | 65 | 135 | 72.2 | 150
36 | 2 | 16-QAM | QPSK |  |  | 3/4 | 6 | 1 | 1 | 52 | 108 | 312 | 648 | 234 | 486 | 58.5 | 121.5 | 65.0 | 135
37 | 2 | 64-QAM | QPSK |  |  | 3/4 | 8 | 1 | 1 | 52 | 108 | 416 | 864 | 312 | 648 | 78 | 162 | 86.7 | 180
38 | 2 | 64-QAM | 16-QAM |  |  | 3/4 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 390 | 810 | 97.5 | 202.5 | 108.3 | 225
39 | 3 | 16-QAM | QPSK | QPSK |  | 1/2 | 8 | 1 | 1 | 52 | 108 | 416 | 864 | 208 | 432 | 52 | 108 | 57.8 | 120
40 | 3 | 16-QAM | 16-QAM | QPSK |  | 1/2 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 260 | 540 | 65 | 135 | 72.2 | 150
41 | 3 | 64-QAM | QPSK | QPSK |  | 1/2 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 260 | 540 | 65 | 135 | 72.2 | 150
42 | 3 | 64-QAM | 16-QAM | QPSK |  | 1/2 | 12 | 1 | 1 | 52 | 108 | 624 | 1296 | 312 | 648 | 78 | 162 | 86.7 | 180
43 | 3 | 64-QAM | 16-QAM | 16-QAM |  | 1/2 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 364 | 756 | 91 | 189 | 101.1 | 210
44 | 3 | 64-QAM | 64-QAM | QPSK |  | 1/2 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 364 | 756 | 91 | 189 | 101.1 | 210
45 | 3 | 64-QAM | 64-QAM | 16-QAM |  | 1/2 | 16 | 1 | 1 | 52 | 108 | 832 | 1728 | 416 | 864 | 104 | 216 | 115.6 | 240
46 | 3 | 16-QAM | QPSK | QPSK |  | 3/4 | 8 | 1 | 1 | 52 | 108 | 416 | 864 | 312 | 648 | 78 | 162 | 86.7 | 180
47 | 3 | 16-QAM | 16-QAM | QPSK |  | 3/4 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 390 | 810 | 97.5 | 202.5 | 108.3 | 225
48 | 3 | 64-QAM | QPSK | QPSK |  | 3/4 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 390 | 810 | 97.5 | 202.5 | 108.3 | 225
49 | 3 | 64-QAM | 16-QAM | QPSK |  | 3/4 | 12 | 1 | 1 | 52 | 108 | 624 | 1296 | 468 | 972 | 117 | 243 | 130.0 | 270
50 | 3 | 64-QAM | 16-QAM | 16-QAM |  | 3/4 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 546 | 1134 | 136.5 | 283.5 | 151.7 | 315
51 | 3 | 64-QAM | 64-QAM | QPSK |  | 3/4 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 546 | 1134 | 136.5 | 283.5 | 151.7 | 315
52 | 3 | 64-QAM | 64-QAM | 16-QAM |  | 3/4 | 16 | 1 | 1 | 52 | 108 | 832 | 1728 | 624 | 1296 | 156 | 324 | 173.3 | 360
53 | 4 | 16-QAM | QPSK | QPSK | QPSK | 1/2 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 260 | 540 | 65 | 135 | 72.2 | 150
54 | 4 | 16-QAM | 16-QAM | QPSK | QPSK | 1/2 | 12 | 1 | 1 | 52 | 108 | 624 | 1296 | 312 | 648 | 78 | 162 | 86.7 | 180
55 | 4 | 16-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 364 | 756 | 91 | 189 | 101.1 | 210
56 | 4 | 64-QAM | QPSK | QPSK | QPSK | 1/2 | 12 | 1 | 1 | 52 | 108 | 624 | 1296 | 312 | 648 | 78 | 162 | 86.7 | 180
57 | 4 | 64-QAM | 16-QAM | QPSK | QPSK | 1/2 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 364 | 756 | 91 | 189 | 101.1 | 210
58 | 4 | 64-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 16 | 1 | 1 | 52 | 108 | 832 | 1728 | 416 | 864 | 104 | 216 | 115.6 | 240
59 | 4 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 1/2 | 18 | 1 | 1 | 52 | 108 | 936 | 1944 | 468 | 972 | 117 | 243 | 130.0 | 270
60 | 4 | 64-QAM | QPSK | QPSK | QPSK | 1/2 | 16 | 1 | 1 | 52 | 108 | 832 | 1728 | 416 | 864 | 104 | 216 | 115.6 | 240
61 | 4 | 64-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 18 | 1 | 1 | 52 | 108 | 936 | 1944 | 468 | 972 | 117 | 243 | 130.0 | 270
62 | 4 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 1/2 | 20 | 1 | 1 | 52 | 108 | 1040 | 2160 | 520 | 1080 | 130 | 270 | 144.4 | 300
63 | 4 | 64-QAM | 64-QAM | 64-QAM | QPSK | 1/2 | 20 | 1 | 1 | 52 | 108 | 1040 | 2160 | 520 | 1080 | 130 | 270 | 144.4 | 300
64 | 4 | 64-QAM | 64-QAM | 64-QAM | 16-QAM | 1/2 | 22 | 1 | 1 | 52 | 108 | 1144 | 2376 | 572 | 1188 | 143 | 297 | 158.9 | 330
65 | 4 | 16-QAM | QPSK | QPSK | QPSK | 3/4 | 10 | 1 | 1 | 52 | 108 | 520 | 1080 | 390 | 810 | 97.5 | 202.5 | 108.3 | 225
66 | 4 | 16-QAM | 16-QAM | QPSK | QPSK | 3/4 | 12 | 1 | 1 | 52 | 108 | 624 | 1296 | 468 | 972 | 117 | 243 | 130.0 | 270
67 | 4 | 16-QAM | 16-QAM | 16-QAM | QPSK | 3/4 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 546 | 1134 | 136.5 | 283.5 | 151.7 | 315
68 | 4 | 64-QAM | QPSK | QPSK | QPSK | 3/4 | 12 | 1 | 1 | 52 | 108 | 624 | 1296 | 468 | 972 | 117 | 243 | 130.0 | 270
69 | 4 | 64-QAM | 16-QAM | QPSK | QPSK | 3/4 | 14 | 1 | 1 | 52 | 108 | 728 | 1512 | 546 | 1134 | 136.5 | 283.5 | 151.7 | 315
70 | 4 | 64-QAM | 16-QAM | 16-QAM | QPSK | 3/4 | 16 | 1 | 2 | 52 | 108 | 832 | 1728 | 624 | 1296 | 156 | 324 | 173.3 | 360
71 | 4 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 3/4 | 18 | 1 | 2 | 52 | 108 | 936 | 1944 | 702 | 1458 | 175.5 | 364.5 | 195.0 | 405
72 | 4 | 64-QAM | 64-QAM | QPSK | QPSK | 3/4 | 16 | 1 | 2 | 52 | 108 | 832 | 1728 | 624 | 1296 | 156 | 324 | 173.3 | 360
73 | 4 | 64-QAM | 64-QAM | 16-QAM | QPSK | 3/4 | 18 | 1 | 2 | 52 | 108 | 936 | 1944 | 702 | 1458 | 175.5 | 364.5 | 195.0 | 405
74 | 4 | 64-QAM | 64-QAM | 16-QAM | 16-QAM | 3/4 | 20 | 1 | 2 | 52 | 108 | 1040 | 2160 | 780 | 1620 | 195 | 405 | 216.7 | 450
75 | 4 | 64-QAM | 64-QAM | 64-QAM | QPSK | 3/4 | 20 | 1 | 2 | 52 | 108 | 1040 | 2160 | 780 | 1620 | 195 | 405 | 216.7 | 450
76 | 4 | 64-QAM | 64-QAM | 64-QAM | 16-QAM | 3/4 | 22 | 1 | 2 | 52 | 108 | 1144 | 2376 | 858 | 1782 | 214.5 | 445.5 | 238.3 | 495

The parameters in the table are:

  • NES: Number of FEC encoders used

  • NSD: Number of Data Subcarriers

  • NCBPS: Number of Code Bits Per Symbol (total of all spatial streams)

  • GI: Guard Interval

A-MPDU

The following figure is an illustration of the 802.11n A-MPDU (Aggregation MAC Protocol Data Unit) payload structure. A-MPDU allows aggregation of multiple MPDUs (MAC protocol data unit) in one PSDU (PHY service data unit). The description and details of the medium access control (MAC) header and frame check sequence (FCS) can be found in the IEEE 802.11 legacy standard. The MAC header and FCS state can be turned ON or OFF. All the fields in the MAC header can be modified.

Figure 1. 802.11n A-MPDU payload structure


Transmitter Block

The diagram below illustrates a four-chain MIMO transmitter implementation in the Signal Studio for WLAN 802.11a/b/g/n/ac software, 802.11n option. Click the various blocks of the diagram for more details on each part.

Figure 1. Transmitter block diagram


MIMO Characteristic Performance Analysis

Overview

The following characteristic performance results and analysis are for typical 2X2 MIMO systems comprised of E4438C ESG, N5182A/N5182B MXG, and N5172B EXG vector signal generators. They are valid for N7617B Signal Studio for WLAN 802.11a/b/g/n/ac and also for other Signal Studio applications that support MIMO (e.g., N7615B Signal Studio for Mobile WiMAX) since this performance is determined by the hardware platform and not the application-specific signals/waveforms.

This topic describes the MIMO performance for the following vector signal generators:

  • E4438C ESG

  • N5182A MXG, N5182B MXG, and N5172B EXG

E4438C ESG Performance

Test Overview

The following ESG MIMO configurations were tested:

A: ESG MIMO system without common baseband clock and without RF phase coherency

B: ESG MIMO system with common baseband clock and without RF phase coherency

C: ESG MIMO system with common baseband clock and with RF phase coherency

Two characteristic performance attributes were analyzed for each configuration. They are Phase Difference (between 2 ESG’s) vs. Time (at a fixed temperature) and Phase Difference vs. Temperature. The Keysight dual channel 89641S vector signal analyzer (VXI) was used to perform the measurements. The phase difference and other noise introduced by the 89641S have been removed from the measurement results, so the signal generator performance is accurately represented.

The following characteristic performance graphs are representative of the measurement results achieved on three sets of 2-ESG systems.

Test Results

Legend for pictures below:

  • Dark blue curve - measured phase difference.

  • Light blue curve - mean value of phase difference (every 20 points).

  • Pink line - Fitted line from the dark blue curve; shows the trend of the phase difference.

1. Results of configuration A: Two ESGMIMO system without common baseband clock and without RF phase coherency

Figure 1-1 Phase difference over time for configuration A

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 2.8 degrees phase change over 12 hours (pink line). The average peak-to-peak jitter of the phase difference is about 1.5 degrees (dark blue curve).

Figure 1-2 Phase difference over temperature for configuration A

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 35 degrees phase change per degree Celsius temperature change.

2. Results of configuration B: Two ESGMIMO system with common baseband clock and without RF phase coherency

Figure 2-1 Phase difference over time for configuration B

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 5.8 degrees phase change over 12 hours. The average peak-to-peak jitter of the phase difference is about 1.5 degrees.

Figure 2-2 Phase difference over temperature for configuration B

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 40 degrees phase change per degree Celsius temperature change.

3. Results of configuration C: Two ESGMIMO system with common baseband clock and with RF phase coherency

Figure 3-1 Phase difference over time for configuration C

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 0.17 degree phase change over 12 hours (pink line). The average peak to peak jitter of phase difference is about 0.15 degree (dark blue curve).

Figure 3-2 Phase difference over temperature for configuration C

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 0.03 degree phase change per degree Celsius temperature change.

Analysis for ESG Performance

As seen in the phase difference drift measurement results above, there are 2 main components in the phase difference drift:

  1. Phase Difference A (referred to as PDA in this document) is the jitter or noise-like vibration shown in the phase difference curve, which is caused by phase noise.

  2. Phase Difference B (referred to as PDB in this document) is the trend of the phase difference drift.

We use "Phase Difference” as the simplification of "Phase Difference Drift” in this document.

From the tests for all three cases, we can see that PDA dominates the measurement results. PDB is much smaller and its impact to most MIMO measurements is negligible. The analysis is:

  • If the environment temperature is stable (fixed), we can see that the phase difference drift is very slow, so only in a long-term continuous test could PDB be accumulated up to a value to be comparable with PDA. The continuous test means that there is no re-referencing in the test, i.e. no reset of the reference constellation etc. If the test is not continuous, PDB will be eliminated at re-referencing and will not be accumulated. Use configuration B, which has the fastest phase difference drift, as an example: it takes about (1.5/RMS_Factor )/(5.8/12) = 1.1 hour for PDB to be accumulated up to be comparable with PDA (1.5 degree peak-to-peak jitter) in a continuous test, where RMS_Factor is the factor to convert peak phase difference to RMS phase difference. This factor is 2.8, which is calculated from the test results. For configuration A and C, which have slower phase difference drifts, it takes even longer time.

  • If the environment temperature changes, the phase of one source may change relative to another source, even when both are locked to the same 10 MHz reference. The phase drift will continue over a long period as the source stabilizes at the new temperature. For example, if the environment temperature changes 5 degrees in 1 minute, it takes approximately 50 minutes for the source phase to settle.

  • But in ordinary measurements, such as the EVM measurement by the Keysight 89641S VSA, the data was captured within periods of several hundred milliseconds. The test reference (reference constellations) are reset at each capture (not continuous across captures). So, according the analysis above, the PDB doesn’t have time to accumulate in ordinary test (capture) periods and therefore it is very small in ordinary measurements. Thus it doesn't have any impact to the ordinary EVM and other MIMO measurements as compared to PDA under either the fixed or changing temperature conditions. In conclusion, PDA is the main factor that may impact your MIMO measurements, and PDB can be ignored.

Worst-case equivalent EVM for the phase difference values

If it is difficult for you to evaluate the impact of the phase difference value to your MIMO measurements, here we provide an approximate EVM equivalent to it which may help your evaluation. But the following conditions must be noted:

  • The values are worst case RMS EVM for the 2X2 MIMO setup with no fading case and an assumption is that there is no correction or optimization capability in the EVM measurement algorithm or the receiver. (Typically, either the receiver or the EVM calculation will do optimization to get the smallest residual EVM values.) Due to the pre-conditions above, the equivalent EVM values are the worst case values and may not be seen in real measurements.

  • The phase difference needs to be very small (<= 5 degrees) in order for us to take the approximations below. For all of the test results above, this assumption is met.

As concluded above, only PDA needs to be considered when making EVM measurements. As a result, the average peak-to-peak magnitude values of jitter are used for the phase difference values.

According to the first condition above (MMO setup without fading, no correction), we can see the phase difference is an error angle in the constellation, which will introduce an EVM phase error without magnitude error. According to the second condition above, the EVM value can be approximated by the sine or tangent value of the phase difference, and then approximated to the phase difference itself (in radians). So we get the following formula:

EVMrms (worst-case equivalent) = (PhaseDifferencepp(peak-to-peak-of-jitter) * PI/180) / (2*RMS_Factor)

where the factor 2 is the average factor for a 2x2 MIMO system which is used to put the EVM into two spatial streams to get the average EVM. RMS_Factor is the factor to convert peak phase difference to RMS phase difference. This factor is 2.8, which is calculated from the test results.

So we get

EVMrms = 0.0031167* PhaseDifferencepp

This formula calculates the worst-case equivalent EVM for the phase difference impact to your MIMO measurement as below:

  • For configuration A and B: PhaseDifferencepp = 1.5 degree; worst-case equivalent EVM = 0.0047 (0.47%)

  • For configuration C: PhaseDifferencepp = 0.15 degree; worst-case equivalent EVM = 0.00047 (0.047%)

Conclusion

If your test requires phase coherency in your MIMO systems (e.g. you are working on beamforming in MIMO), you should choose configuration C.

Another benefit of configuration C is much smaller PDA, which results in much smaller worst case equivalent EVM. If you need to do high precision MIMO test, e.g. EVM with < 0.047% precision, etc., you may choose configuration C. But be aware that other components in your test setup, such as the receiver or analyzer, also contribute noise error that impacts the final precision of the measurements.

We don’t see significant differences between configuration B and configuration A in terms of phase difference drift. But configuration B will provide phase lock of the baseband clock between the ESGs. So, you should choose it if you need the locked phase (same phase or constant difference in phase) between the baseband clocks of the 2 or more ESGs.

N5182A MXG, N5182B MXG, and N5172B EXG Performance

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

Test Overview

The following MXG/EXG MIMO configurations were tested:

A: MXG/EXG MIMO system with baseband timing alignment and without RF phase coherency

B: MXG/EXG MIMO system with baseband timing alignment and with RF phase coherency

Two characteristic performance attributes were analyzed. They are Phase Difference (between 2 MXG/EXG’s) vs. Time (at fixed temperature) and Phase Difference vs. Temperature. The Keysight dual channel 89641S vector signal analyzer (VXI) was used to perform the measurements. The phase difference and other noise introduced by the 89641S have been removed from the measurement results, so the signal generator performance is accurately represented.

The following characteristic performance graphs are representative of the measurement results achieved on two sets of 2-MXG/EXG systems.

Test Results

4. Results of configuration A: Two MXG/EXG MIMO system with baseband timing alignment and without RF phase coherency.

Figure 4-1 Phase difference over time for configuration A

At fixed room temperature of 25° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

1 test point per minute.

From the plot, we can see the fastest trend change is 0.13 degrees Celsius per minute. The average peak-to-peak jitter of phase difference is about 1.5 degrees.

Figure 4-2 Phase difference over temperature for configuration A

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 37 degrees phase change per degree Celsius temperature change.

5. Results of configuration B: Two MXG/EXG MIMO system with baseband timing alignment and with RF phase coherency.

Figure 5-1 Phase difference over time for configuration B

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.5 GHz.

600 test points per 60 minutes.

From the plot, we can see a 0.05 degree phase change over 12 hours (pink line).

The average peak-to-peak jitter of phase difference is about 0.06 degrees (dark blue curve).

Figure 5-2 Phase difference over temperature for configuration B

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 37 degrees phase change per degree Celsius temperature.


BCC and LDPC Encoders

The following figure shows the difference in processing procedure between BCC encoding and LDPC encoding. First, compared with BCC, no tail bits and padding bits are added for LDPC. Next, a single FEC encoder is always used in LDPC coding, while more than 1 FEC encoders can be used in BCC coding. Last, the Encoder Parser and Interleavers are not used in LDPC.

Even compared with the LDPC used in WLAN 802.11ac, there are some differences. For WLAN 802.11ac, the padding bits are appended after PSDU but not for WLAN 802.11n. Also an LDPC Tone Mapper is applied after the Constellation Mapper for WLAN 802.11ac but not for WLAN 802.11n.

When the encoder is disabled, the type of encoder still needs to be known since it determines which processing procedure to follow. The following figure shows the process in Basic mode.


802.11ac Concepts

Introduction

Channelization

Signal Structure

Modulation and Coding Scheme on Payload

Transmitter Block

Non-HT Transmission


802.11ac Introduction

802.11ac (aka VHT, Very High Throughput) devices are required to support 20, 40,and 80 MHz channels and 1 spatial stream. Several optional features are also defined in 802.11ac:

  • Wider channel bandwidths (160 MHz)

  • Higher-order modulation support (optional 256QAM)

  • More spatial streams and antennas (up to 8)

  • 400 ns short guard interval

  • Multi-User MIMO

  • STBC (Space Time Block Coding)

  • LDPC (Low Density Parity Check)

Table 1 Key features of 802.11ac

Feature | Mandatory | Optional
Channel bandwidth | 20 MHz, 40 MHz, 80 MHz | 160 MHz, 80+80 MHz
FFT size | 64, 128, 256 | 512
Data subcarriers / pilots | 52 / 4, 108 / 6, 234 / 8 | 468 / 16
Modulation types | BPSK, QPSK, 16QAM, 64QAM | 256QAM
MCS supported | 0 to 7 | 8 and 9
Spatial streams and MIMO | 1 | 2 to 8 Tx beamforming, STBC Multi-user MIMO (MU-MIMO)
Operating mode / PPDU format | Very high throughput/VHT |

A resonable case would be with 80 MHz bandwidth, 4 Tx beamforming and MCS9, and the data rates could be 1.56 Gbps; If the best case is configured with 160 MHz bandwidth, 8 Tx beamforming, MCS9 and short GI, the data rates could achieve 6.93 Gbps.


802.11ac Channelization

In 802.11ac, support for 20, 40, and 80 MHz channels is mandatory, Optional support for contiguous 160 MHz and non-contiguous 80+80 MHz transmission and reception. Tone allocation same as two 80 MHz channels.

The current specification frame work document provides channel allocation for US and for Europe, Japan and global operating classes. China does not support this band, but the draft will include support for China in the 5.725 to 5.850 GHz range. (Note: Global operating classes are used for operation anywhere in the world and are used in addition to the operating classes for a specific region.)

Figure 1 Channel Allocation for USA region (need to avoid weather radars in some areas):


802.11ac Signal Structure

In the 802.11ac system, OFDM is used (Orthogonal Frequency Division Multiplexing), as as in 802.11a and 802.11n. Since the spaced subcarriers used to transmit data is equal in OFDM, the number of subcarriers in the 11ac signal depends on the bandwidth, shown in table below.

Bandwidth (MHz) | Number of Subcarriers | Subcarriers Transmitting Signal
20 | 64 | -28 to -1 and 1 to 28
40 | 128 | -58 to -2 and 2 to 58
80 | 256 | -122 to -2 and 2 to 122
160 | 512 | -250 to-130, -126 to -6, 6 to 126 and 130 to 250

The frame format is shown in the Figure 1.

Figure 1. 80211ac WLAN Frame


802.11ac Modulation and Coding Scheme

Please refer to the following links for detailed MCS information.

VHT MCSs for optional 20 MHz

VHT MCSs for optional 40 MHz

VHT MCSs for optional 80 MHz

VHT MCSs for optional 160 MHz and 80+80 MHz


802.11ac Transmitter Block

Figure 1. Transmitter block diagram for Single User

Figure 2. Transmitter block diagram for Multi-User MIMO


Non-HT Transmission

Non-HT duplicate transmission is defined by IEEE 802.11ac. It is used to transmit to non-HT OFDM STAs, HT STAs, or VHT STAs that may be present in a part of a 40 MHz, 80 MHz or 160 MHz channel. The L-STF, L-LTF, and L-SIG fields shall be transmitted in the same way as in the VHT transmission, while the VHT-SIG-A, VHT-STF, VHT-LTF, and VHT-SIG-B fields are not transmitted. The data transmission duplicates the transmission of a 20 MHz 802.11a signal over every 20 MHz frequency segment. For example, an 80 MHz non-HT transmission consists of four 20 MHz 802.11a signals placed next to each other, as shown in the following figure. To reduce the PAPR, a different phase rotation is applied to each 20 MHz segment (e.g., ±90 degrees, 180 degrees).

80 MHz non-HT transmission

For reading convenience, the following equation for the Data field is excerpted from the standard (IEEE P802.11ac/D4.0, October, 2012)

Equation excerption from standard


802.11ad Concepts

802.11ah Concepts

Introduction

Channelization

Signal Structure

Modulation and Coding Scheme on Payload


802.11ad Introduction

802.11ah Introduction

IEEE 802.11ah is an emerging Wireless LAN (WLAN) standard, operating at sub 1 GHz license-exempt bands and providing improved transmission range compared with the conventional 802.11 WLANs operating at 2.4 GHz and 5 GHz bands. 802.11ah can be used for low speed, low cost, large range data transmission, for various purposes including large scale sensor networks, extended range hotspot, and outdoor Wi-Fi for cellular traffic offloading, whereas the available bandwidth is relatively narrow.

802.11ah Pysical layer is newly designed based on the IEEE 802.11ac PHY.

802.11ah supports 1 MHz, 2 MHz, 4 MHz, 8 MHz and 16 MHz channels with a frequency spacing of 31.25 kHz.

The following features are supported —

  • Three PPDU format: S1G_1M, S1G_SHORT, and S1G_LONG

  • Three generation modes: S1G, NDP for sounding, NDP for NDP MAC

  • MCS index: MCSs 0 to 9, and MCS10 (for 1 MHz PPDU only)

  • Up to 4 spatial streams

  • Binary convolutional coding

  • STBC (Space Time Block Coding)

  • LDPC (Low Density Parity Check)

  • Short Guard Interval

  • Single user or up to 4 multiple users
  • Fixed and Traveling Pilots
  • Aggregated MPDU

Table 1 Key features of 802.11ah

Channel bandwidth | 1 MHz, 2 MHz, 4 MHz, 8 MHz,16 MHz
FFT size | 32, 64, 128, 256, 512
Data subcarriers / pilots | 24/2, 52/4, 108/6, 234/8, 468/16
Modulation types | BPSK, QPSK, 16QAM, 64QAM, 256QAM
MCS supported | 0 to 9 , and 10 (only for 1 MHz PPDU)
Spatial streams | 1 to 4
MIMO | up to 4xn
PPDU format | S1G_1M S1G_SHORT S1G_LONG
Generation modes | S1G PPDU NDP for sounding NDP for NDP MAC


802.11ah Channelization

In 802.11ah, defines 2, 4, 8, and 16 MHz channels. Besides, 1 MHz channel is additionally defined for the purpose of extended coverage. Support to 1 MHz and 2 MHz channels is mandatory.

802.11ah has defined country-specific channel allocation, including for US, South Korea, China, Europe, Japan and Singapore. (Note: Global operating classes are used for operation anywhere in the world and are used in addition to the operating classes for a specific region.)

In order to achieve a higher bandwidth, 802.11ah maintains the same channel bonding method as in 802.11ac, that is, several adjacent narrower channels are bonded together to yield a winder channel.

Figure 1 Channel Allocation for USA region

802.11ah specification frame work group defines different maximum channel bandwidths depending on different regulations and available spectra in various involved countries.

Figure 2 Channel Allocation for various countries


802.11ad Signal Structure

802.11ah Signal Structure

In the 802.11ah system, OFDM is used (Orthogonal Frequency Division Multiplexing), as in 802.11ac. Since the spaced subcarriers used to transmit data is equal in OFDM, the number of subcarriers in the 11ah signal depends on the bandwidth, shown in table below (single spatial stream).

Bandwidth (MHz) | Number of Subcarriers | Subcarriers Transmitting Signal
1 | 32 | -12 to -1 and 1 to 12
2 | 64 | -26 to -1 and 1 to 26
4 | 128 | -58 to -2 and 2 to 58
8 | 256 | -122 to -2 and 2 to 122
16 | 512 | -250 to-130, -126 to -6, 6 to 126 and 130 to 250

802.11ah defines three formats:

  • Greater than or equal to 2 MHz short format - used for single user (SU) transmission using 2/4/8/16 MHz PPDUs
  • Greater than or equal to 2 MHz long format
  • 1 MHz format

Figure 1. 80211ah SIG greater than or equal to 2 MHz short format

Figure 2. 80211ah SIG greater than or equal to 2 MHz long format

Figure 3. 80211ah SIG 1 MHz format


802.11ac Modulation and Coding Scheme

Please refer to the following links for detailed MCS information.

S1G MCSs for Channel Bandwidth 1 MHz

S1G MCSs for Channel Bandwidth 2 MHz

S1G MCSs for Channel Bandwidth 4 MHz

S1G MCSs for Channel Bandwidth 8 MHz

S1G MCSs for Channel Bandwidth 16 MHz


802.11ax Concepts

Introduction

Signal Structure

Transmitter Block


802.11ax Introduction

With the demand for new usage models and more applications, dense Wi-Fi deployments and more outdoor and public access, the High Efficiency WLAN Study Group (HEW SG) within IEEE 802.11 working group had started its activity to consider the improvement of spectrum efficiency to enhance the system throughput/area in high density scenarios of APs and/or STAs around 3 years ago. And the HEW SG has successfully started the project 802.11ax in May 2014 to enhance 802.11 PHY and MAC in 2.4 and 5GHz.

As the successor of 802.11ax, the main focus of 802.11ax study in HEW SG is

  • Improving spectrum efficiency and area throughput

  • Improving real world performance in indoor and outdoor deployments

    • in the presence of interfering sources, dense heterogeneous networks

    • in moderate to heavy user loaded APs

The Key requirement for 802.11ax is to provide high scalability, which can be realized through

  1. Efficient multi-user access. CSMA/CA MAC protocol offers a reasonable trade-off between performance, robustness and implementation cost. New scheme will be adopted.

  2. Higher throughput. It arms for a 4x throughput increase compared with 802.11ac without more power consumption.

  3. High reliability and limited delay for some usages.

These features are required by new applications such as interactive and high-definition video, and scenarios with high density of Wifi users such as stadium and public transportation.

To achieve the goals, some new technologies are adopted in the 802.11ax system. The system architecture and functionalities are designed to meet these requirements.

The key technologies include

  1. Channel coding and framing, QAM and OFDM. Up to 11 Modulation and Coding Scheme (MCS) defined.

    1. BCC and LDPC coding for forward error correction.

    2. More PPDU formats defined to support multi-user case. The overhead for multi-user case would be higher compared to single user case.

    3. Up to 1024QAM to increase the data rates.

    4. OFDM with reduced sub-carrier spacing (4x symbol length of 802.11ac) and more variable CPs for flexibility to support different scenarios, especially long outdoor channel, considering tradeoff between efficiency and robustness.

  2. Spatial reuse by dynamic power control and beamforming to reach an optimal tradeoff between individual transmission rates and the number of concurrent transmissions that maximize the area throughput.

  3. Multi-user operation by OFDMA and SDMA.

    1. OFDMA, where multiple-access is achieved by assigning subsets of subcarriers to different users, allowing simultaneous data transmission by several users, and each group of subcarriers is denoted as a resource unit (RU). The RUs can be allocated to stations depending on their channel conditions and service requirements, and an OFDMA system can potentially allocate different transmit powers to different allocations.

    2. MU-MIMO. Both downlink and uplink MU-MIMO transmissions are supported on portions of the PPDU bandwidth (on resource units greater than or equal to 106 tones) and in an MU-MIMO resource unit, there is support for up to eight users with up to four space-time streams per user with the total number of space-time streams not exceeding eight.

    3. OFDMA+MU-MIMO, Potentially can be used.


802.11ax Signal Structure

Five HE PPDU formats are defined: HE SU PPDU, HE MU PPDU, HE extended range SU PPDU and HE trigger-based PPDU, HE NDP PPDU.

The format of the HE SU PPDU is defined as in Figure 1 (HE SU PPDU format). This PPDU format is used for SU (Single User) transmission.

Figure 1. HE SU PPDU format

The format of the HE MU PPDU is defined as in Figure 2 (HE MU PPDU format). This format is used for transmission to one or more users that is not a response of a Trigger frame. The HE-SIG-B field is present in this format.

Figure 2. HE MU PPDU format

The format of the HE extended range SU PPDU is defined as in Figure 3 (HE extended range SU PPDU format). This format is used for outdoor SU transmission and, in this format, the HE-SIG-A field is repeated.

Figure 3. HE extended range SU PPDU format

The format of the HE trigger-based PPDU is defined as in Figure 4 (HE trigger-based PPDU format). This format is used for a transmission that is a response to a Trigger frame. The HE trigger-based PPDU format is identical to the HE SU PPDU format for the L-STF, L-LTF, L-SIG, RL-SIG, HE-SIG-A fields. The duration of the HE-STF field is 8 μs.

Figure 4. HE Trigger based PPDU format

The format of the HE NDP PPDU is defined as in Figure 5 (HE NDP PPDU format).This format is used for DL Channel Sounding.

Figure 5. HE NDP PPDU format


802.11ax Transmitter Block

The simple transmitter block diagram of 802.11ax.

Figure 1. Transmitter block diagram

In the block diagram, multiple transmitters (Transmit chains) are included and multiple users share these transmitters in space and frequency domains.


Tutorials

Creating and Exporting Waveforms

This procedure describes how to create and export waveform files for use with most instruments, including the following:

  • SystemVue ESL Design Software

  • M9381A PXIe Vector Signal Generator

Creating and Exporting Waveforms for the M8190A

This procedure describes how to create and transfer a waveform file to the M8190A.

Using High-Resolution Waveforms for MSR

This topic provides information unique to using the high-resolution waveform type for use in an MSR waveform.

Configuring the M9381A for Signal Studio

This procedure describes the steps unique to M9381A PXIe configurations with Signal Studio products.

Configuring the M9381A for Multi-Channel Synchronization

This topic provides information unique to M9381A PXIe multi-channel configurations with Signal Studio products.

Configuring the M9420A for Signal Studio

This procedure describes the steps unique to M9420A VXT PXIe configurations with Signal Studio products.

One Signal Generator Solution for MxN MIMO

This procedure provides you with a one signal generator solution for creating 802.11n waveform packets for a MxN MIMO application.

Multiple ESGs Solution without Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

This example shows you how to set up the equipment and configure the Signal Studio for WLAN 802.11a/b/g/n/ac software to create 802.11n waveform packets for a Mx2 (2-channel receiver) MIMO application without common local oscillator and baseband timing alignment.

Multiple Signal Generators Solution with Baseband Timing Alignment, but without RF Phase Coherence for MxN MIMO

This example shows you how to set up the equipment and configure the Signal Studio for WLAN 802.11a/b/g/n/ac software to create 802.11n waveform packets for a Mx2 (2-channel receiver) MIMO application with baseband timing alignment, but without RF phase coherency.

Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherency for MxN MIMO

This example shows you how to set up the equipment and configure the Signal Studio for WLAN 802.11a/b/g/n/ac software to create 802.11n waveform packets for a Mx2 (2-channel receiver) MIMO application with baseband timing alignment and RF phase coherency.

Manual Synchronization of MIMO Systems

This topic provides information about synchronizing the waveform playback when using waveforms stored in the signal generator memory.

Multiple Antennas Solution with PXB

This topic provides information about multiple antennas solution with PXB.

MIMO Characteristic Performance Analysis

This topic provides information on MIMO characteristic performance, analysis and conclusion.


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

  • Keysight M9381A PXIe Vector Signal Generator

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Creating and Exporting Waveforms for the M8190A

The Keysight N7617B Signal Studio for WLAN 802.11a/b/g/n/ac/ah/ax software does not provide direct connectivity to the Keysight M8190A Wideband Arbitrary Waveform Generator. Therefore, waveforms licensed to play on the M8190A must be created in simulated hardware mode, exported to a waveform file, and then loaded into the M8190A via a USB storage device. The following procedure describes how to create and transfer waveform files to your M8190A for playback.

This procedure uses Keysight Signal Studio for WLAN as an example, but the steps are valid for all Signal Studio software applications that support the M8190A.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the M8190A. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your M8190A. This example assumes the advanced option was not purchased for the M8190A.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the PC running the M8190A's Soft Front Panel.

  12. From the M8190A's Soft Front Panel, under the Output tab, set Channel 1 and Channel 2 to Direct output mode.

  13. Under Import Waveform tab, set the File Format to SignalStudioEncrypted and then click File... to navigate to the waveform file(*.wfm) you want to play. Click Send to Instrument and wait until the waveform is loaded into memory and the Baseband Sample Rate is updated to the value in the waveform header. Make sure both Channel 1 and Channel 2 outputs are enabled, indicated by the checkboxes.

  14. Under the Status/Control tab, click Run to start playing the waveform. Refer to the M8190A's user documentation for more information.


Using High-Resolution Waveforms for MSR

The software allows you to export high-resolution waveform files (.fwfm file extension), providing better signal quality in a resulting MSR waveform. This topic covers information unique to using this waveform type.

This feature requires a Minor Enhancement Update (MEU) to play back MSR waveforms generated with exported/imported high-resolution component waveforms. For example, if the N7617B WLAN software is used to export a high-resolution waveform file and the N7624B LTE FDD software is used to import that same file to create an MSR waveform, then both software products require MEU. Otherwise, the resulting MSR waveform will not be valid and play back in the instrument. Refer to Licenses for more information.

Generating and Exporting a High-Resolution Waveform File

You cannot play back a standalone high-resolution waveform in the instrument. It will only work as a component in an MSR waveform.

  1. In the Signal Studio software you are using to export the waveform, set the Oversampling Ratio so that the sample clock adjusts close to an integer multiple of 30.72 Msps (LTE software's base sample rate). This improves waveform quality.

  2. Use the Signal Studio software to generate a waveform.

  3. From the menu bar, click File > Export Waveform Data....

  4. In the Save as type: dropdown menu, select high resolution wfm files (*.fwfm).


Configuring the M9381A for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9381A PXIe configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9381A PXIe. If necessary, refer to the user documentation listed below to become familiar with basic operation. This documentation is available at www.keysight.com/find/M9381A.

  • M9381A & M9391A Configuration Guide (PDF Document)

  • M9381A PXIe VSG and M9380A CW Source SCPI Programming Information (Help File)

  • M9381A PXIe Vector Signal Generator Soft Front Panel Help (Help File)

  • M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide (PDF Document)

Signal Studio provides two methods for configuring waveform playback on the M9381A:

  • Direct Connection with a Signal Studio Application

  • Using Waveform 5- and 50-Pack

Direct Connection with a Signal Studio Application

  1. Configure the hardware and cabling for the M9381A system as described in "Multiple M9381A PXIe VSGs in a single PXIe chassis" of the M9381A & M9391A Configuration Guide.

    If you are using an external trigger source, the trigger signal cable must be connected to the Trig 1 connector of the M9301A module. In the case of a multi-channel system, the trigger signal must be connected to the Trig 1 connector of all M9301A modules, using cables of equal length. For more information, refer to the subsection entitled, "Routing an External Trigger Input and ALC Hold on each M9381A PXIe VSG" of the major section entitled, "Working with 802.11ac MIMO R&D/DVT Tests" in the M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide.

  2. This step is commonly referred to as configuring the backplane triggers. Open the M9018A Soft Front Panel (SFP) and check the Allow Control box. Then click the Configure Trigger Bus tab.

    The Keysight M9018A PXIe chassis does not remember the trigger bus configuration upon cycling power.After a power cycle, you must reconfigure the bus triggers by using the M9018A SFP or by creating a persistent configuration by using the AgM9018 API.

    For single-channel and two-channel configurations, configure the GUI, as shown below. This backplane signal configuration assumes the M9381A modules are positioned in the PXIe chassis as described in the M9381A & M9391A Configuration Guide. For all other configurations and additional information, refer to the "Managing Triggers" topic located in M9381A PXIe Vector Signal Generator Soft Front Panel Help.

  3. Open the M9381 SFP (without connecting) to view the Alias. It must be "M938XA-1," as shown below, for the SCPI Parser to connect in the next step. For more information, refer to the "Creating the IVI Config Store Alias(es)" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

    Make sure the M9381 SFP is not connected to the instrument before proceeding to next step, as it and the SCPI Parser cannot run simultaneously.

  4. Run the M938x SCPI Parser. The Signal Studio software will not connect to the system unless the SCPI Parser is running. For more information, refer to the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  5. Open the Signal Studio software and, in the System Configuration Wizard, select the M9381A as the connected instrument.

  6. In the Signal Studio System Configuration Wizard, make sure the host name entered for each PXIe module uses this syntax: <hostname>::hislip<module number>. See example shown below. For more information, refer to the "Overview" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  7. You can now configure, generate, and download your Signal Studio waveform.

    If you are using an external trigger source, be sure to configure the instrument settings in the Signal Studio software. In the tree view, click Instrument and in the trigger settings, select TRIG1 for the External Source.

Using Waveform 5- and 50-Pack

To use a waveform for use with a Signal Studio 5- or 50-pack license, use any Signal Studio application to generate and download a waveform to the M9381A controller PC, where the SCPI Parser is running. You will not be able to play the waveform, however, until it is assigned and locked into one of the available 5- or 50-pack slots. For more information, refer to the "Managing Waveform Packs" topic in the M9381A PXIe Vector Signal Generator Soft Front Panel Help .


Configuring the M9381A PXIe VSG for Multi-Channel Synchronization

To use the Signal Studio software in a multi-channel configuration with M9381A PXIe VSGs, the following must be true to ensure the system works properly.

Multi-channel capability (4x4 or greater) with the M9381A PXIe VSG requires Option MEU. Refer to Licenses for more information.

  • The Signal Studio software assumes the VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the LTE/LTE-Advanced Multi-Channel, Reference Solution Startup Guide for more information. Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

  • Multiple VSGs should be configured using the Multi-Channel PXIe Config Utility. This program configures the backplane triggering, alignments, self-test and 89600 VSA software-hardware configuration.

  • The VSGs are assumed to be used in a multi-channel system, not as individual standalone VSGs.

    For example, if you configure four VSGs using the Multi-Channel PXIe Config Utility, it is assumed that all four VSGs are used together all the time. There should never be a case where any one of the four VSGs is used individually.


Configuring the M9420 for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9420A VXT configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9420A VXT.

  1. Connect an SMB cable from the 100 MHz Out connector of the M9300A to the 100 MHz In connector of the M9420A.

  2. Launch the M9300A SFP software. This must be done before launching the M9420A SFP software.

  3. The M9300A SFP software recognizes the reference configuration automatically. Verify that the slot (10) and PXI address are correct. Then highlight it and click Connect.

  4. Verify that the specific 100 MHz Reference Out port connected to the M9420A is enabled.

  5. Select Utilities > Self Test and click Run Self Test to verify the reference connection.

  6. Under All Programs on your PC, open the Keysight Modular Transceiver folder and select LaunchModularTRX. A small window appears. Verify that the M9420A occupies slot number 11.

  7. Click Show Advanced Settings and configure the valid port for VISA communication. To avoid conflict with other instruments in the same chassis, use the vacant values for HiSLIP, Telnet, and Socket ports.

  8. Make sure the correct module is selected and click Run Selected. The M9420A VXT soft front panel launches.

  9. Open the Signal Studio software. A welcome dialog window appears. Select New hardware configuration. Click OK. This begins the System Configuration Wizard, which takes you through the steps to connect to the M9420A VXT.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  10. In Step 4 of the System Configuration Wizard, make sure the host name entered uses this syntax: <hostname>::hislip<module number>. See example shown below.


One Box solution for MxN MIMO

One Signal Generator Solution for MxN MIMO

This example shows you how to set up the equipment and configure the Signal Studio for WLAN 802.11a/b/g/n/ac software to create 802.11n waveform packets for a 2xN MIMO transmitter test application using one signal generator. Although this example demonstrates 2xN MIMO transmitter test, it is easy to expand it to 3xN and 4xN MIMO by configuring the Signal Studio software.

In this example, only one signal generator (E4438C, N5182A, N5182B, N5172B) is used. The Signal Studio for WLAN 802.11a/b/g/n/ac software pre-calculates the waveform packets and applies effects of specific channels, then loads the waveform packets into the signal generator one by one and applies the signal directly to the DUT's receiver inputs.

In parameter configuration windows, you can check [image] in the upper right, and then click the desired parameter for a brief description.

  1. Connect the PC and the signal generator as shown above.

  2. Click the Quick Setup button in the tree view and double click IEEE 802.11n MxN (1 SG) in the right pane to open the parameter view main window.

  3. Click Waveform Setup in the tree view to configure waveform parameters. The Waveform Basic section contains the key system parameters.

    1. Format: Select HT for this example.

    2. Generation Mode: Select Framed for this example.

    3. Idle Interval: Use the default setting, 20 us. This parameter determines the length of the idle time between frames.

    4. Bandwidth: Use the default 20 MHz.

    5. Leave the default settings for the other parameters.

  4. Click Signal Configuration in the tree view to configure the parameters for the 802.11n PHY and MAC layers.

  5. Configure Coding and Modulation parameters.

    1. The MCS Index can be changed if desired. It determines the number of spatial streams, and the modulation type, coding rate, and data rate as shown in the MCS table. Since we have chosen the IEEE 802.11n Mx2 setup, the range of possible choices for the MCS index is 0 to 15. Use any of these values.

    2. Number of Transmit Chains: Set it to 2. This parameter determines the M value in a MxNMIMO system.

    3. Number of Space Time Streams: Use the default of 2.

    4. Number of Extension Spatial Streams: Use the default value of 0.

    5. Short Guard Interval: Set it to OFF. This sets the guard interval to 800ns.

    6. Operating Mode: Select GreenField. In GreenField mode, HT packets are transmitted without a legacy compatible part.

    7. Spatial Mapping Scheme: Use the Spatial Expansion scheme.

    8. Scrambler, Convolutional Coder, and Interleaver: Enable scrambler, convolutional coder, and interleaver so that the channel is fully coded.

  6. Configure payload data.

    1. Aggregation MPDU, You can turn A-MPDU ON or OFF. For this example, turn it off to disable multiple MPDUs in one PSDU (PHY service data unit).

    2. Data Source Type: Select PN9 sequence.

    3. Data Length (Bytes): Use the default setting, 1024 Bytes in this example.

    4. MAC Header: Disable MAC Header in this example

    5. MAC FCS: Disable MAC FCS in this example.

    6. Number of Frames: Set it to 1.

  7. Configure Impairments in Waveform by clicking Signal Configuration in the tree view. Set Channel State to OFF in this example for a 2xN MIMO transmitter test. Leave the default settings for the other parameters.

  8. Keep the default signal generator settings.

  9. Click Graph to view the CCDF curves, if desired.

  10. Click Generate to generate waveform packets.

  11. Click Download to download waveforms to the signal generator after you have configured the instrument connection.

Because this example demonstrates a 2xN MIMO transmitter test, the Signal Studio software generates and downloads two waveforms to the signal generator. If you configure the software for 3xN or 4xN MIMO transmitter test, it will generate and download 3 or 4 waveforms correspondingly.

The software will automatically add a number at the end of the waveform name. For example, if it is 4xN MIMO and you name the waveform (In Waveform Setup -> Waveform Basic -> Waveform Name) as "WLAN", the names of the four downloaded waveform in the signal generators will be "WLAN0", "WLAN1", "WLAN2" and "WLAN3".

The signal generator will automatically play the first waveform. If you want the signal generator to play the second, third, or fourth waveform, operate the signal generator from the front panel or send SCPI commands to select the waveform as follows:

  • On the signal generator front panel:

    Press Mode -> Dual ARB -> Select Waveform

  • Send SCPI commands:

    Select the first waveform WLAN0 to play: :RAD:ARB:WAV "WFM1:WLAN0"

    Select the second waveform WLAN1 to play: :RAD:ARB:WAV "WFM1:WLAN1"

    Select the third waveform WLAN2 to play: :RAD:ARB:WAV "WFM1:WLAN2"

    Select the fourth waveform WLAN3 to play: :RAD:ARB:WAV "WFM1:WLAN3"


Multiple ESGs Solution without Baseband Timing Alignment and RF Phase Coherence

Multiple ESGs Solution without Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

This example shows you how to set up the equipment and configure the Signal Studio for WLAN 802.11a/b/g/n/ac software to create 802.11n waveform packets for a Mx2 (2-antenna receiver) MIMO receiver test application without baseband timing alignment and common local oscillator. Although this example demonstrates Mx2 MIMO, it is easy to expand it to Mx3 and Mx4 MIMO by adding extra signal generators, connecting the corresponding cables, and configuring the Signal Studio software.

In this example, two E4438C signal generators (with the same model number) are used and the 10 MHz references are connected between them.

The Event 2 connector on the master signal generator is connected to the Pattern Trigger In connector on each of the two signal generators. It synchronizes the start of the waveforms playback on both signal generators. The synchronization occurs right after the software downloading the waveforms to the both signal generator. The Signal Studio software will send a SCPI command to the master signal generator to direct it to send a one-time event pulse through the Event 2 connector to itself and the slave signal generator. Then, this pulse signal triggers the two signal generator to playback the waveform with synchronization. Note that there is still an error of one cycle of the baseband generator clock between the master and the slave. Each signal generator only recognizes the pattern trigger input the next time that the BBG clock signal has a rising edge, and since the two BBG clocks are not phase matched, the rising edge can occur as much as one clock cycle apart on the two signal generator. To achieve the baseband timing alignment, use the setup in Multiple Signal Generators Solution with Baseband Timing Alignment, but without RF Phase Coherence topic.

The EVENT 2 signal works as both a Trigger Source and an actual Marker 2 output signal, but in different period of time. Before the waveform playback, EVENT 2 serves as the trigger source. Once waveforms are triggered to playback, EVENT 2 won't work as a trigger source and come back to the Marker 2 output whenever marker 2 is present in the waveform.

When you start the Signal Studio for WLAN 802.11a/b/g/n/ac, you will need to choose the IEEE 802.11n Mx2 2 SG in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. Both signal generators must be the same model and both must have a valid license for N7617B Advanced Capability in order to have access to most of the software features for MIMO.

The Signal Studio for WLAN 802.11a/b/g/n/ac software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator and applies it directly to the DUT's receiver inputs. You might use this type of setup for MIMO Mx2 receiver test.

Procedure on Signal Studio Software

  1. Set up the PC and the signal generators as shown above.

  2. Click the Quick Setup button in the tree view and double click the IEEE 802.11n Mx2 in the right pane to open the parameter view main window. If you want to expand your setup to Mx3 or Mx4 MIMO, select IEEE 802.11n Mx3 or IEEE 802.11n Mx4 respectively.

  3. Click Waveform Setup in the tree view to configure waveform parameters. The Waveform Basic section contains the key system parameters.

    1. Format: Select HT for this example.

    2. Generation Mode: Select Framed for this example.

    3. Idle Interval: Use the default setting, 20 us. This parameter determines the length of the idle time between frames.

    4. Bandwidth: Use the default 20 MHz.

    5. Leave the default settings for the other parameters.

  4. Click Signal Configuration in the tree view to configure the parameters for the 802.11n PHY and MAC layer.

  5. Configure Coding and Modulation parameters.

    1. The MCS Index can be changed if desired. It determines the number of spatial streams and the modulation type, coding rate, and data rate as shown in the MCS table. Since we have chosen IEEE 802.11n Mx2 in the quick setup, the range of possible choices for the MCS index is 0 to 15. Use any of these values.

    2. Number of Transmit Chains: set it to 2. This parameter determines the M value in a MxNMIMO system. Since we have chosen Mx2 MIMO in the Quick Setups, setting this parameter to 2 means that we are configuring a 2x2 MIMO system.

    3. Number of Space Time Streams: Use the default of 2.

    4. Number of Extension Spatial Streams: Use the default value of 0.

    5. Short Guard Interval: Set it to OFF. This sets the guard interval to 800ns.

    6. Operating Mode: Set to GreenField. In GreenField mode, HT packets are transmitted without a legacy compatible part.

    7. Spatial Mapping Scheme: Use the Spatial Expansion scheme.

    8. Scrambler, Convolutional Coder, and Interleaver: Enable scrambler, convolutional coder, and interleaver so that the channel is fully coded.

  6. Configure payload data.

    1. Aggregation MPDU, You can turn A-MPDU on or off. For this example, turn it on to allow multiple MPDUs in one PSDU (PHY service data unit).

    2. The bottom half of the screen allows you to add MPDUs to this zone. One MPDU is present by default. Click Add to add a second one.

    3. Number of Frames: set it to 1.

  7. Click MPDU0 in the tree view or double-click in the first column of the row in the table. This displays a window where you can choose the following for each MPDU.

    1. Data Type: Select PN9 sequence.

    2. Data Length: Use the default setting, 1024 bytes in this example.

    3. MAC Header: MAC Header format is very important for receiver test. The MAC header provides the DUT with information about the data being transmitted. If the header is formatted incorrectly, the DUT will not recognize the frame, preventing FER/PER testing. It is critical that the frame control in the MAC header be set properly to obtain valid packets. IEEE 802.11, 1999, paragraph 7, Frame formats defines several frame types. To set the frame for data, the MAC header would be formatted to 0800. The second portion of the MAC header specifies addresses. Not all frame types use all the address fields. Signal Studio provides a checkbox that can be cleared if that is desired. Note that the frame length changes when the addresses are not selected. If the address of the DUT is not the same as that being transmitted, the frame will be ignored by the DUT, unless the device is in ad hoc mode. In this example, the MAC header for a data frame with addresses is set as shown in the figure below.

    4. MAC FCS: Enable MAC FCS to append the MAC FCS to the data payload in this example.

    5. Leave the default settings for the other parameters.

  8. Configure Impairments in Waveform by clicking Signal Configuration in the tree view. Set Channel State to ON in this example for a Mx2 MIMO receiver test. (For a transmitter test application, set the channel state to OFF.)

    1. Click the [image] button in the Channel cell to configure channel fading parameters.

    2. Channel Mode: Use mode B in this example. Options A to F of model type correspond to channel models defined in IEEE 802.11-03/940r (IEEE p802.11 Wireless WLANs TGn channel models).

    3. Fading Type: Use the default Rayleigh in this example. You may also set it to Rice, depending on your test requirements.

    4. Channel Power Correlation Type: In this example, set it to Complex so that the antenna correlations are computed from the signal voltages (complex).

    5. Number of Transmit Antennae: Displays the number of transmit antennae. It is equal to the number of transmit chains in HT mode in this example.

    6. Number of Receive Antennae: Displays the number of receive antennae. It is determined by the number of signal generators you select in the quick setup. In this example, it is 2.

    7. Leave the default settings for the other parameters.

  9. Keep the default signal generator settings for the two signal generators.

  10. Click Graph [image] to view the CCDF curves, if desired.

  11. Click Generate [image] to generate waveform packets.

  12. Click Download [image] to download waveforms to each signal generator after you have configured the instrument connection.


Multiple Signal Generators Solution with Baseband Timing Alignment but without RF Phase Coherence

Multiple Signal Generators Solution with Baseband Timing Alignment, but without RF Phase Coherence for MxN MIMO

This topic describes the following configurations:

  • Using MXG/EXG X-Series Signal Generators

  • Using ESG Signal Generators Plus an N5181A Analog Signal Generator as an External BBG Clock

Using MXG/EXG X-Series Signal Generators

+

The figure above shows you how to set up two X-Series signal generators (either N5182A, N5172B, or N5182B) for a Mx2 (2-antenna receiver) WLAN Solution with Baseband Timing Alignment, but without RF Phase Coherence. Although this example demonstrates Mx2 MIMO, it is easy to expand it to Mx3 and Mx4 MIMO by adding extra signal generators, connecting the corresponding cables, and configuring the Signal Studio software.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

The X-Series signal generator provides precise baseband timing alignment as a standard feature, which synchronizes the start of the BBG waveform playback capability of up to 16 signal generators. For the N5182A, or N8300A, the playback is synchronized to within a characteristic value of ± 8 ns between the master and the last slave. For the N5172B or N5182B, the playback is synchronized to within a characteristic value of ± 5 ns between the master and the last slave. This minor amount of delay (± 8 ns or ± 5 ns) can be reduced further to picosecond resolution by adjusting the I/Q Delay. To reduce the delay, check and adjust the BBG signal alignment for each signal generator in the system. For more information on adjusting the delay, refer to the section entitled "I/Q Adjustments" in the MXG/EXG X-Series user's guide.

The delay value includes compensation for cables that have less than 1 ns of propagation delay between the EVENT 1 and PAT TRIG connectors. To minimize synchronization delay, the Keysight BNC cable 10502A is the recommended cable for the rear-panel daisy chain connections

The Event 1 connector on the master MXG/EXG rear panel is connected to the Pattern Trigger In connector on the slave MXG/EXG. This ensures that the two baseband generators are precisely synchronized on the start of the waveform playback. Synchronization occurs after the master signal generator sends a one-time event pulse through the Event 1 connector to the slave signal generator. Prior to this event, the slave signal generator must recognize that it is waiting for this event pulse, which occurs during the system configuration. (Refer to the section entitled "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.) In order to properly send the synchronization pulse, the Dual ARB Player for each signal generator must be turned off. The trigger source on the both signal generators is automatically set by the software. On the master MXG/EXG, it is set to "Bus" to wait for a SCPI command trigger through the GPIB or LAN bus. On the slave MXG/EXG, it is set to "External" to receive a trigger through the rear-panel PAT TRIG connector.

When you start the Signal Studio for WLAN 802.11a/b/g/n/ac, you will need to choose the IEEE 802.11n Mx2 2 SG in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. You can use up to two N5182As. Both signal generators must have valid licenses for N7617B Advanced Capability in order to have access to most of the software features for MIMO. Once you have connected to both MXG/EXG X-Series signal generators, the software sends SCPI commands to both signal generators and automatically completes the system configuration. You can now perform the steps to synchronize the baseband generators of each MXG/EXG. (Refer to the section entitled "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.)

When you generate the waveforms for multiple antennas, the Signal Studio for WLAN software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator.

Using ESG Signal Generators Plus an N5181A Analog Signal Generator as an External BBG Clock

The figure above shows you how to set up two ESG signal generators for a Mx2 (2-antenna receiver) WLAN Solution with Baseband Timing Alignment, but without RF Phase Coherence. Although this example demonstrates Mx2 MIMO, it is easy to expand it to Mx3 and Mx4 MIMO by adding extra signal generators, connecting the corresponding cables, and configuring the Signal Studio software.

Two signal generators (with the same model number) are used and the 10 MHz references are connected between them. When using E4438C ESG signal generators, each requires the special option HEC to provide the external baseband generator clock input on the rear panel. An N5181A MXG signal generator is used as an external common clock for the two baseband generators to ensure timing alignment of the baseband signals. The Event 2 connector on the master signal generator is connected to the Pattern Trigger In connector on each of the two signal generators. This ensures that the two baseband generators are triggered simultaneously, eliminating time errors in the waveform output. The synchronization occurs right after downloading the waveforms to the both signal generator. The Signal Studio software will send a SCPI command to the master signal generator to direct it to send a one-time event pulse through the Event 2 connector to itself and the slave signal generator. Then, this pulse signal triggers the two signal generator to playback the waveform simultaneously.

The EVENT 2 signal works as both a Trigger Source and an actual Marker 2 output signal, but in different period of time. Before the waveform playback, EVENT 2 serves as the trigger source. Once waveforms are triggered to playback, EVENT 2 won't work as a trigger source and come back to the Marker 2 output whenever marker 2 is present in the waveform.

When you start the Signal Studio for WLAN 802.11a/b/g/n/ac, you will need to choose the IEEE 802.11n Mx2 2 SG in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. Both signal generators must be the same model and both must have a valid license for N7617B Advanced Capability in order to have access to most of the software features for MIMO.

When you generate the waveforms for multiple antennas, the Signal Studio for WLAN software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator and applies it directly to the DUT.

Procedure on Signal Studio Software

  1. Set up the PC and the signal generators as shown above.

  2. Click the Quick Setup button in the tree view and double click the IEEE 802.11n Mx2 in the right pane to open the parameter view main window. If you want to expand your setup to Mx3 or Mx4 MIMO, select IEEE 802.11n Mx3 or IEEE 802.11n Mx4 respectively.

  3. Click Waveform Setup in the tree view to configure waveform parameters. The Waveform Basic section contains the key system parameters.

    1. Format: Select HT for this example.

    2. Generation Mode: Select Framed for this example.

    3. Idle Interval: Use the default setting, 20 us. This parameter determines the length of the idle time between frames.

    4. Bandwidth: Use the default 20 MHz.

    5. Leave the default settings for the other parameters.

  4. Click Signal Configuration in the tree view to configure the parameters for the 802.11n PHY and MAC layer.

  5. Configure Coding and Modulation parameters.

    1. The MCS Index can be changed if desired. It determines the number of spatial streams and the modulation type, coding rate, and data rate as shown in the MCS table. Since we have chosen the IEEE 802.11n Mx2 setup, the range of possible choices for the MCS index is 0 to 15. Use any of these values.

    2. Number of Transmit Chains: set it to 2. This parameter determines the M value in a MxN MIMO system. Since we have chosen Mx2 MIMO in the quick setup, setting this parameters to 2 means that we are configuring a 2x2 MIMO system.

    3. Number of Space Time Streams: Use the default of 2.

    4. Number of Extension Spatial Streams: Use the default value of 0.

    5. Short Guard Interval: Set it to OFF. This sets the guard interval to 800ns.

    6. Operating Mode: Select to GreenField. In GreenField mode, HT packets are transmitted without a legacy compatible part.

    7. Spatial Mapping Scheme: Use the Spatial Expansion scheme.

    8. Scrambler, Convolutional Coder, and Interleaver: Enable scrambler, convolutional coder, and interleaver so that the channel is fully coded.

  6. Configure payload data.

    1. Aggregation MPDU: You can turn A-MPDU ON or OFF. For this example, turn it on to allow multiple MPDUs in one PSDU (PHY service data unit).

    2. The bottom half of the screen allows you to add MPDUs to this zone. One MPDU is present by default. Click Add to add a second one.

    3. Number of Frames: set it to 1.

  7. Click MPDU0 in the tree view or double-click in the first column of the row in the table. This displays a window where you can choose the following for each MPDU.

    1. Data Type: Select PN9 sequence.

    2. Data Length: Use the default setting, 1024 Bytes in this example.

    3. MAC Header: MAC Header format is very important for receiver test. The MAC header provides the DUT with information about the data being transmitted. If the header is formatted incorrectly, the DUT will not recognize the frame, preventing FER/PER testing. It is critical that the frame control in the MAC header be set properly to obtain valid packets. IEEE 802.11, 1999, paragraph 7, Frame formats defines several frame types. To set the frame for data, the MAC header would be formatted to 0800. The second portion of the MAC header specifies addresses. Not all frame types use all the address fields. Signal Studio provides a checkbox that can be cleared if that is desired. Note that the frame length changes when the addresses are not selected. If the address of the DUT is not the same as that being transmitted, the frame will be ignored by the DUT, unless the device is in ad hoc mode. In this example, the MAC header for a data frame with addresses is set as shown in the figure below.

    4. MAC FCS: Enable MAC FCS to append the MAC FCS to the data payload in this example.

    5. Leave the default settings for the other parameters.

  8. Configure Impairments in Waveform by clicking Signal Configuration in the tree view. Set Channel State to ON in this example for a Mx2 MIMO receiver test. (For transmitter test application, set the channel state to OFF.)

    1. Click the [image] button in this Channel cell to configure channel fading parameters.

    2. Channel Mode: Use mode B in this example. Options A to F of model type correspond to channel models defined in IEEE 802.11-03/940r (IEEE p802.11 Wireless WLANs TGn channel models).

    3. Fading Type: Use the default Rayleigh in this example. You may also set it to Rice, depending on your test requirements.

    4. Channel Power Correlation Type: In this example, set it to Complex so that the antenna correlations are computed from the signal voltages (complex).

    5. Number of Transmit Antennae: Displays the number of transmit antennae. It is equal to the number of transmit chains in HT mode in this example.

    6. Number of Receive Antennae: Displays the number of receive antennae. It is determined by the number of signal generators you select in the Quick Setups. In this example, it is 2.

    7. Leave the default settings for the other parameters.

  9. Click Hardware in the tree view and click Signal Generator1 (Master) to configure the signal generator 1 settings.

    If you are using E4438C ESG signal generators:

    1. Instrument Model Number: In Configuration section, set the instrument model number to E4438C.

    2. VCO Clock: In Dual Arb section, set the VCO clock to external.

    3. Keep the defaults for the other signal generator settings.

    If you are using N5182A MXG signal generators:

    1. Instrument Model Number: In Configuration section, set the instrument model number to N5182A.

    2. Keep the defaults for the other signal generator settings.

  10. Click Hardware in the tree view and click Signal Generator2 (Slave) to configure the signal generator 2 settings.

    If you are using E4438C ESG signal generators:

    1. Instrument Model Number: In Configuration section, set the instrument model number to E4438C.

    2. VCO Clock: In Dual Arb section, set the VCO clock to external.

    3. Keep the defaults for the other signal generator settings.

    If you are using N5182A MXG signal generators:

    1. Instrument Model Number: In Configuration section, set the instrument model number to N5182A.

    2. Keep the defaults for the other signal generator settings.

  11. Click Graph [image] to view the CCDF curves, if desired.

  12. Click Generate [image] to generate waveform packets.

  13. Click Download [image] to download waveforms to each signal generator after you have configured the instrument connection.


Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence

Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

This topic describes the following configurations:

  • Using MXG/EXG X-Series Signal Generators

  • Using ESG Signal Generators

Using MXG/EXG X-Series Signal Generators

The figure above shows you how to set up two MXG/EXG X-Series signal generators (either N5182A, N5172B, or N5182B) for the Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

To generate an RF phase coherent signal, the LO OUT signal from the master MXG/EXG is divided using a power splitter and then connected to the LO IN connectors of the master MXG/EXG and the slave MXG/EXG.

All X-Series signal generators in this setup require option N5182A-012, N5172B-012, or N5182B-012, which adds the LO IN/OUT for RF phase coherency.

The X-Series signal generator provides precise baseband timing alignment as a standard feature, which synchronizes the start of the BBG waveform playback capability of up to 16 signal generators. For the N5182A or N8300A, the playback is synchronized to within a characteristic value of ± 8 ns between the master and the last slave. For the N5172B or N5182B, the playback is synchronized to within a characteristic value of ± 5 ns between the master and the last slave. When working with the Signal Studio for WLAN 802.11a/b/g/n/ac, we only use two MXG/EXG X-Series signal generators to simulate the signals on two antennae. This minor amount of delay (± 8 ns or ± 5 ns) can be reduced further to picosecond resolution by adjusting the I/Q Delay. To reduce the delay, check and adjust the BBG signal alignment for each signal generator in the system. For more information on adjusting the delay, refer to the section entitled "I/Q Adjustments" in the MXG/EXG X-Series user's guide.

The delay value includes compensation for cables that have less than 1 ns of propagation delay between the EVENT 1 and PAT TRIG connectors. To minimize synchronization delay, the Keysight BNC cable 10502A is the recommended cable for the rear-panel daisy chain connections

The Event 1 connector on the master MXG/EXG rear panel is connected to the Pattern Trigger In connector on the slave MXG/EXG. This ensures that the two baseband generators are precisely synchronized on the start of the waveform playback. Synchronization occurs after the master signal generator sends a one-time event pulse through the Event 1 connector to the slave signal generator. Prior to this event, the slave signal generator must recognize that it is waiting for this event pulse, which occurs during the system configuration. (Refer to the section entitled "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.) In order to properly send the synchronization pulse, the Dual ARB Player for each signal generator must be turned off. The trigger source on the both signal generators is automatically set by the software. On the master MXG/EXG, it is set to "Bus" to waiting for a SCPI command trigger through the GPIB or LAN bus. On the slave MXG/EXG, it is set to "External" to receive a trigger through the rear-panel PAT TRIG connector.

When you start Signal Studio for WLAN 802.11a/b/g/n/ac, you must select Multiple Antennae in the System Configuration Wizard. You will be asked for connection information for the corresponding number of MXG/EXG X-Series signal generators. Both signal generators must have a valid license for N7617B advanced capability in order to have access to the software features for the multiple antennae. Once you have connected to both MXG/EXG X-Series signal generators, the software sends SCPI commands to both signal generators and automatically completes the system configuration. You can now perform the steps to synchronize the baseband generators of each MXG/EXG. (Refer to the section entitled "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.)

When you generate the waveforms for multiple antennas, the Signal Studio for WLAN software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator.

Using ESG Signal Generators

This example shows you how to set up the ESG signal generators and configure the Signal Studio for WLAN 802.11a/b/g/n/ac software to create 802.11n waveform packets for a Mx2 (2-channel receiver) MIMO receiver test application with baseband timing alignment and RF phase coherency. Although this example demonstrates Mx2 MIMO, it is easy to expand it to Mx3 and Mx4 MIMO by adding extra signal generators, connecting the corresponding cables, and configuring the Signal Studio software.

Two signal generators (with the same model number) are used and the 10 MHz references are connected between them. When using E4438C ESG signal generators, each requires the special options HEC, HCC and HBC. Option HEC provides the external baseband generator clock input on the rear panel. Option HCC Provides 250 MHz - 4 GHz IN & OUT on the rear panel. Option HBC provides 4 GHz - 6 GHz IN & OUT on the rear panel. A distribution network is used to take the LO signal from the master signal generator and to amplify and split that signal so that it can serve as the LO for both the master and slave signal generators, thus providing phase coherency for the RF signal output signals. It also provides an external common clock for the two baseband generators, which ensures timing alignment of the baseband signals. Note that the phase offset of each signal generator can be corrected by changing the starting phase of the I/Q waveform. The Event 2 connector on the master signal generator is connected to the Pattern Trigger In connector on each of the two signal generators. This ensures that the two baseband generators are triggered simultaneously, eliminating time errors in the waveform output. The synchronization occurs right after downloading the waveforms to the both signal generator. The Signal Studio software will send a SCPI command to the master signal generator to direct it to send a one-time event pulse through the Event 2 connector to itself and the slave signal generator. Then, this pulse signal triggers the two signal generator to playback the waveform simultaneously.

The EVENT 2 signal works as both a Trigger Source and an actual Marker 2 output signal, but in different period of time. Before the waveform playback, EVENT 2 serves as the trigger source. Once waveforms are triggered to playback, EVENT 2 won't work as a trigger source and come back to the Marker 2 output whenever marker 2 is present in the waveform.

When you start the Signal Studio for WLAN 802.11a/b/g/n/ac, you will need to choose the IEEE 802.11n Mx2 2 SG in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. Both signal generators must be the same model and both must have a valid license for N7617B Advanced Capability in order to have access to most of the software features for MIMO.

When you generate the waveforms for multiple antennas, the Signal Studio for WLAN software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator and applies it directly to the DUT.

Procedure on Signal Studio Software

  1. Set up the PC and the signal generators as shown above.

  2. Click the Quick Setup button in the tree view and double click the IEEE 802.11n Mx2 in the right pane to open the parameter view main window. If you want to expand your setup to Mx3 or Mx4 MIMO, select IEEE 802.11n Mx3 or IEEE 802.11n Mx4 respectively.

  3. Click Waveform Setup in the tree view to configure waveform parameters. The Waveform Basic section contains the key system parameters.

    1. Format: Select HT for this example.

    2. Generation Mode: Select Framed for this example.

    3. Idle Interval: Use the default setting, 20 us. This parameter determines the length of the idle time between frames.

    4. Bandwidth: Use the default 20 MHz.

    5. Leave the default settings for the other parameters.

  4. Click Signal Configuration in the tree view to configure the parameters for the 802.11n PHY and MAC layer.

  5. Configure Coding and Modulation parameters.

    1. The MCS Index can be changed if desired. It determines the number of spatial streams and the modulation type, coding rate, and data rate as shown in the MCS table. Since we have chosen the IEEE 802.11n Mx2 setup, the range of possible choices for the MCS index is 0 to 15. Use any of these values.

    2. Number of Transmit Chains: Set it to 2. This parameter determines the M value in a MxN MIMO system. Since we have chosen the Mx2 MIMO in Quick Setups, setting this parameter to 2 means that we are configuring a 2x2 MIMO system.

    3. Number of Space Time Streams: Use the default of 2.

    4. Number of Extension Spatial Streams: Use the default value of 0.

    5. Short Guard Interval: Set it to OFF. This sets the guard interval to 800ns.

    6. Operating Mode: Select to GreenField. In GreenField mode, HT packets are transmitted without a legacy compatible part.

    7. Spatial Mapping Scheme: Use the Spatial Expansion scheme.

    8. Scrambler, Convolutional Coder, and Interleaver: Enable scrambler, convolutional coder and interleaver so that the channel is fully coded.

  6. Configure payload data.

    1. Aggregation MPDU: You can turn A-MPDU ON or OFF. For this example, turn it on to allow multiple MPDUs in one PSDU (PHY service data unit).

    2. The bottom half of the screen allows you to add MPDUs to this zone. One MPDU is present by default. Click Add to add a second one.

    3. Number of Frames: set it to 1.

  7. Click MPDU0 in the tree view or double-click in the first column of the row in the table. This displays a window where you can choose the following for each MPDU.

    1. Data Type: Select PN9 sequence.

    2. Data Length: Use the default setting, 1024 bytes in this example.

    3. MAC Header: MAC Header format is very important for receiver test. The MAC header provides the DUT with information about the data being transmitted. If the header is formatted incorrectly, the DUT will not recognize the frame, preventing FER/PER testing. It is critical that the frame control in the MAC header be set properly to obtain valid packets. IEEE 802.11, 1999, paragraph 7, Frame formats defines several frame types. To set the frame for data, the MAC header would be formatted to 0800. The second portion of the MAC header specifies addresses. Not all frame types use all the address fields. Signal Studio provides a checkbox that can be cleared if that is desired. Note that the frame length changes when the addresses are not selected. If the address of the DUT is not the same as that being transmitted, the frame will be ignored by the DUT, unless the device is in ad hoc mode. In this example, the MAC header for a data frame with addresses is set as shown in the figure below.

    4. MAC FCS: Enable MAC FCS to append the MAC FCS to the data payload in this example.

    5. Leave the default settings for the other parameters.

  8. Configure Impairments in Waveform by clicking Signal Configuration in the tree view. Set Channel State to ON in this example for a Mx2 MIMO receiver test. (For transmitter test applications, set the channel state to OFF.)

    1. Click the [image] button in the Channel cell to configure channel fading parameters.

    2. Channel Mode: Use mode B in this example. Options A to F of model type corresponds to channel models defined in IEEE 802.11-03/940r (IEEE p802.11 Wireless WLANs TGn channel models).

    3. Fading Type: Use the default Rayleigh in this example. You may also set it to Rice, depending on your test requirements.

    4. Channel Power Correlation Type: In this example, set it to Complex so that the antenna correlations are computed from the signal voltages (complex).

    5. Number of Transmit Antennae: Displays the number of transmit antennae. It is equal to the number of transmit chains in HT mode in this example.

    6. Number of Receive Antennae: Displays the number of receive antennae. It is determined by the number of signal generators you select in the quick setup. In this example, it is 2.

    7. Leave the default settings for the other parameters.

  9. Click Hardware in the tree view and click Signal Generator1 (Master) to configure the signal generator 1 settings.

    1. Instrument Model Number: In Configuration section, set the instrument model number to E4438C.

    2. VCO Clock: In the Dual Arb section, set the VCO clock to external.

    3. Keep the defaults for the other signal generator settings.

  10. Click Hardware in the tree view and click Signal Generator2 (Slave) to configure the signal generator 2 settings.

    1. Instrument Model Number: In Configuration section, set the instrument model number to E4438C.

    2. VCO Clock: In the Dual Arb section, set the VCO clock to external.

    3. Keep the defaults for the other signal generator settings.

  11. Click Graph [image] to view the CCDF curves, if desired.

  12. Click Generate [image] to generate waveform packets.

  13. Click Download [image] to download waveforms to each ESG signal generator after you have configured the instrument connection.


Manual Synchronization of MIMO Systems

When Signal Studio is used to download and initiate waveform playback in multiple signal generators, it sends SCPI commands to set up the triggering parameters and initiate the waveform playback so that the playback starts at the same time in each instrument. If you choose to store waveforms in the signal generators and recall them for playback from the signal generator memory, rather than using Signal Studio directly, additional steps are needed to get synchronized waveform playback. The front panel keystrokes in the procedure below can be replaced by SCPI commands in a software program.

First, connect the signal generators as shown in the Tutorials section of the online help for your desired configuration:

  • Multiple ESGs Solution without Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

  • Multiple Signal Generators Solution with Baseband Timing Alignment, but without RF Coherence for MxN MIMO

  • Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

Multiple E8267D PSG signal generator configurations are not supported.

E4438C ESG Signal Generator Setup

Make sure that the EVENT 2 output of the master ESG is connected to the PATT TRIG IN 1 connectors on both the master and slave ESGs. The 10 MHz references should be connected between the instruments.

  1. For each signal generator, press these keys: Preset > Mode Setup > Dual Arb > Trigger > Trigger Setup > Trigger Source > Ext Source and verify that Patt Trig In 1 is selected. Next, press Return > Continuous Mode and set this to Trigger & Run. This will set up the signal generator to start playing back the waveform continuously when it receives an external trigger input on the PATT TRIG IN 1 connector, and to ignore further trigger signals.

  2. On each signal generator, select the desired waveform, but leave the ARB turned off:

    1. Press Mode > Dual ARB > Waveform Segments, select and load the desired segment(s).

    2. Press Return > Select Waveform, and select the desired waveform file.

  3. Send the following SCPI commands to the master ESG to prepare it to output periodic triggering pulses on the EVENT 2 output. If you are not using a software program to control the test, you can use the Keysight Connection Expert to connect to the signal generator and send the following SCPI commands:

    diag:bbg:mon "ww a6000004 30"

    diag:bbg:mon "ww a6000058 6000"

    diag:bbg:mon "ww a600005c 6001"

  4. Turn on the ARB in each signal generator: Local > Mode Setup > ARB On (if needed). Set the desired frequency and amplitude for the output signal and turn RF on.

  5. Send these SCPI commands to the master ESG to generate the trigger pulses to start the waveform playback and to stop the pulse generation. No delay is needed between the commands since the hardware works faster than the SCPI command processing.

    diag:bbg:mon "ww a6000056 3"

    diag:bbg:mon "ww a6000056 0"

Turning off the Arb on any of the signal generators will cause a loss of synchronization. To re-synchronize the waveform playback or change to a different waveform(s), repeat steps 2-5.

MXG/EXG X-Series Signal Generator Setup

Make sure that the EVENT 1 output from the master MXG/EXG is connected to the PAT TRIG IN on the slave MXG/EXG. If additional slaves are present, the EVENT 1 output of each slave should be connected to the PAT TRIG IN of the next slave in the system. The 10 MHz references should be connected between the instruments.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

  1. On the master MXG/EXG, press these keys to set up the trigger type, trigger mode, and trigger source: Preset > Mode > Dual ARB > Trigger Type > Continuous > Trigger & Run > Trigger Source > Trigger Source. Here you can choose Trigger Key, Bus, or Ext as the trigger source. Trigger Key is convenient for manual operation. Bus trigger can easily be sent with a SCPI command so that is a good choice if the measurement is automated. Ext uses an external trigger signal applied to Patt Trig In 1 (by default), which is the PAT TRIG rear panel connector.

  2. If Ext was selected for the Trigger Source, disconnect the external trigger signal from the PAT TRIG input on the master MXG/EXG.

  3. On the slave MXG/EXG(s), press these keys to set up the trigger type and trigger mode. The default trigger source of Patt Trig will be used: Preset > Mode > Dual ARB > Trigger Type > Continuous > Trigger & Run. Press these keys to verify that the trigger source is set to External, with External defined to be the rear panel Patt Trig In 1 input: Trigger Source > Trigger Source > Ext > Ext Source > Patt Trig In 1 > Ext Polarity Pos.

  4. Press these keys to set up the master MXG/EXG for the Multi-BBG Sync function: Mode > Dual ARB > ARB Setup > More > Multi-BBG Sync Setup > Multi-BBG Sync Type > Master then

    • for an N5182A master, set Number of Slaves as appropriate.

    • for an N5172B or N5182B master, set Total Number of Slaves and Number of MXG-A Slaves as appropriate.

  5. On each slave MXG/EXG, press these keys to set up the Multi-BBG Sync function: Mode > Dual ARB > ARB Setup > More > Multi-BBG Sync Setup > Multi-BBG Sync Type > Slave then

    • for a N5182A slave, set Number of Slaves and Slave Position as appropriate.

    • for an N5172B or N5182B slave, set Total Number of Slaves, Number of MXG-A Slaves, and Slave Position as appropriate.

  6. On each slave MXG/EXG, press Listen for Sync.

  7. On the master, press Sync Slaves. The status on all MXG/EXGs should show In Sync.

  8. In each MXG/EXG, select the desired waveform file and turn ARBS ON: Mode > Dual ARB > Select Waveform > Waveform Segments to load the waveform files into the baseband generator memory if needed, then highlight the desired waveform file and press Select Waveform > ARB On. Set the desired frequency and amplitude for the output signal and turn RF on.

  9. Initiate the waveform playback using one of these steps, depending on which Trigger Source was selected in step 1:

    1. Trigger Source = Trigger Key: press Trigger to start the waveform playback.

    2. Trigger Source = Bus: Send the *TRG SCPI command to the master MXG/EXG. If you are not using a software program to control the test, you can use the Keysight Connection Expert to connect to the signal generator and send the SCPI commands.

    3. Trigger Source = Ext: Connect the external trigger signal to the PAT TRIG input on the master MXG/EXG.

  10. To change waveforms or resynchronize the MXG/EXGs:

    1. If using an external trigger for the master MXG/EXG, disconnect it or turn it off.

    2. Turn off all of the ARBs by pressing Mode > Dual ARB > ARB Off and press ARB Setup > More > Multi-BBG Sync Setup on each MXG/EXG.

    3. Repeat steps 6 through 9.


Multiple Antenna Solution with PXB

Multiple Antennas Solution with PXB

  1. Configure the PXB

    1. In the Configuration Browser, expand the Single-user MIMO selection

    2. Select 2x2 MIMO

    3. Click the Load Configuration button.

  2. Configure Signal Studio for a PXB connection

    1. From the Signal Studio toolbar, click System > Run System Configuration Wizard.

    2. In Step 1 of System Configuration Wizard, select IEEE 802.11ac Mx2 MIMO.

    3. In Step 2 of System Configuration Wizard, select PXB.

    4. In Step 3 of System Configuration Wizard, select < New >.

    5. In Step 4 of System Configuration Wizard, enter the hostname or IP address of the PXB as follows:

      • If you are running Signal Studio on the PXB, enter "localhost" in the Hostname/IP Address field.

      • If you are running Signal Studio on an external PC connected to the PXB, enter the hostname or IP address of the PXB in the Hostname/IP Address field. (To find the hostname or IP address, click System > Product Information in the PXB user interface.)

    6. Wait for Step 5 of System Configuration Wizard to test the connection.

    7. In Step 6 of System Configuration Wizard, enter a name for your system and click Finish.

  3. Set up your waveform in Signal Studio. Make sure to enter a name in the Waveform Name field in the Waveform Setup node.

    When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell in the Signal Studio Instrument node, the default BBG assignments are displayed as a comma-separated list.

    The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default.

    For example, when the PXB has two BBGs and Signal Studio generates two waveform files, the default is to download waveform file Ant0 to BBG1 and waveform file Ant1 to BBG2. The Signal Studio software displays this default assignment in the Baseband Channel Assignment cell as 1,2.

    You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

  4. Click the Generate and Download button [image] in the Signal Studio toolbar to download the waveforms to the PXB.

  5. Click the Load Waveforms button on the PXB.

  6. Select the waveform files you downloaded from Signal Studio for BBG1 and BBG2 and click the Download button on the PXB.

  7. Click the Play button on the PXB.

The diagram below shows the general system configuration:


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu and Tool Bar | describes the selections found in the menus and the functions of toolbar icons.
Graphs View | provides information on viewing CCDF and wvaveform plots of the generated waveform.
Status Bar | provides information related to the software status, connection status, signal and carrier parameters, waveform generation progress, and license status.
Quick Setup | provides information on how to select predefined or previously saved user-defined settings, and how to save a configuration as a quick setup.
Hardware | tells how to configure and display the signal generator settings through the software.
Licenses | describes the usage of feature selection in the software.
Waveform Setups | provides information on WLAN signal parameters.


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Select Hint [image] in the upper right corner above the parameter configuration table, then click a parameter cell to display a brief description.

Working with Cells

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings where you choose from a selection of parameters; others are arbitrary and allow you to enter a value within a designated range.

Discrete Settings

AWGN Enable uses discrete settings; you must select either ON or OFF.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection.

You can also change a discrete setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired selection.

Some cells use the details button Closed [image] to make a discrete setting selection, for example the Multipath Configuration cell.

Arbitrary Settings

RF Frequency and RF Amplitude use arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double-click either the cell with the name of the parameter or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

If you change a default parameter the new setting becomes Bold indicating the change.

Using the Tree View

The left pane of the main window is called the Closed tree view. It is useful for navigating between the quick setups node, the hardware setup nodes, and waveform setup nodes. The right pane of the main window is called the Closed parameter view. This area enables you to configure the waveform parameters and signal generator settings. Selecting an item in the tree view accesses the related elements in the parameter view.

Tree view.

Parameter view

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Mouse pointer for

vertical resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, click the [image] icon to collapse parameter selection tables you are not using. Parameter selection tables have function groups indicated by the [image] or [image] icons.

Related Topics

User Interface


Menu Bar and Tool Bar

Many of the functions for the Signal Studio software are accessed from the menu bar and tool bar. The tool bar consists of a subset of the most commonly used functions found in the menu bar.

Menu Bar

Tool Bar

File

New [image] resets all parameters to default settings.

Open Settings File [image] opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the currently selected hardware. To use a settings file with a different hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard to configure new hardware.

Use Quick Setups to open a saved settings file that includes the hardware connection and software settings.

Save Settings File [image] saves only waveform data settings to a specified settings (.scp) file. Settings files do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

Export Waveform Data... saves an encrypted waveform file (.wfm or .fwfm file extension) to your PC. The file includes the settings and parameters from Waveform Setup and Carrier nodes. This waveform file can then be downloaded and played in other licensed signal generators or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform.

The software gives you the option to export a high-resolution waveform (.fwfm file extension). This waveform type can then be imported into the library of another Signal Studio application, such as LTE/LTE-Advanced FDD or TDD, and used as a component in a multi-standard radio (MSR) waveform. To play the resultant MSR waveform, however, you must purchase Minor Enhancement Update (MEU), Option U02 or greater, for this Signal Studio product. Refer to Licenses for more information. See also Using High-Resolution Waveforms for MSR.

To download a saved waveform to a signal generator, refer to the signal generator's Programming Guide.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Control

Generate [image] creates a WLAN I/Q waveform file and plots the CCDF graph in accordance with the current waveform setup. Waveform generation time varies proportionally to the complexity of the waveform. If there is invalid parameter usage, it will be automatically coupled to the correct value before the waveform is generated.

Download [image] enables you to generate and download a waveform to the hardware. The signal generator automatically begins to play the signal.

When a power-sensitive DUT is connected to the signal generator, ensure that the RF power is off before downloading a waveform.

Keysight N5106A PXB Baseband Generator and Channel Emulator

If the software displays an error message when you attempt to download a waveform to the PXB, see Instrument Problems in the Troubleshooting section.

To download a waveform to the Keysight N5106A PXB, perform the following procedure:

  1. On the PXB, set up and load a configuration with the appropriate capabilities for the waveform you intend to play. The configuration must include at least one baseband generator (BBG). Refer to the PXB online documentation.

  2. Start Signal Studio and connect to the PXB using the Configuration Wizard. If you are running the Signal Studio software on the PXB, use “localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on a PC connected to the PXB, use the IP address or hostname (Machine Name) of the PXB in the Hostname/IP Address field. To find the PXB’s hostname (Machine Name) or IP address click System > Product Information in the PXB user interface.

  3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the PXB.

  4. Click the Generate and Download button. The default location for the waveform file in the PXB is D:\Waveforms\ChannelN.

  5. On the PXB, click Load Waveforms and select the waveform file with the Waveform Name from Step 3.

  6. On the PXB, click Download to download the waveform to the BBG.

  7. On the PXB, click Play to play the waveform.

Generate [image] generates a waveform. Use this function to check for waveform errors before downloading or exporting the waveform.

Update Hardware Settings [image] sends the current hardware configuration to the connected instrument(s). If the configuration is not received by the instrument, an error message appears.

System

Change Hardware Connections displays a list of saved hardware system connections. This menu choice opens Closed Step 3 of the System Configuration Wizard, where you can select a previously saved hardware system configuration, or configure and save a new hardware system setup.

Run System Configuration Wizard enables you to select a WLAN function. You can then configure your system connections and save the hardware configuration for later use. Each WLAN function corresponds to a type of hardware connection and waveform setup. Use Closed Run System Configuration Wizard to set up a new system connection, or use Quick Setups to select or save complete setups that include the hardware connection and software settings.

Tools

Options lets you enable or disable the Closed welcome dialog display and License Caution Message.

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Search opens the Help system and displays the search utility.

API Reference opens a Help system for the API programming commands and their descriptions.

Software License Terms displays a description of the licensing terms agreement for Keysight's Signal Studio software.

Keysight Signal Studio Website opens a webpage of all the Signal Studio products and their available options.

About displays the version and release date of the software.

Some Baseband Studio and Signal Studio software applications that use older licensing methods will not be listed.

About displays the version and release date of the software.

Related Topics

User Interface Basics


Graphs View

Clicking [image] displays the graph view. Click this button again to close the graph view. The graph view is divided into two areas: the CCDF plot on the left side and the waveform plot on the right side. A waveform can be plotted only after it has been generated. If there is more than one carrier, you can select each carrier or the overall carriers to view the graphs.

CCDF Plot

The complementary cumulative distribution function (CCDF) plot displays the generated waveform's calculated peak-to-average power ratio (measured in dB) along a scale of percent probability. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform, represented by the yellow curve. For additional information, see Understanding CCDF Curves.

Click the CCDF Gaussian button to toggle the band-limited Gaussian noise reference curve (shown in blue) on or off.

Click the Reference button to toggle the CCDF reference trace (shown in red) on or off.

Click the Acquire Ref. button to save the current CCDF result as the reference trace.

Select Waveform CCDF to show the CCDF plot calculated using the entire waveform.

Select Burst CCDF to show the CCDF plot calculated using only the active portion of the waveform, excluding the idle portion.

Waveform Plot

Click the Spectrum button to select from the list of different waveform plots. Selections include Spectrum (shown above), Closed I+Q, Closed I|Q, and Closed Power. Each click selects the next plot type in the list. You can also click the arrow to access a drop-down menu where you can make a direct selection.

I+Q plots the I and Q curves overlapped.

I|Q displays the I and Q curves separately.


Status Bar

The status bar updates in real-time to let you know the status of running operations, such as waveform generation. It also displays the WLAN software licensing information on the signal generator, the total sample points of the waveform, and the progress of waveform generation and downloading.


Quick Setup

Selecting Quick Setups in the tree view displays a list of WLAN standards for quick setups to help you create a WLAN waveform using a predefined or previously saved configuration.

You can use the System Configuration Wizard to configure a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware.

You can customize the settings and save them as a quick setup for later use. A quick setup saves the Signal Generator, Waveform Setup and Carrier parameters.

Predefined Quick Setups

The predefined quick setups (shown below) enable you to test the setup parameters. You can modify a setup as needed and save the modified file using the Save as Quick Setup button. You cannot delete the predefined quick setups.

When you select the desired WLAN standard from the left column, the corresponding predefined set ups will display in the right column.

Quick Setups for IEEE 802.11a/b/g/j/p

Quick Setups for IEEE 802.11n

Quick Setups for IEEE 802.11ac

Quick Setups for IEEE 802.11ah

Quick Setups for IEEE 802.11ax

Custom Quick Setups

Whether you configured your setup to use simulated or actual hardware, you can save it as a quick setup. Use the following buttons to manage your quick setups:

Click the Save As Quick Setup button to save the current hardware system and software configuration as a custom quick setup. A window appears, enabling you to enter a name for the quick setup.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Click the Open Quick Setup button to open the selected quick setup. Double-clicking the quick setup performs the same function.

Click the Delete Quick Setup button to delete the selected custom quick setup.

Click the Rename Quick Setup button to rename a custom quick setup. A window appears enabling you to choose and rename the quick setup.


Hardware Settings

Hardware | provides system details such as system name and configuration, and information about the signal generator such as model number, serial number, firmware revision, and so on. Also provides access to the Run Self-Tests and Test I/O Connections buttons.
Instrument | provides access to the instrument settings used to configure the waveform.


Hardware

Select this view to display read-only information about the hardware system. When using simulated hardware, the Closed property page shows <Simulated Hardware> in the Name and Connection cells, and N/A in most of the other cells.

When using a simulated PXB connection, <Simulated Hardware> appears in the Name cell, PXB appears in the Description cell, and <Simulated PXB> appears in the Connection cell. N/A appears in the Model Number, Serial Number, and Firmware Revision cells.

Click the Run Self-Tests button to run a self-test. The purpose of the self-test is to guarantee that a waveform can be successfully downloaded.

The self-test Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an Closed error message is displayed in the status area.

Click the Test I/O Connections button to run an I/O interface connection test between the signal generator and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

The current version of the Signal Studio for WLAN 802.11a/b/g/n/ac only supports Internal Arbitrary Waveform Generator; The IO connection test for Arbitrary Waveform Generator is not applicable.

System Details

Name

View the name assigned to the system when it is configured with the wizard.

Description

View the hardware configuration type.

ESG/PSG/EXG/MXG Signal Generator (or PXB) Details

Connection

View the connectivity method, such as LAN or GPIB.

Model Number

View the signal generator model number.

Serial Number

View the signal generator serial number.

Firmware Revision

View the signal generator firmware revision number.

Options

View the list of installed signal generator options.


Signal Generator Settings

 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic

Instrument Settings

Clicking Instrument in the tree view displays the Instrument Settings table in the parameter view of the main window. The parameters in this section affect how the instrument outputs the waveform, but have no effect on waveform generation. You can also change these settings either from the instrument's front panel or using SCPI commands. For more detailed information on setting these parameters, see MXG, EXG, ESG, or PSG product information. For the PXB, only the Configuration, Basic and Dual ARB selections are available in the Instrument Controls list. For the or M9381A PXIe VSG, Real-time Noise setup selection is not visible in the Instrument Controls list.

When M9381A is connected, you will see the display as below:

Update to Instrument | 1. Configuration
Update from Instrument | 2. Basic
Local | 3. IQ
Preset | 4. ALC
DC Cal | 5. Dual Arb
Power Search | 6. Dual ARB Marker Utilities
Trigger | 7. Dual ARB Trigger
Hint | 8. Real-time Noise setup

Press the Update to Instrument button to send the software parameters to the connected instrument.

Press the Update from Instrument button to retrieve the parameters from the connected instrument.

Press the Local button to deactivate remote operation and return the instrument to local (front panel) control.

Local is disabled with M9381A only.

Press the Preset button to set the instrument to a known state, either factory-defined or user-defined.

Refer to the instrument's User's Guide for information on setting a user-defined state.

Press the DC Cal button to execute an I/Q DC Calibration to minimize errors associated with offset voltages.

DC Calibration minimizes I/Q offset errors for a single frequency only and must be repeated if the instrument's settings change.

Download a waveform to set the correct parameters for the target instrument and make this button available.

DC Cal is disabled with M9381A only.

Press the Power Search button to execute a manual power search calibration.

This is an internal calibration routine that improves output power accuracy when ALC is off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument, and set ALC to Off to make this button available.

Press the Trigger button to initiates an immediate trigger event for a function such as a list or step sweep. The trigger mode must be set to Trigger Key prior to initiating a trigger event with this button.

This button is only available on instruments with a Trigger Key such as the ESG, MXG, EXG, and MXGB.

Check Hint in the upper right corner above the parameter configuration table, then click a parameter cell to display a brief description. The initial state is unchecked.

Hardware

Equipment Setup and Connection

Interface Problems


1. Configuration

When M9381A is connected, you will see the display as below:

Instrument Model Number

Double-click or use the drop-down menu to select an instrument for your system configuration.

This cell is not editable when M9381A is connected. On the button bar, Local, Power Search and DC Cal are disabled for M9421A.

Perform DC I/Q Calibration

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

  • On − The signal generator performs a DC I/Q calibration after downloading a waveform.

  • Off − The signal generator does not perform DC I/Q calibrations.


2. Basic

When M9381A is connected, you will see the display as below:

When M9420A/M9421A is connected, you will see the display as below:

Frequency

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for specified range values, see the signal generator's data sheet

Enter a value to remotely set the signal generator’s output amplitude.

Relative Amplitude

PXB Baseband Generator and Channel Emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB Baseband Generator and Channel Emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

Choice: On | Off

Default: On

Double-click or use the drop-down menu to control the signal generator’s RF output state.

Mod Output

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF modulation On or Off. This function turns on or off all enabled modulation formats including I/Q modulation, pulse modulation, AM, FM and so on.

RF Output Port

Choice: On | Off

Default: On

Double-click or use the drop-down menu to select the signal generator’s RF output port.

Coupling : The M9420A has 3 output ports: RF Out, RFIO HD and RFIO FD. The M9421A has two output ports: RF Out and RFIO HD.


3. I/Q

Configuration | I/Q Gain Balance | ALC
Basic | Quadrature Angle Adjustment | Dual ARB
Int Channel Correction | I/Q Timing Skew Path | Dual ARB Marker Utilities
I/Q Adjustments | I/Q Correction Optimization Path | Dual ARB Trigger
I Offset | I/Q Skew | Real-time Noise setup
Q Offset | I/Q Delay |

When M9381A is connected, you will see the display as below:

Int Channel Correction (MXG/EXG only)

Choice: On | Off

Default: Off

The internal channel correction feature corrects the 100 MHz baseband bandwidth flatness and phase for arbitrary center frequencies. This feature is off by default, as the switching speed performance of the instrument is impacted when this feature is on.

This calibration should be run when the ambient temperature has varied by at least ±5 degrees Celsius from the ambient temperature at which the previous calibration was run. For more information about this feature, refer to the Keysight X-Series Signal Generators user's guide.

IQ Adjustments

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments on or off.

  • On − the values entered for I and Q parameters are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

N5182A: –20% to 20%

All other models: –50% to 50%

Default:

0.0%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using

Q Offset

Range:

N5182A: –20% to 20%

All other models: –50% to 50%

Default:

0.0%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

I/Q Gain Balance

Range:

N5182A: –1 dB to 1 dB in 0.001 dB steps

All other models: –4 dB to 4 dB in 0.01 dB steps

Default:

0.00 dB

Set I/Q Adjustments to On to enable this parameter.

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

Quadrature Angle Adjustment

Range: −10 to 10 degrees

Default: 0.00 degrees

Set I/Q Adjustments to On to enable this parameter.

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees while negative skew decreases the angle from 90 degrees.

I/Q Timing Skew Path

Choice: RF | Baseband (BB)

Default: RF

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select whether the path is RF or Baseband (BB).

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select the I/Q Correction optimization path.

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT and Digital Bus paths uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes all paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT and Digital Bus paths uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes all paths, so no optimization path selection is needed.

Dig Bus Output optimizes the Digital Bus path by applying calibration factors to only this path, leaving the RF OUT and I/Q OUT paths uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes all paths, so no optimization path selection is needed.

I/Q Skew

Range:

N5182A: −800 ns to 800 ns, in 1 ps steps

All other models: −2.0 to 2.0 seconds, in 1 ps steps

Default:

0.0 seconds

Set I/Q Adjustments to On to enable this parameter.

This cell inputs skew changes to the I and Q paths, in picoseconds. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: −1.0 to 1.0 seconds in 1 ps steps

Default: 0.0 seconds

Set I/Q Adjustments to On to enable this feature.

This cell sets the I/Q delay from triggers and markers, in picoseconds. Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format


4. ALC

When M9381A is connected, you will see the display as below:

ALC

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

  • On − the ALC circuit constantly monitors and controls the output power level.

  • Off − no automatic leveling occurs.

ALC Bandwidth

This parameter is not available with all instrument model numbers and may be grayed out.

Select the ALC loop bandwidth from the drop-down list. The available choices are different for the various signal generators. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

Power Search Reference

Choice: Modulation | Fixed

Default: Modulation

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select a fixed or modulation reference signal when doing a power search.

  • Fixed − power search uses a fixed 0.5 V reference.

  • Modulation − power search uses the RMS value of the current I/Q modulation as the reference.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal − performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum − sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

ALC Trigger Source bus (M9381A)

Choice: AUTO | PXI0 | .. | PXI7

Default: None

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane. This parameter is only available when connected to the M9381A.

ALC Mode (M9381A)

Choice: : Off | HOLD | TRACK

Default: Off

Double-click or use the drop-down menu to select ALC mode. This parameter is only available when connected to the M9381A.


5. Dual ARB

When M9381A is connected, you will see the display as below:

ARB Sampling Clock

Range: Depends on the connected instrument.

The sampling clock frequency of the signal generator is automatically calculated by the software application.

VCO Clock

This parameter is not available with all instrument model numbers and may be grayed out.

VCO Clock is enabled with M9381A.

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

  • Internal − the signal generator uses its internal VCO Clock.

  • External − the signal generator uses an external VCO Clock.

Waveform Runtime Scaling

Range: 1% to 100%

Default: 70%

Use this cell after downloading and synchronizing with the signal generator.

Use this parameter to reduce the overshoot associated with the digital-to-analog convertor (DAC) interpolation filter. Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters. At 100 percent, some overshoot may occur; therefore the default setting is 70 percent.

I/Q Modulation Filter

This parameter is not available with all instrument model numbers and may be grayed out.

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

I/Q Output Filter

This parameter is not available with all instrument model numbers and may be grayed out.

Choice: Auto | 40 MHz | Through

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Attenuation cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Modulation Attenuation

Range: 0.00 to 40.00 dB

Default: 10.00 dB

Set Modulation Attenuation Mode to Manual to enable this parameter.

Set the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

High Crest Mode

This parameter is not available with all instrument model numbers and may be grayed out.

Choice: On | Off

Default: On

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On − processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

  • Off − disables the high crest mode.

ARB Reference

Choice: Internal | External

Default: Internal

This parameter is not available with all instrument model numbers and may be grayed out.

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the signal generator’s ARB reference source .

  • Internal − the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. Connect to the rear-panel BASEBAND GEN REF IN connector. See the signal generator’s User’s Guide for information on external references.

Reference Frequency

This parameter is not available with all instrument model numbers and may be grayed out.

Range: 0.2500000 to 100.0000000 MHz

Default: 10.0000000 MHz

Set ARB Reference to External to enable this parameter.

Use this cell after downloading and synchronizing with the signal generator.

Enter the frequency value of the external reference when using an externally supplied reference signal. See the signal generator’s User’s Guide for information on external references.


6. Dual ARB Marker Utilities

When M9381A is connected, you will see the display as below:

Pulse/RF Blanking

Choice: None | Marker 1 to 4

Default: Marker 2

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select an RF blanking function.

  • None − disables RF blanking.

  • Marker 1 through 4 − selects a marker to activate RF blanking. This turns off the RF output signal during specific conditions determined by the marker. Do not blank longer than 100 ms due to ALC hold limit.

ALC Hold

Choice: None | Marker 1 to 4

Default: Marker 2

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

  • None − disables ALC hold.

  • Marker 1 through 4 − assigns a marker for the ALC hold function. When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period. Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

Alternate Amplitude

This parameter is not available with all instrument model numbers and may be grayed out.

Choice: None | Marker 1 to 4

Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

  • None − disables the alternate amplitude function.

  • Marker 1 through 4 − assigns a marker for the alternate amplitude function. When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's User's Guide.

Marker 1 to Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the active polarity for Marker 1-4.

  • Positive − the marker signal is high during the marker points.

  • Negative − the marker signal is high during the period of no marker points.


7. Dual ARB Trigger

The image below shows a composite set of the Dual ARB Trigger parameters when connected to an M9381A PXIe VSG.

Multi-Channel Synchronization Group Sync Source (M9381A)

Choice: PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: PXI0

Specify the backplane bus that master VSG used to send Group Synchronization Signal to trigger slave VSGs. And the slave VSGs wait on this bus line.

Multi-Channel Synchronization Slave Sync Source (M9381A)

Choice: PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Specify the backplane bus that slave VSG used to send Slave Synchronization Signal to trigger master VSG for handshaking.

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Choice (M9381A): Continuous | Single

Default: Continuous

This cell selects the triggering mode.

  • Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

  • Single – sets up a waveform to play once after receiving a trigger. See Single to configure the waveform's response to triggers.

  • Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External Trigger Source.

  • Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Trigger Source

Choice: Trigger Key | External | Bus

Choice (M9381A): External | Bus

Default: External

This cell adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

  • Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • External – causes a waveform to trigger from an externally supplied trigger signal.

  • Bus – enables a command sent through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

External Source

Choice: Pattern Trigger In 1 | Trigger Pattern In 2

Choice (M9381A): TRIG1 | PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: Pattern Trigger In 1

This cell selects the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

  • Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

  • TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG

  • PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG

External Polarity

Choice: Positive | Negative

Default: Negative

This toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

  • Positive – the trigger out signal is asserted high (+ 5.0 V) at the start of the swept-sine modulation sweep and low (0 V) when the sweep ends.

  • Negative – reverses the polarity, so that the trigger out signal is low (0.0 V) at the start of the swept-sine modulation sweep and high (+ 5.0 V) when the sweep ends.

External Delay

Choice: On | Off

Default: Off

This cell turns the external trigger delay off or on. The selection is active only after selecting External as the trigger source.

External Delay Time

Range:

N5182A: 8 ns to 30 s, in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default:

8 ns or 10 ns

This cell sets the amount of time to delay the signal generator's response to an external trigger, in 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Choice (M9381A): Free Run| Trigger & Run

Default: Free Run for 802.11a/b/g/j/p, 802.11n MxN, and 802.11n 1ARB with 2 SG system; Trigger & Run for 802.11n Mx2, Mx3, and Mx4 systems.

This cell selects the waveform's response to triggers when Continuous is the trigger mode (continuous waveform transmission.)

  • Free Run – immediately triggers when you turn the format on.

  • Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

  • Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Restart on Trigger for 802.11a/b/g/j/p, 802.11n MxN, and 802.11n 1ARB with 2 SG system; No Retrigger for 802.11n Mx2, Mx3, and Mx4 systems.

This cell configures the waveform's response to triggers while using the single trigger mode. The response selections determine whether the waveform accepts a trigger during playback, and if it does, how it responds to that trigger.

  • No Retrigger – causes the waveform to ignore the triggers during playback.

  • Buffered Trigger – causes a waveform to accept a trigger during payback and to restart after the current play finishes.

  • Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

This cell configures how play moves from segment to segment within a waveform sequence.

  • Single – causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External.

Sets the trigger active state for the gated trigger mode.

  • Gate = Active High

  • Trigger Signal State = High

    • Waveform file plays.

  • Gate = Active High

  • Trigger Signal State = Low

    • Waveform file stops playing.

  • Gate = Active Low

  • Trigger Signal State = High

    • Waveform file stops playing.

  • Gate = Active Low

  • Trigger Signal State = Low

    • Waveform file plays.

Trigger Pulse Generation (M9381A)

Choice: On | Off

Default:On

Double-click the cell or use the drop-down menu to select a trigger pulse generation state. This enables a trigger pulse generation after waveform downloading finished.

To enable and perform the function, Trigger Source should be set to External and Continuous should be set Trigger Run.

External Trigger Routing Bus (M9381A)

Choice: PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: PXI6


8. Real-time Noise Setup

Real-time Noise features require connection to a signal generator with option 403.

Real-time Noise

Choice: On | Off

Default: Off

This cell enables or disables adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – enables the addition of Real-time Noise.

  • Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: –100 dB to 100 dB

Default: 20 dB

This cell selects the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. The noise power is the in-channel noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: 1 Hz to 80.0 MHz

Default: 16.25 MHz

Sets the carrier bandwidth. This should be the same as the bandwidth of the target carrier.

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

This cell displays the noise bandwidth factor. (Read-only).

  • When Sample Clock < 50 MHz: the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

  • When Sample Clock > 50 MHz, noise can not be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as following:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available with all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1 Hz to 100 MHz

Default: 1.0 Hz

This cell displays the noise bandwidth.

This parameter is not available with all instrument model numbers and may be grayed out.


Licenses

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

  • On – enables the feature. If the state is on, but the connected instrument does not have the required license, the cell turns orange.

  • Off – disables the feature.

Feature

Displays the model number of the licensed feature.

Minor Enhancement Updates (n7617B-Uxx)

The minor enhancement updates (MEU) option allows you to obtain the latest capabilities of the software. It is purchased as N7617B-MEU. However, each enhancement update is licensed as N7617B-Uxx, as shown in the image above. As more enhancements become available, the option suffix increments: U01, U02, U03 and so on. Purchasing MEU includes all the capabilities from previous MEU licenses. For example, purchasing the license for U03 includes everything that was in U01 and U02. If you had purchased an earlier MEU license, such as U01, and want the most recent MEU capabilities available in U03, purchasing another MEU license upgrades your software to the most current state.

Release Date Software Version MEU License

Minor Enhancements
Sep 2016 3.0 U03

  • 802.11ac enhancements:

    • Supports channel coding (BCC and LDPC ) for 1024QAM (MCS Index 10 & 11)

    • Added Partial AID as a user settable parameter
Sep 2015 2.2 U02

  • Added multi-channel 2x2, 3x3, and 4x4 support with multi-channel synchronization for the M9381A PXIe VSG

  • Added high-resolution waveform export capability
Jan 2015 2.0 U01

  • Added direct connectivity for the M9381A PXIe VSG when using 802.11a/b/g, 802.11n and 802.11ac formats

  • Added MCS10 (1024-QAM) support for 802.11ac Basic capability

Description

Displays a description of the licensed feature.

Instrument n License

Displays the status of the selected feature on the connected instrument.

  • Valid – the license is installed and active.

  • Invalid – the license is expired.

  • N/A – the license is not applicable.

  • Info Not Available – the Signal Studio software does not provide license information for some products.

When a new instrument connection is established or the hardware configuration is changed, the instrument licenses are automatically retrieved from the connected instrument. If the connected instrument does not have the correct licensing for the current waveform setup, initial settings are restored. You are prompted to save the setup parameters before continuing.

Related Topics

Licensing


waveform setup

Waveform Setups

802.11a/b/g/j/p | provides information about 802.11a/b/g/j/p configuration parameters
802.11n | provides information about 802.11n configuration parameters
802.11ac | provides information about 802.11ac configuration parameters
802.11ah | provides information about 802.11ah configuration parameters
802.11ax | provides information about 802.11ax configuration parameters


802.11a/b/g/j/p

802.11a/b/g/j/p Features

Waveform Setup | provides information on how to view and edit general information about the WLAN 802.11a/b/g/j/p waveform
Carrier | describes how to configure WLAN 802.11a/b/g/j/p PHY and MAC layer parameters, payload data, and spectrum control parameters for a carrier.


Waveform Setup - 802.11a/b/g/j/p

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 3 carriers.

The Add button opens a drop-down menu for selecting a carrier to add to the setup table. The carrier has either Basic capability or Advanced capability.

The Remove button deletes the currently highlighted carriers in the setup table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

The Carrier 0 (Main Carrier) cannot be removed.

Waveform Setup

1. Waveform Basic

Waveform Name

Use this cell to enter a name for the waveform. The alphanumeric text entered in this cell appears in the signal generator's user interface after the configuration is downloaded to the instrument. The signal generator recognizes only waveform names that use the following characters:

A through Z

0 through 9

$ & _ # + - [ ]

If unsupported characters appear in a configuration name, the signal generator generates a file name not found error (Error: -256) when you download the configuration to the instrument. The maximum length for file names is 22 characters.

Comment

Enter an alpha-numeric comment of up to 32 characters. The comment resides in the file header and can include spaces and special characters.

Total Sample Points

This cell displays the number of samples (or data points) in the waveform. The number of sample points varies with the Oversampling Ratio and is related to the number of packets, the frame mode, the data rate, and the length of the user data. The maximum number of samples a waveform can have depends on the ARB memory capacity of the signal generator's baseband generator. You cannot edit cells in this column. This total samples value also appears in the status bar at the bottom of the main window.

2. Spectrum Control

Oversampling Ratio (OSR)

Use this cell to specify the number of times that the baseband signal is oversampled. The minimum value of this cell is 2.

For 802.11b and 802.11g DSSS mode, the maximum value is 116.

For 802.11j/p with 10 MHz bandwidth, the maximum value is 128.

For 802.11a, 802.11j/p with 20 MHz bandwidth and 802.11g OFDM modulation, the maximum value is 64.

For 802.11p 5-MHz mode, the maximum value is 256.

Mirror Spectrum

Use this cell to set the mirror spectrum to either ON or OFF.

As a signal propagates normally through the different functional blocks of a receiver (for example, the mixer block), the signal spectrum may be inverted. Enabling this cell facilitates realistic testing of receiver functional blocks that would normally be presented with a mirrored spectrum signal. The default setting is OFF.

ON: When this cell is set to ON, the Q channel is inverted, resulting in a mirrored spectrum

OFF: When this cell is set to OFF, the spectrum is not inverted.

3. Impairments in Waveform

Quadrature Angle Adjustment [Deg]

Use this cell to add quadrature skew impairment (-90 to + 90 degrees) to the generated waveform. This affects the waveform data so it applies to both RF and baseband I/Q outputs.

The baseband Quadrature Angle (angle) and the baseband IQ Gain (gain) values are used to modify the output I and Q data according to the following equations:

Real (output) = Real (input) - Gs * Imag (input)

Imag (output) = Gc * Imag (input)

where:

Gs = Gain * sin (angle) and

Gc = Gain * cos (angle)

I/Q Gain Balance [dB]

Use this cell to add quadrature gain impairment (-10 dB to 10 dB) to the generated waveform. This affects the waveform data so it applies to both the RF and baseband I/Q outputs.

Multipath State

Use this cell to enable or disable the Multipath configuration.

Multipath

The Closed Multipath menu enables you to add up to 20 paths with delay, attenuation, and phase impairments to simulate the multipoint reflection experienced in a real-world WLAN multipath environment. The editing table was designed so that the user can randomly edit and enable or disable paths as needed for fine-tuning.

The following impairments can be made to each path:

  • Delay (0 to 10 ms) - A reflected signal bounces off of one or more surfaces before reaching the receiver, resulting in a longer path than the line-of-sight signal. Therefore, the reflected signal experiences some amount of delay, relative to the line-of-sight signal. Since WLAN signals travel short distances, path delays are usually small (nanoseconds)

  • Attenuation (0 to 60 dB) - Attenuation occurs with reflected signals as a result of the added distance they travel, compared to the line-of-site signal. Other factors may also contribute to signal attenuation, such as reflected surface characteristics.

  • Phase (-180 to 180 Deg) - Signals become distorted as they reflect off of walls or other surfaces or wrap around corners, causing a shift in phase, relative to the line-of-site signal. The user can adjust the phase of each multipoint signal to simulate such distortions.

When enabling multipath configuration, it is best to turn off RF Blanking. Leaving Blanking on can result in partial blanking of any delayed multipaths (see the figure below). To disable RF Blanking, click the Signal Generator in the tree view and set the RF Blanking to None. You can also turn off RF blanking on the signal generator after the waveform file has been downloaded.

Effect of RF blanking on signals with multipoint reflection


Carrier

Capability | provides information about how to configure capability and state for a carrier.
Carrier Basic | provides information about how to set up the basic parameters for a carrier, such as standards and generation mode.
Coding and Modulation | describes signal configuration parameters, including channel coding and modulation.
Payload Configuration | describes payload configuration parameters for a carrier.
Spectrum Control | describes spectrum control parameters for a carrier

Related Topics

Waveform Setup


1. Capability

Capability

Use this cell to select Basic or Advanced capability.

  • Basic capability supports configuration of all of the WLAN signal parameters except the channel coding function, and so is suitable for component testing.

    Parameters under Basic capability are a subset of the Advanced capability.

  • Advanced capability supports generation of fully channel-coded waveforms and is suitable for both receiver testing and component testing.

    The following parameters are supported only by the Advanced capability

    • Convolutional Coder, Interleaver, OFDM Scrambler, and Reserved Service Bits (For 802.11a/j/p, 802.11g OFDM)

    • PBCC Encoder and DSSS Scrambler (For 802.11b and 802.11g DSSS)

    • Increment Sequence Number, Increment Fragment Number, and the Sequence Number Increment By (Frames)

    • MAC Header and MAC FCS

State (Only for carriers other than the main carrier)

Use this cell to enable or disable a carrier other than the main carrier. The main carrier is always enabled. The state of the carriers will be displayed in the carriers table under Waveform Setup.

When a carrier's state is turned OFF, all of the parameters set for this carrier are stored for use the next time it is enabled.

Related Topics

User Interface Basics

Signal Generator Settings


Carrier Basic

 Go to description

2. Carrier Basic

Format (Adjustable for Carrier 0 Only)

Use this cell to select the WLAN 802.11 standard to be used for waveform generation. You can select the standard only for carrier 0 (main). The standard for the other carriers is automatically set to the same standard as carrier 0.

Bandwidth (Adjustable for Carrier 0 Only)

Choices: 5 MHz | 10 MHz | 20 MHz

Default: 20 MHz

Use this cell to select the bandwidth for 802.11j/p. The 5-MHz bandwidth selection is only available when you have upgraded the software capability to Option Hxx, which includes both Advanced 802.11a/b/g/j/p and Advanced 802.11n.

Number of Frames

Use this cell to set the number of frames to be used in the waveform. Choosing a value greater than one causes the creation of multiple frames containing continuous data payloads. The data payload is defined using the Data Type and Data Length fields within the Payload Configuration menu.

Generation Mode (Adjustable for Carrier 0 Only)

Use this cell to select the framed or unframed mode to generate a signal. A framed signal is needed in receiver tests; an unframed signal is useful in component tests or other instances where continuous, non-bursted modulation of unframed data is desired.

You can select the generation mode only on carrier 0 (main). On the other carriers, it is automatically set to unframed.

Idle Interval (Adjustable for Carrier 0 Only)

Use this cell to set the length (in microseconds) of the idle time between frames. This is relevant only in framed mode. No signal is transmitted during the idle interval, but the MAC layer operates as if a signal is being transmitted.

You can set the idle interval only on carrier 0 (main). On the other carriers, it is automatically set to 0 since the generation mode for these carriers is unframed.

Frequency Offset

Use this cell to set the frequency offset relative to the output frequency on the signal generator.

Relative Power

Use this cell to set the desired power in dB relative to carrier 0 (main) power. Accepted values are +50 dB to -10 dB, in 0.01 dB steps. This is relevant only for carriers other than carrier 0 (main). The power of carrier 0 (main) is automatically set to 0 dB.

Related Topics

User Interface Basics

Signal Generator Settings


Coding and Modulation

3. Coding and Modulation

The selected Data Rate and Modulation determine the available choices of signal configuration parameters.

Parameters for OFDM

Parameters for DSSS and PBCC

Data Rate

Use this cell to select the data rate. The data rate selected automatically sets the modulation and encoder rate according to the 802.11 standard. Given data rates are for the payload data and are valid when all 48 data subcarriers are on. The data rate decreases as the individual subcarriers are turned off from the Subcarrier menu.

The following table lists the selectable data rates for different 802.11 standards:

802.11a

6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 18 Mbps(OFDM), 24 Mbps(OFDM), 36 Mbps(OFDM), 48 Mbps(OFDM), 54 Mbps(OFDM)

802.11b

1 Mbps (DSSS), 2 Mbps(DSSS), 5.5 Mbps(DSSS), 11 Mbps(DSSS)

802.11g

6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 18 Mbps(OFDM), 24 Mbps(OFDM), 36 Mbps(OFDM), 48 Mbps(OFDM), 54 Mbps(OFDM), 1 Mbps (DSSS), 2 Mbps(DSSS), 5.5 Mbps(DSSS), 11 Mbps(DSSS), 22 Mbps(DSSS), 33 Mbps(DSSS)

802.11j

20 MHz Channel Spacing:

6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 18 Mbps(OFDM), 24 Mbps(OFDM), 36 Mbps(OFDM), 48 Mbps(OFDM), 54 Mbps(OFDM)

10 MHz Channel Spacing:

3 Mbps(OFDM), 4.5 Mbps(OFDM), 6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 18 Mbps(OFDM), 24 Mbps(OFDM), 27 Mbps(OFDM)

802.11p

20 MHz Channel Spacing:

6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 18 Mbps(OFDM), 24 Mbps(OFDM), 36 Mbps(OFDM), 48 Mbps(OFDM), 54 Mbps(OFDM)

10 MHz Channel Spacing:

3 Mbps(OFDM), 4.5 Mbps(OFDM), 6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 18 Mbps(OFDM), 24 Mbps(OFDM), 27 Mbps(OFDM)

5 MHz Channel Spacing:

1.5 Mbps(OFDM), 2.25 Mbps(OFDM), 3 Mbps(OFDM), 4.5 Mbps(OFDM), 6 Mbps(OFDM), 9 Mbps(OFDM), 12 Mbps(OFDM), 13.5 Mbps(OFDM)

Modulation

Use this cell to select the modulation formats.

The following table lists the modulation formats for different 802.11 standards.

802.11a

The modulation formats are automatically set according to the data rate and cannot be changed.

802.11a uses a multi-carrier modulation scheme called orthogonal frequency division multiplexing (OFDM). The following modulation formats are available for OFDM:

BPSK, QPSK, 16-QAM, 64-QAM

802.11b

802.11b uses direct sequence spread spectrum (DSSS) with complementary code keying CCK or packet binary convolutional
coding PBCC coding schemes.

For the 1 Mbps and 2 Mbps data rates, this cell is called Low Rate Modulation and the modulation format is automatically set to DBPSK and DQPSK respectively and cannot be changed.

For 5.5 Mbps and 11 Mbps data rates, this cell is called High Rate Modulation and you can select CCK or PBCC as the modulation scheme.

Refer to the Data Rate and Modulation Table for DSSS.

802.11g

802.11g uses either OFDM or DSSS as the modulation scheme.

For OFDM, the modulation formats are set according to the data rate and cannot be changed.

For DSSS with 1 Mbps and 2 Mbps data rates, the modulation formats are automatically set to DBPSK and DQPSK respectively and cannot be changed. For 5.5 Mbps and 11 Mbps data rates, you can select CCK or PBCC. For 22 Mbps and 33 Mbps data rates, it is automatically set to PBCC. Refer to the Data Rate and Modulation Table for DSSS.

802.11j

The modulation formats are set according to the data rate and cannot be changed.

802.11j uses OFDM as the modulation scheme. The following modulation formats are available for OFDM:

BPSK, QPSK, 16-QAM, 64-QAM

802.11p

The modulation formats are set according to the data rate and cannot be changed.

802.11p uses OFDM as the modulation scheme. The following modulation formats are available for OFDM:

BPSK, QPSK, 16-QAM, 64-QAM

Parameters Applicable for OFDM Only

Convolutional Coder (Adjustable for Advanced Capability Only)

Use this cell to set the convolutional encoder to ON or OFF.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Encoder Rate

This cell displays the convolutional code rate, which is automatically set according to the data rate and cannot be changed.

This cell is applicable only for OFDM with the four selections: N/A, 1/2, 2/3, 3/4.

In the Basic Capability, it is automatically set to N/A.

Interleaver (Adjustable for Advanced Capability Only)

Use this cell to set the interleaver to ON or OFF.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

OFDM Scrambler (Adjustable for Advanced Capability Only)

Use this cell to set the OFDM scrambler to ON or OFF.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to ON.

Scrambler Initialization

Use this cell to set the initial value of the scrambler. The range is 0 to 127. The default is 93.

Preamble Type (Relevant for 802.11g OFDM Only)

For 802.11g OFDM mode, you can select Long DSSS, Short DSSS, or OFDM preamble.

Reserved Service Bits (Adjustable for Advanced Capability Only)

Use this cell to set the 9 reserved service bits in the service field for OFDM mode. The Service Field has 16 bits. The bits from 0 to 6 of the Service Field, which are transmitted first, are set to zeros and are used to synchronize the de-scrambler in the receiver. The remaining 9 bits (from 7 to 15) of the Service Field are reserved for future use. All reserved bits shall be set to zero. Refer to the figure below.

Subcarrier Mask

Click the [image] button in this cell to open the Closed Subcarrier Mask Configuration window, which enables you to configure the individual subcarriers for OFDM.

Frequency-selective fading can be simulated by turning selected carriers off in this menu. There are a total of 52 subcarriers for an 802.11 OFDM signal; 48 are data subcarriers, and 4 are pilot subcarriers. The center frequency, which is the zero subcarrier, is nulled. The state of each of the subcarriers can be toggled On or Off, or you can select one of the following predefined setups:

  • All

  • Every 2nd

  • Every 4th

  • Upper Band

  • Lower Band

  • Outer Band

  • Outer Pair

  • None

  • User Defined

Parameters Applicable for DSSS and PBCC Only

PBCC Encoder (Adjustable for Advanced Capability Only)

Use this cell to enable or disable the PBCC encoder.

This cell is valid only when high rate modulation (5.5, 11, 22 and 33 Mbps for DSSS) and PBCC modulation is enabled.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

DSSS Scrambler (Adjustable for Advanced Capability Only)

Use this cell to set the DSSS scrambler to ON, OFF, or Preamble Only.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to ON.

Preamble Type

Use this cell to select the format of the preamble/header sections of the framed signal.

For DSSS mode, the selection is long or short.

Power Ramp Configuration

Selects the shape of the RF burst in framed mode. The Power Ramp Configuration is relevant only in framed mode.

Ramp Type: Selects the power up/down ramp type as none, linear, or cosine. Cosine ramp gives the least amount of out of channel interference. None starts transmitting the signal at full power and is the simplest power ramp to implement. The linear ramp shapes the burst in a linear fashion.

Ramp Time: Sets the length (in microseconds) of the power up/down ramp.

Clk Locked Flag

Use this cell to set the status of the clock-locked-indicator for PBCC modulation 33 Mbps data rate. This is used to indicate to the receiver if the carrier and the symbol clock use the same local oscillator; the user can set this bit. This is relevant only in framed mode and PBCC 33 Mbps.

Clk Structure Setup (Valid for PBCC 33 Mbps Only)

Click the [image] button in this cell to open the Closed Clk Structure Dialog.

When the clock is switched from 11 MHz to 16.5 MHz, the following clock switching structure defaults are implemented:

Tail: 2 clock cycles at 11 Mchips/s (default: 07 Hex or 111 binary)

Head: 3 clock cycles at 16.5 Msymbols/s (default: 000)

ReSync: 9 clock cycles at 16.5 Msymbols/s (default: 11D Hex or 100011101 binary)

The total clock switching time is 1 microsecond.

Related Topics

User Interface Basics

Signal Generator Settings


Payload Configuration

4. Payload Configuration

This section enables you to configure the payload data source, the MAC header, set the length and type of payload data, and choose to have an FCS added to the packet.

1. Capability | User File Length
2. Carrier Basic | Data Length
3. Coding and Modulation | MAC Header
MPDU Length | MAC FCS
Data Type | Increment Sequence Number
PN9 Seed | Sequence Number Increment by: (Frames)
PN15 Seed | Increment Fragment Number
User File Name | 5. Spectrum Control

MPDU Length

This cell displays the total number of bytes in a physical layer frame before coding and modulation, including the data, MAC header, and MAC FCS. You cannot edit this cell.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed (Requires Option H)

Range: 0 to 511

Default: 511

Coupling: Invisible without option N7617B-H

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed (Requires Option H)

Range: 0 to 32767

Default: 32767

Coupling: Invisible without option N7617B-H

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

User File Name

Click the [image] button in this cell to select a user file as the data source.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

Data Length

Use this cell to set the number of data bytes in a frame. The range is 0 to 4095 for both DSSS and OFDM (minus the length of the MAC header and FCS, if they are enabled).

User data longer than the maximum data length will be truncated.

MAC Header (Adjustable for Advanced Capability Only)

Click the [image] button on this cell to open the MacHeaderDialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, or CTS MAC frame format by clicking the down arrow in the top right corner of the MacHeaderDialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS (Adjustable for Advanced Capability Only)

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Increment Sequence Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Number Increment by: (Frames) (Applicable for Advanced Capability Only)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

This cell is only applicable for the Advanced Capability.

Increment Fragment Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Related Topics

User Interface Basics

Signal Generator Settings


Spectrum Control

5. Spectrum Control

Windowing Length (for OFDM mode only)

Use this cell to set the length of the raised cosine window. The range is 0 to 16 * OSR samples, where 16 is the guard interval length of an OFDM symbol when OSR is 1. For example, if you set OSR to 4, the maximum value of the windowing length is 64. Entering 0 samples means no windowing will be applied. A raised cosine time domain window is applied to the baseband signal to reduce out-of-band power.

Filter

A baseband filter is applied to reduce the transmitted bandwidth, increasing spectral efficiency.

For signals generated with digital signal processing, baseband filters are often finite impulse response (FIR) filters with coefficients that represent the sampled impulse response of the desired filter. FIR filters are used to limit the bandwidth of the input to the I and Q modulators.

The standard does not specify what type of filter must be used, but the transmitted signal must meet the spectral mask requirements. Gaussian filtering with a BT of 0.5 was chosen for a measured example. This filter is commonly used in the industry for 802.11b. Other selected filters will also filter the signal enough to fit within the spectral mask.

Five options for baseband filtering can be selected in the Filter Type menu:

  • None- No filter.

  • Gaussian- The Gaussian filter does not have zero Inter-Symbol Interference (ISI). Wireless system architects must decide just how much of the ISI can be tolerated in a system and combine that with noise and interference. The Gaussian filter is Gaussian shaped in both the time and frequency domains, and it does not ring like the root cosine filters do. The effects of this filter in the time domain are relatively short and each symbol interacts significantly (or causes ISI) with only the preceding and succeeding symbols. This reduces the tendency for particular sequences of symbols to interact which makes amplifiers easier to build and more efficient.

  • Root Raised Cosine- Root cosine filters, also referred to as square root raised cosine filters, have the property that their impulse response rings at the symbol rate. Adjacent symbols do not interfere with each other at the symbol times because the response equals zero at all symbol times except at the center (desired) symbol time. Root cosine filters heavily filter the signal without blurring the symbols together at the symbol times. This is important for transmitting information without errors caused by ISI. Note that ISI does exist at all times except the symbol (decision) times.

  • Ideal Lowpass- In the frequency domain, this filter appears as a low-pass, rectangular filter with very steep cut-off characteristics. Due to a finite number of coefficients, the filter has a predefined length and is not truly "ideal." The resulting ripple in the cut-off band is effectively minimized with a Hamming window. This filter is recommended for achieving optimal ACP in 802.11a signals. A symbol length of 32 or greater is recommended for this filter.

  • User Defined- Allows you to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Length (symbol)

The symbol length of the filter determines how many symbol periods will be used in calculating the symbol. The filter selection influences the symbol length value.

The Gaussian filter has a rapidly decaying impulse response. A symbol length of 6 is recommended. Greater lengths have negligible effects on the accuracy of the signal.

The root cosine filter has a slowly decaying impulse response. It is recommended that a long symbol length, around 32, be used. Beyond this, the ringing has negligible effects on the accuracy of the signal.

The ideal low pass filter also has a very slow decaying impulse response. It is recommended that a long symbol length, 32 or greater, be used.

For both root cosine and ideal low pass filters, the greater the symbol length, the greater the accuracy of the signal. Try changing the symbol length and plotting the spectrum to view the effect of the symbol length on the spectrum.

BT

This cell sets the filter's bandwidth-time product (BT) coefficient. It is valid only for a Gaussian filter.

B is the 3 dB bandwidth of the filter and T is the duration of the symbol period. BT determines the extent of the filtering of the signal. Occupied bandwidth cannot be stated in terms of BT because a Gaussian filter’s frequency response does not go to zero, as does a root cosine filter. The range of this cell is 0.1 to 1. The default value is 0.5. As the BT product is decreased, the ISI increases.

Alpha

This cell sets the filter's alpha coefficient. It is valid only for root cosine filters.

The sharpness of a root cosine filter is described by the filter coefficient, which is called alpha. Alpha gives a direct measure of the occupied bandwidth of the system and is calculated as occupied bandwidth = symbol rate X (1 + alpha). If the filter had a perfect (brick wall) characteristic with sharp transitions and an alpha of zero, the occupied bandwidth would be = symbol rate X (1 +0) = symbol rate. An alpha of zero is impossible to implement. Alpha is sometimes called the "excess bandwidth factor" as it indicates the amount of occupied bandwidth that will be required in excess of the ideal occupied bandwidth (which would be the same as the symbol rate).

At the other extreme, take a broader filter with an alpha of one, which is easier to implement. The occupied bandwidth for alpha = 1 will be: occupied bandwidth = symbol rate X (1 + 1) = 2 X symbol rate. An alpha of one uses twice as much bandwidth as an alpha of zero. In practice, it is possible to implement an alpha below 0.2 and make good, compact, practical radios. Typical values range from 0.35 to 0.5, though some video systems use an alpha as low as 0.11.

Bandwidth

This cell sets the filter's bandwidth. It is valid only for ideal lowpass filters.

Filter Coefficient

It is valid only for user-defined filters.

Click the [image] button in this cell to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. You can also edit the filter's coefficient in the coefficient table below this cell.

Related Topics

User Interface Basics

Signal Generator Settings


802.11n

802.11n Features

Waveform Setup | provides information on how to view and edit general information about the WLAN 802.11n waveform
Signal Configuration | describes WLAN 802.11n PHY and MAC layer parameters, payload configuration, and impairments in waveform.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Waveform Setup - 802.11n

1. Capability

Capability

Use this cell to set the capability for WLAN 802.11n to either Basic or Advanced.

  • Basic Capability supports configuration of all of the WLAN 802.11n signal parameters except the channel coding function, and so is suitable for component testing.

    Parameters under Basic capability are a subset of the Advanced capability.

  • Advanced capability supports generation of fully channel-coded waveforms and is suitable for both receiver testing and component testing.

    The following parameters are supported only by the Advanced capability

    -Convolutional Coder, Interleaver, Scrambler

2. Waveform Basic

Waveform Name

Use this cell to enter a name for the waveform. The alphanumeric text entered in this cell appears in the signal generator's user interface after the configuration is downloaded to the instrument. The signal generator recognizes only waveform names that use the following characters:

A through Z

0 through 9

$ & _ # + - [ ]

If unsupported characters appear in a configuration name, the signal generator generates a "file name not found" error (Error: -256) when you download the configuration to the instrument. The maximum length for file names is 22 characters.

Comment

Enter an alpha-numeric comment of up to 32 characters. The comment resides in the file header and can include spaces and special characters.

Total Sample Points

This cell displays the number of samples (or data points) in the waveform. The number of sample points varies with the Oversampling Ratio and is related to the number of packets, the frame mode, the data rate, and the length of the user data. The maximum number of samples a waveform can have depends on the ARB memory capacity of the signal generator's baseband generator. You cannot edit cells in this column. This total samples value also appears in the status bar at the bottom of the main window.

Format

Use this cell to select the signal generation format

  • Legacy- The legacy mode is applicable only for 802.11n MxN (1SG) setup application. In legacy mode, you can select either 40 MHz or 20 MHz bandwidth. When 20 MHz bandwidth is selected, data packets are transmitted in the legacy 802.11a/g format. When 40 MHz bandwidth is selected, the device operates in a 40 MHz channel composed of two adjacent 20 MHz channels. The packets to be sent are in the legacy 802.11a format in each of the 20 MHz channels. To reduce the PAPR, the upper channel (higher frequency) is rotated by 90° relative to the lower channel.

  • HT (High Throughput) - In HT mode, the device operates in either 40 MHz bandwidth or 20 MHz bandwidth and with one to four spatial streams. This mode includes the HT-duplicate mode.

Generation Mode

Use this cell to select framed or unframed mode to generate a signal. A framed signal is needed in receiver tests, and an unframed signal is useful in component tests or in other instances where continuous, non-bursted modulation of unframed data is desired.

Frame Type

Choice: Data and Control | Beacon

Default: Data and Control

Coupling: When Capability is set to Basic or Generation Mode is set to Unframed, this parameter becomes read-only and is set to Data and Control.

Select the frame type. When you select Beacon, an additional node appears in the Closed tree view under Signal Configuration, giving you access to additional parameters for configuring the Beacon frame type.

This feature requires Option H or Option R (802.11n Advanced).

Idle Interval

Use this cell to set the length (in microseconds) of the idle time between frames. This is relevant only in framed mode.

No signal is transmitted during the idle interval, but the MAC layer operates as if a signal is being transmitted.

Bandwidth

Use this cell to set the occupied bandwidth for 802.11n to either 20 MHz or 40 MHz.

Number of Data Symbols in One Frame

Displays the number of OFDM symbols in the data portion of one frame.

RF Burst Duration in One Frame

Displays the time duration (in seconds) of the burst in one frame. The burst duration is equal to the preamble portion plus the data portion.

Overall Waveform Duration in One Frame

Displays the time duration (in seconds) of the overall waveform in one frame. The overall waveform duration is equal to the RF burst duration plus the idle interval.

3. Spectrum Control

Oversampling Ratio (OSR)

Use this cell to specify the number of times that the baseband signal is oversampled.

The minimum value of this cell is 1.

For 802.11n with 20 MHz bandwidth, the maximum value is 5.

For 802.11n with 40 MHz bandwidth, the maximum value is 2.

Windowing Length

Use this cell to set the length of the OFDM raised cosine window. The maximum value of this cell is related to the guard interval.

  • For short guard interval (400 ns), the maximum value is 16 samples

  • For normal guard interval (800 ns), the maximum value is 32 samples

Entering 0 samples means no windowing will be applied. A raised cosine time domain window is applied to the baseband signal to reduce out-of-band power.

Filter

A baseband filter is applied to reduce the transmitted bandwidth, increasing spectral efficiency.

For signals generated with digital signal processing, baseband filters are often finite impulse response (FIR) filters with coefficients that represent the sampled impulse response of the desired filter. FIR filters are used to limit the bandwidth of the input to the I and Q modulators.

Five options for baseband filtering can be selected in the Filter Type menu:

  • None - No filter.

  • Gaussian - The Gaussian filter does not have zero Inter-Symbol Interference (ISI). Wireless system architects must decide just how much of the ISI can be tolerated in a system and combine that with noise and interference. The Gaussian filter is Gaussian shaped in both the time and frequency domains, and it does not ring like the root cosine filters do. The effects of this filter in the time domain are relatively short and each symbol interacts significantly (or causes ISI) with only the preceding and succeeding symbols. This reduces the tendency for particular sequences of symbols to interact, which makes amplifiers easier to build and more efficient.

  • Root Cosine - Root cosine, also referred to as square root raised cosine, filters have the property that their impulse response rings at the symbol rate. Adjacent symbols do not interfere with each other at the symbol times because the response equals zero at all symbol times except the center (desired) one. Root cosine filters heavily filter the signal without blurring the symbols together at the symbol times. This is important for transmitting information without errors caused by ISI. Note that ISI does exist at all times, only at the symbol (decision) times.

  • Ideal Lowpass - In the frequency domain, this filter appears as a low-pass, rectangular filter with very steep cut-off characteristics. The pass band is set to equal the symbol rate of the signal. Due to a finite number of coefficients, the filter has a predefined length and is not truly "ideal." The resulting ripple in the cut-off band is effectively minimized with a Hamming window. This filter is recommended for achieving optimal ACP. A symbol length of 32 or greater is recommended for this filter.

  • User Defined - Allows you to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Length (symbol)

The symbol length of the filter determines how many symbol periods will be used in the calculation of the symbol. The filter selection influences the symbol length value.

The Gaussian filter has a rapidly decaying impulse response. A symbol length of 6 is recommended. Greater lengths have negligible effects on the accuracy of the signal.

The root cosine filter has a slowly decaying impulse response. It is recommended that a long symbol length, around 32, be used. Beyond this, the ringing has negligible effects on the accuracy of the signal.

The ideal low pass filter also has a very slow decaying impulse response. It is recommended that a long symbol length, 32 or greater, be used.

For both root cosine and ideal low pass filters, the greater the symbol length, the greater the accuracy of the signal. Try changing the symbol length, and plotting the spectrum to view the effect the symbol length of the filter has on the spectrum.

BT

This cell sets the filter's bandwidth-time product (BT) coefficient. It is valid only for a Gaussian filter.

B is the 3 dB bandwidth of the filter and T is the duration of the symbol period. BT determines the extent of the filtering of the signal. Occupied bandwidth cannot be stated in terms of BT because a Gaussian filter's frequency response does not go to zero, as does a root cosine filter. Common values for BT are 0.3 to 0.5. As the BT product is decreased, the ISI increases.

Alpha

This cell sets the filter's alpha coefficient. It is valid only for root cosine filters.

The sharpness of a root cosine filter is described by the filter coefficient, which is called alpha. Alpha gives a direct measure of the occupied bandwidth of the system and is calculated as: occupied bandwidth = symbol rate X (1 + alpha). If the filter had a perfect (brick wall) characteristic with sharp transitions and an alpha of zero, the occupied bandwidth would be: symbol rate X (1 + 0) = symbol rate. An alpha of zero is impossible to implement. Alpha is sometimes called the "excess bandwidth factor" as it indicates the amount of occupied bandwidth that will be required in excess of the ideal occupied bandwidth (which would be the same as the symbol rate).

At the other extreme, take a broader filter with an alpha of one, which is easier to implement. The occupied bandwidth for alpha = 1 will be: occupied bandwidth = symbol rate X (1 + 1) = 2 X symbol rate. An alpha of one uses twice as much bandwidth as an alpha of zero. In practice, it is possible to implement an alpha below 0.2 and make good, compact, practical radios. Typical values range from 0.35 to 0.5, though some video systems use an alpha as low as 0.11.

Filter Coefficient

This is valid only for user-defined filters.

When you select User Defined as the filter type, click the [image] button in this cell to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Bandwidth

Set the effective bandwidth for Ideal Lowpass filter.

Mirror Spectrum

Use this cell to set the mirror spectrum to ON or OFF.

As a signal propagates normally through the different functional blocks of a receiver (for example, the mixer block), the signal spectrum may be inverted. Enabling this cell facilitates realistic testing of receiver functional blocks that would normally be presented with a mirrored spectrum signal. The default setting is OFF.

ON: When turned ON, the Q channel is inverted, resulting in a mirrored spectrum

OFF: When turned OFF, the spectrum is not inverted.


Signal Configuration

Signal Configuration - 802.11n

Coding and Modulation | describes signal configuration parameters, including channel coding and modulation.
Payload Configuration | describes payload parameter configuration, including MPDU, MAC header, and FCS.
Impairments in Waveform | describes parameter configuration for MIMO channel fading.


Coding and Modulation MIMO

1. Coding and Modulation

MCS Index | Spatial Mapping Scheme
Number of Spatial Stream | Spatial Mapping Matrix
Modulation | Scrambler
Coding Rate | Scrambler Initialization
Data Rate | Channel Coding Mode
Number of Transmit Chain | Channel Coding State
Number of Space Time Streams | Interleaver
Number of Extension Spatial Stream | Payload Configuration
Short Guard Interval | Impairments in Waveform
Operating Mode |

MCS Index (Applicable for HT Format Only)

Use this cell to set the MCS (Modulation and Coding Scheme) index, which determines the number of spatial streams, the modulation, and the coding rate and data rate values. The MCS index is from 0 to 32 for the HT (High Throughput) mode and is described in the MCS table.

Number of Spatial Streams (Applicable for HT Format Only)

The MCS index will automatically set the number of spatial streams.

Modulation

In Legacy mode, the modulation is automatically determined by the data rate.

In HT mode, the modulation is automatically determined by the MCS index.

Coding Rate

In Legacy mode, the coding rate is automatically determined by the data rate.

In HT mode, the coding rate is automatically determined by the MCS index.

Data Rate

In Legacy mode, use this cell to select the data rate. The data rate selected will automatically set the modulation and encoder rate (equal to 802.11a/g standard).

In HT mode, the data rate is determined by the MCS index.

Number of Transmit Chains (Applicable for HT Format Only)

Use this cell to set the number of transmit chains (NTX) for HT mode.

For transmitter test (the channel fading state is set to OFF):

  • In MxN (1 SG) MIMO system, the number of transmit chains is the value of M and must be not less than the number of spatial streams, which is set by the MCS index.

  • In Mx2 (2 SG), Mx3 (3 SG) and Mx4 (4 SG) MIMO systems, the number of transmit chains must be equal to the number of signal generators you use.

For receiver test (the channel fading state is set to ON):

  • The number of transmit chains is equal to the Number of Transmit Antennaeand must be not less than the number of spatial streams, which is set by the MCS index.

Number of Space Time Streams (Applicable for HT Format Only)

Use this cell to set the number of space time streams. When the number of space time streams is greater than the number of spatial streams, the STBC (Space Time Block Coding) scheme is enabled in which the spatial streams are mapped to the space time streams and then the space time streams are mapped to the transmit chains. Refer to the 802.11n transmitter block diagram.

Number of Extension Spatial Streams (Applicable for HT Format Only)

Use this cell to set the number of extension spatial streams. The sum of the number of extension spatial streams and the number of space time streams should not exceed the number of transmit chains.

Half Bandwidth

Use this cell to select the Bandwidth setting. This cell is only available for 40 MHz Bandwidth.

  • 40 MHz Upper Mode - transmit a legacy or HT packet in the upper 20 MHz channel of a 40 MHz channel.

  • 40 MHz Lower Mode - transmit a legacy or HT packet in the lower 20 MHz channel of a 40 MHz channel

  • N/A - transmit a legacy or HT packet in the full 40 MHz channel. In Legacy mode, 40 MHz transmission bandwidth, selecting N/A means the PHY in frequency domain operates in the Duplicate Legacy Mode. In this mode the device operates in a 40 MHz channel composed of two adjacent 20 MHz channels. The packets to be sent are in the legacy 11a format in each of the 20 MHz channels. To reduce the PAPR the upper channel (higher frequency) is rotated by 90º relative to the lower channel.

Short Guard Interval (Applicable for HT Format Only)

Use this cell to set the Short Guard Interval to either ON or OFF.

When turned ON, the Guard Interval is 400ns.

When turned OFF, the Guard Interval is 800ns.

The guard interval between symbols helps receivers overcome the effects of multipath delays. When you add a guard time, the back portion of useful signal time is copied and appended to the front. Enabling the Short Guard Interval increases the Data Rate. Refer to the MCS table for the relations between Guard Interval and Data Rate.

Operating Mode (Applicable for HT Format Only)

Use this cell to set the preamble and signal format to either Green Field or Mixed Mode.

  • Green Field - In Green Field mode, high throughput packets are transmitted without a legacy compatible part.

  • Mixed Mode - In Mixed Mode, packets are transmitted with a preamble compatible with the legacy 802.11a/g. The legacy Short Training Field (L-STF), the legacy Long Training Field (L-LTF) and the legacy signal field (L-SIG) are transmitted so they can be decoded by legacy 802.11a/g devices. The rest of the packet has a new format.

Spatial Mapping Scheme (Applicable for HT Format Only)

Use this cell to select the spatial mapping scheme, which maps spatial streams to different transmit chains. Refer to the Transmitter Block Diagram for the spatial mapping scheme function.

  • Direct mapping - each space time stream is directly mapped to a different transmit chain. When using the direct mapping scheme, the number of space time streams must be equal to the number of transmit chains.

  • Spatial Expansion - the space time streams are multiplied by a matrix, and then transmitted through different transmit chains. When using the spatial expansion mapping scheme, the number of space time streams can be fewer than the number of transmit chains. FFT transformation matrix is selected for spatial expansion.

  • User Defined - user defined spatial Mapping Matrix.

Spatial Mapping Matrix (Applicable for HT Format Only)

Click spatial Mapping Matrix and the down arrow [image] to access the Closed Q Matrix window. For direct mapping and spatial expansion mapping schemes, this window displays the corresponding Q matrix. For the User Defined Mapping scheme, use this window to edit each element of the Q matrix.

  • Save - Click this button to save a Q matrix into a text file.

  • Load - This button is only applicable for the User Defined spatial mapping scheme. Click this button to select a simple unformatted text file (*.txt) of element values, characterizing a user-defined Q matrix. Each line in the file contains one element value (default complex). The matrix elements are stored row by row. For example, for a 2x2 matrix, the two complex elements in the first row are stored in the 1-2 lines of the file respectively. Then the two complex elements in the second row are stored in the 3-4 lines of the file respectively.

Scrambler (Adjustable for Advanced Capability Only)

Choices: ON | OFF

Default: ON

Coupling: Scrambler is fixed to ON when Capability is set to Basic.

Use this cell to enable or disable the scrambler. Enabling the scrambler scrambles the data to prevent long sequences of '0's or '1's.

Scrambler Initialization

Choices: 0 to 127

Default: 93

Use this cell to set the initial value of the scrambler.

Channel Coding Mode

Choices: BCC | LDPC

Default: BCC

Coupling: When Channel Coding Mode is LDPC, Interleaver is turned OFF.

Select either BCC or LDPC Channel Coding Mode to encode the data.

For information about the difference in processing procedures between BCC encoding and LDPC encoding, see BCC and LDPC Encoders.

Channel Coding Mode is fixed to BCC for the following configurations:

  • Without option N7617B-H
  • In Legacy mode
  • Convolutional Coder is in the recalled setup file

Channel Coding State

Choices: ON | OFF

Default:ON

Coupling: Channel Coding State is fixed to OFF when Capability is set to Basic.

Enable or disable the channel encoding function. When it is OFF, the Channel Coding Mode encoders are bypassed.

If the recalled setup file contains Convolutional Coder, the Channel Coding State will be set to the same state as the Convolutional Coder. Likewise,

changing the state of the Convolutional Coder, changes the Channel Coding State. For example, switching Convolutional Coder from ON to OFF, sets the Channel Coding State to OFF.

Interleaver (Adjustable for Advanced Capability Only)

Use this cell to set the interleaver to either ON or OFF.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.


Payload Configuration MIMO

2. Payload Configuration

This section enables you to configure the MAC header, set the length and type of payload data, and choose to have an FCS added to the packet.

Option H with Aggregation MPDU On

Payload Total Length | User File Name
Aggregation MPDU | User_File_Length
Minimum MPDU Start Spacing | Data Length
Minimum MPDU Start Spacing in octets | MAC Header
Smoothing | MAC FCS
Not Sounding | Increment Sequence Number
MPDU Length | Sequence Number Increment by: (Frames)
Data Type | Increment Fragment Number
PN9 Seed | Number of Frames
PN15 Seed | MPDU Table

Payload Total Length

This cell displays the total number of bytes in the payload, including MPDU delimiter, the payload data, MAC header, FCS, and PAD octets for each MPDU. You cannot edit this cell.

Aggregation MPDU

Use this cell to enable or disable the A-MPDU format that allows aggregation of multiple MPDUs (MAC protocol data units) in one PSDU (PHY service data unit).

Minimum MPDU Start Spacing (Requires Option Hxx)

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF or without option N7617B-Hxx.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets (Requires Option H)

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF or without option N7617B-H.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

Smoothing

Set the smoothing bit.

Indicates whether frequency-domain smoothing is recommended as part of channel estimation.

Not Sounding

Set the not sounding bit.

Indicates whether this packet is a sounding packet or not.

MPDU Length

This cell displays the total number of bytes in a physical layer frame before coding and modulation, including the data, MAC header, and MAC FCS. You cannot edit this cell.

Prior to N7617B version 1.12.0.0, this was named Total Length per Frame.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed (Requires Option H)

Range: 0 to 511

Default: 511

Coupling: Invisible without option N7617B-H

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed (Requires Option H)

Range: 0 to 32767

Default: 32767

Coupling: Invisible without option N7617B-H

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

User File Name

Click the [image] button in this cell to select a user file as the data source.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

Data Length

Use this cell to set the number of data bytes in a frame. The range is 0 to 65535. (minus the length of the MAC header and FCS, if they are enabled).

User data longer than the maximum data length will be truncated.

MAC Header

Click the [image] button in this cell to open the MACHeaderDialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, or CTS MAC frame format by clicking the down arrow in the top right corner of the MacHeaderDialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Increment Sequence Number

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Control field of the MAC Header

This cell is only applicable for the Advanced Capability.

Sequence Number Increment by: (Frames) (Applicable for Advanced Capability Only)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

This cell is only applicable for the Advanced Capability.

Increment Fragment Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Control field of the MAC Header

This cell is applicable only for the Advanced Capability.

Number of Frames

Use this cell to set the number of frames to be used in the waveform. Choosing a value greater than one causes the creation of multiple frames containing a continuous data payload.

MPDU Table

Select ON in the Aggregation MPDU cell to open this table.

This table enables you to view the key parameters for each MPDU. You can also add or delete MPDUs using the buttons above the table (see descriptions below). Double-clicking an MPDU row activates the setup table for that MPDU. You can use a maximum of 64 MPDUs.

The Add button adds an MPDU to the setup table.

The Remove button deletes the currently highlighted MPDU in the setup table. You can highlight multiple MPDUs by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of MPDUs.

Related Topics

User Interface Basics

Signal Generator Settings


MPDU

yMPDU - 802.11n

This section enables you to configure the MAC header, set the length and type of payload data, and choose to have an FCS added to the packet.

A-MPDU Subframe Length | Data Length
MPDU Length | MAC Header
Data Type | MAC FCS
PN9_Seed | Increment Sequence Number
PN15_Seed | Sequence Number Increment by: (Frames)
User File Name | Increment Fragment Number
User File Length |

A-MPDU Subframe Length

Coupling: Only available when Aggregated MPDU is set to ON.

Displays the number of octets in the current A-MPDU subframe, which is composed of MPDU and Padded MPDU Delimiters.

If the current MPDU is not the last one, its length can not be shorther than Minimum MPDU Start Spacing, otherwise MDPU delimiters will be padded after the current MPDU. If the current MPDU is the last one, its A-MPDU Subframe Length is equal to its MPDU Length plus the length of one MPDU Delimiter (4 octets).

MPDU Length

Displays the total number of bytes in a physical layer frame before coding and modulation, including the data, MAC header, and MAC FCS. You cannot edit this cell.

Prior to N7617B version 1.12.0.0, this was named Total Length per Frame.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed (Requires Option H)

Range: 0 to 511

Default: 511

Coupling: Invisible without option N7617B-H

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed (Requires Option H)

Range: 0 to 32767

Default: 32767

Coupling: Invisible without option N7617B-H

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

User File Name

Click the [image] button in this cell to select a user file as the data source.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

Data Length

Use this cell to set the number of data bytes in a frame. The range is 0 to 65535. (minus the length of the MAC header and FCS, if they are enabled).

User data longer than the maximum data length will be truncated.

MAC Header (Adjustable for Advanced Capability Only)

Click the [image] button in this cell to open the MACHeaderDialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, or CTS MAC frame format by clicking the down arrow in the top right corner of the MacHeaderDialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS (Adjustable for Advanced Capability Only)

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Increment Sequence Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Control field of the MAC Header

This cell is only applicable for the Advanced Capability.

Sequence Number Increment by: (Frames) (Applicable for Advanced Capability Only)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

This cell is only applicable for the Advanced Capability.

Increment Fragment Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Control field of the MAC Header

This cell is applicable only for the Advanced Capability.

Related Topics

User Interface Basics

Signal Generator Settings


Impairments in Waveform

 Go to description Go to description Go to description Go to description Go to description

3. Impairments in Waveform

Channel State

Use this cell to enable or disable the fading channel for the 802.11n.

Channel

Use this cell to configure fading channel parameters. When you click the [image] button in this cell, the Channel Configuration Dialog opens.

IQ Impairment Mode

Choice: Constant | Frequency Dependent

Default: Constant

Select the IQ impairment mode. Each mode has a unique pair of impairment adjustments.

  • Constant -- IQ impairment is independent of frequency.

  • Frequency Dependent -- IQ impairment is a function of frequency with vector impairment adjustments applied to subcarriers.

This feature is only available for 802.11n with Option H and 802.11ac.

Quadrature Angle Adjustment for Waveform n

Use this cell to add quadrature skew impairment (-90 to + 90 degrees) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both RF and baseband I/Q outputs.This parameter is only available when the IQ Impairment Mode is set to Constant.

The baseband Quadrature Angle (angle) and the baseband IQ Gain (gain) values are used to modify the output I and Q data according to the following equations:

Real (output) = Real (input) - Gs * Imag (input)

Imag (output) = Gc * Imag\ (input)

where:

Gs = Gain * sin (angle) and

Gc = Gain * cos (angle)

I/Q Gain Balance for Waveform n

Use this cell to add quadrature gain impairment (-10 dB to 10 dB) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both the RF and baseband I/Q outputs. This parameter is only available when the IQ Impairment Mode is set to Constant.

Quadrature Angle Adjustment Vector for Waveform n

Default: all zeros

This is a vector with a maximum length of 512. Click [image] in the parameter field to open a Closed window where you can specify the quadrature angle for every subcarrier in the OFDM signal. ‘n’ specifies the index of the antenna. When you click on the button at the rightmost side of the field, a window appears, allowing you enter a phase error for each subcarrier. This parameter is only available when the IQ Impairment Mode is set to Frequency Dependent.

I/Q Gain Balance Vector for Waveform n

Default: all zeros

This is a vector with a maximum length of 512. Click [image] in the parameter field to open a Closed window where you can specify the in-phase gain for every subcarrier in the OFDM signal. ‘n’ specifies the index of the antenna. When you click on the button at the rightmost side of the field, a window appears, allowing you enter a phase error for each subcarrier. This parameter is only available when the IQ Impairment Mode is set to Frequency Dependent.


Channel Configuration 11n 11ac

Channel Configuration (802.11n and 802.11ac)

Channel Model | Number of Receive Antennae
Ricean Factor | Number of Receive Antennae for user n
Fading Type | Receive Array Dimension (by wavelength)
Path File Name | Transmit Array Type
Channel Carrier Frequency | Transmit Array File Name
Powerline Frequency | Receive Array Type
Channel Power Correlation Type | Receive Array File Name
Seed | PAS Type
Number of Transmit Antennae | Environment Speed
Transmit Array Dimension (by wavelength) |

Channel Model

Use this cell to select the type of the time-varying channel modes for multiple transmit and receive antennae in a multipath propagation environment. Options A to F of model type correspond to channel models defined in IEEE 802.11-03/940r4 (IEEE p802.11 Wireless WLANs TGn channel models).

The multipath fading is modeled as a tapped-delay line with the number of taps and the delay and gain of each tap specified by parameters for each Channel Model type. For each tap, the method of filtered noise is used to generate a matrix of time-varying channel coefficients with the correct distribution and spectrum.

Characteristics of each model are summarized in the table below, where K is the Ricean K-Factor.

Model | Number of Clusters | RMS Delay Spread (ns) | K: First Tap (dB) | K: Remaining Taps (dB)
A | 1 tap | 0 | 0 |
B | 2 | 15 | 0 |
C | 2 | 30 | 0 |
D | 3 | 50 | 3 |
E | 4 | 100 | 6 |
F | 6 | 150 | 6 |

If the predefined models A to F are unsuitable for your application, you can specify a user-defined Model by selecting User Defined in this cell. In that case, you must specify the channel characteristics in the Path File Name cell.

Ricean Factor

Set Channel Model to User Defined to enable this parameter.

Use the cell to set the Ricean factor.

Fading Type

Use this cell to set the small scale fading type of the channel to either Rayleigh or Rician.

Path File Name

Set Channel Model to User Defined to enable this parameter.

When you select User Defined as the channel model, click the [image] button in this cell to select an ASCII file (*.txt), characterizing the multipath parameters. Each line of this file represents a single multipath cluster with six tab or space-delimited numbers specifying the multipath characteristics with the order shown in the following table.

The following example shows a path file for 6 taps.

Channel Carrier Frequency

Use this cell to set the carrier frequency for baseband channel simulation. The default value of this cell is equal to the output frequency on the signal generator.

Powerline Frequency

Use this cell to set the power line frequency.

Because fluorescent lights operate by creating a plasma (ionized gas), the scattering behavior of these lights changes as the power line goes from a high voltage (ionized gas appears as a scatterer) to zero voltage (gas is not ionized). This can create a Doppler component that appears at twice the power line frequency (120 Hz in the US, 100 Hz in Europe), with a spectral width determined by the harmonics.

Models D (taps 2, 4, 6 in cluster 2) and E (taps 3, 5, 7 in cluster 1) include the impact of this interference. The interferer-to-carrier ratio is generated as a realization of a Gaussian random variable with mean 0.0203 and standard deviation 0.0107.

Channel Power Correlation Type

Channel power correlation type determines whether the antenna correlations are computed from the signal voltages (complex) or the signal power (real).

Seed

Use this cell to set a random number as the seed. When it is set to 0, a time-dependent default value seed will be used.

Number of Transmit Antennae

This cell displays the number of transmit antennae, which will be no more than the number of receive antennae in this software.

In Legacy mode, it is fixed at 1.

In HT mode, it is equal to the number of transmit chains.

You cannot edit this cell.

Transmit Array Dimension (by wavelength)

Use this cell to set the dimension of transmit array, which is normalized by the carrier wavelength.

  • When the transmit array is uniform linear, the dimension indicates the length of the whole array.

  • when the transmit array is uniform circular, the dimension indicates the diameter of the array.

Number of Receive Antennae

This parameter is only available in the 802.11n channel model.

Use this cell to set or display the number of receive antennae.

In legacy mode, it is fixed at 1.

In HT mode, it is determined by the number of signal generators you select in quick setup and cannot be edited, except for the IEEE 802.11n MxN (1 SG) setup.

For IEEE 802.11n MxN (1SG) setup, you can set it to no more than 4 antennae.

Number of Receive Antennae for user n

This parameter is only available in the 802.11ac channel model.

Use this cell to set or display the number of receive antennae for user n, where n is 0 to 3. The visibility of a particular user’s Number of Receive Antennae depends on the existence of this user.

The minimum value for any user is 0 and the maximum value is 4. The default value is 0 for user 1 to 3.

The total number of receive antennae for all users is equal to the number of generated waveforms. For example, if IEEE 802.11ac MX3 is selected and 3 users are added, then the total number of receive antenna is 3. If the number for one user is reduced or increased, the number for another user is increased or reduced to keep the total at 3.

Receive Array Dimension (by wavelength)

Use this cell to set the dimension of the receive array, which is normalized by the carrier wavelength.

  • When the receive array is uniform linear, the dimension indicates the length of the whole array.

  • when the receive array is uniform circular, the dimension indicates the diameter of the array.

Transmit Array Type

Use this cell to set the transmit antenna type to Uniform Linear, Uniform Circular or User Defined.

Transmit Array File Name

When you select User Defined as the transmit array type, click the [image] button in this cell to select an ASCII file (*.txt), characterizing a transmit antenna array. Each line in the file contains three tab or space-delimited numbers representing the x, y, and z coordinates of the antenna element in the array. Each element is assumed to have an omnidirectional radiation pattern in the horizontal (x-y) plane.

Receive Array Type

Use this cell to set the receive antenna type as Uniform Linear, Uniform Circular, or User Defined.

Receive Array File Name

When you select User Defined as the receive array type, click the [image] button in this cell to select an ASCII file (*.txt), characterizing a receive antenna array.

The same file definition for transmit array file applies to the custom receive array file. The same file can be used to specify both transmit and receive arrays.

PAS Type

Use this cell to set the PAS (Power Azimuth Spectrum) type to Laplacian, Gaussian or Uniform.

Environment Speed

When you select User Defined as the Channel Model, use this cell to set the environment speed in meters per second.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Beacon

1. General

Beacon Frame Length (bytes)

Indicates the total number of bytes contained in the Beacon frame, which includes the MAC header, frame body and FCS.

Hex Byte Order

Choice: Little Endian | Big Endian

Default: Little Endian

Specify the byte order of a hexadecimal value entered into a GUI parameter field.

Little Endian -- the leftmost byte (two digits) of the hexadecimal string is least significance and is transmitted first in the beacon frame.

Big Endian -- the leftmost byte (two digits) of the hexadecimal string is most significant and is transmitted last in a the beacon frame

For example, if you want to enter a numeric value of 3215267533596, you must first convert it to its hexadecimal form of 0x2EC9CE1131C. Then in the case of little endian, it should be entered into the GUI field as 1C13E19CEC2, while in the case of big endian, it should be entered as 2EC9CE1131C.

Hex byte order has no effect on the parameters that don't require hexadecimal input. Some parameters using a simple numerical value may still require hexadecimal input via the GUI. In these cases, it is important to consider which endian is selected. When using API, however, you can directly set its numeric value.

2. MAC Header

MAC Header

Click [image] in this parameter field to open a Closed window where you can configure the MAC header. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.

3. Frame Body

Time Stamp

It represents the value of the timing synchronization function (TSF) timer of a frame’s source. The length of the time stamp field is 8 octets.

Beacon Interval (TU)

It represents the number of time units (TUs) between target beacon transmission times (TBTTs). The length of the Beacon Interval field is 2 octets. One time unit (TU) equals 1024 µs.

Capability

Click [image] in this parameter field to open a Closed window that contains a number of subfields that are used to indicate requested or advertised optional capabilities. The length of the Capability field is 2 octets. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.

Service Set Indentifier (SSID)

The SSID element specifies the identity of an ESS or IBSS. The number of characters of the identity is between 0 and 32. If you enter characters more than 32, it will be truncated to a length of 32. SSID's element ID is 0, and its length is 2 to 34 octets.

Supported Rate

The Supported Rates element specifies up to eight rates in the OperationalRateSet parameter, as described in the MLME-JOIN.request and MLME-START.request primitives, and zero or more BSS membership selectors. The Information field is encoded as 1 to 8 octets, where each octet describes a single Supported Rate or BSS membership selector. Supported Rate's element ID is 1, and its length is 3 to 10 octets.

DSSS (Current Channel)

The DSSS Parameter Set element contains information to allow channel number identification for STAs. Its element ID is 3, and its length is 3 octets.

IBSS (ATIM Window)

The IBSS Parameter Set element contains the set of parameters necessary to support an IBSS. The Information field contains the ATIM Window parameter. Its element ID is 6, and its length is 4 octets.

ERP

Click [image] in this parameter field to open a Closed window where you can configure the ERP parameters. The ERP element contains information on the presence of Clause 16 or Clause 17 STAs in the BSS that are not capable of Clause 19 (ERP-OFDM) data rates. It also contains the requirement of the ERP element sender (AP in an infrastructure BSS, STA in an IBSS, or mesh STA in an MBSS) as to the use of protection mechanisms to optimize BSS performance and as to the use of long or short Barker preambles.Its element ID is 42, and its length is 3 octets. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.

HT Capabilities

Click [image] in this parameter field to open a Closed window where you can configure HT capability parameters. An HT STA declares that it is an HT STA by transmitting the HT Capabilities element.The HT Capabilities element contains a number of fields that are used to advertise optional HT capabilities of an HT STA. Its element ID is 45, and its length is 28 octets. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.

HT Operation

Click [image] in this parameter field to open a Closed window where you can configure HT operation parameters. The HT Capabilities element controls the operation of HT STAs in the BSS. Its element ID is 61, and its length is 24 octets. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.

VHT Capabilities

Click [image] in this parameter field to open a Closed window where you can configure VHT capability parameters. A VHT STA declares that it is a VHT STA by transmitting the VHT Capabilities element.The VHT Capabilities element contains a number of fields that are used to advertise optional VHT capabilities of an VHT STA. Its element ID is 191, and its length is 14 octets. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.

VHT Operation

Click [image] in this parameter field to open a Closed window where you can configure VHT operation parameters. The VHT Capabilities element controls the operation of VHT STAs in the BSS. Its element ID is 192, and its length is 7 octets. Check the hint box and hover the mouse pointer over the various fields for descriptions of each.


802.11ac Features

Waveform Setup

provides information on how to view and edit general information about the WLAN 802.11ac waveform.

Signal Configuration

describes how to configure WLAN 802.11ac PHY and MAC layer parameters, payload data, and spectrum control parameters for a carrier.

User Configuration

  • Basic

  • Advanced

describes how to configure WLAN 802.11ac PHY and MAC layer parameters, payload data, and spectrum control parameters for a user.
MPDU Configuration

describes how to configure WLAN 802.11ac PHY and MAC layer parameters, payload data, and spectrum control parameters for a data unit.
Non-HT Configuration

describes how to configure WLAN 802.11ac PHY and MAC layer parameters, payload data, and spectrum control parameters for a Non-HT Duplicate Transmission.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Waveform Setup - 802.11ac

1. Capability

Capability

Use this cell to set the capability for WLAN 802.11ac to either Basic or Advanced.

  • Basic Capability supports configuration of all of the WLAN 802.11ac signal parameters except the channel coding function and so is suitable for component testing.

    Parameters under Basic capability are a subset of the Advanced capability.

  • Advanced capability supports generation of fully channel-coded waveforms and is suitable for both receiver testing and component testing.

    The following parameters are supported only by the Advanced capability

    -Channel Coding State, BBC Interleaving, MAC layer function in Payload

2. Waveform Basic

Waveform Name

Use this cell to enter a name for the waveform. The alphanumeric text entered in this cell appears in the signal generator's user interface after the configuration is downloaded to the instrument. The signal generator recognizes only waveform names that use the following characters:

A through Z

0 through 9

$ & _ # + - [ ]

If unsupported characters appear in a configuration name, the signal generator generates a "file name not found" error (Error: -256) when you download the configuration to the instrument. The maximum length for file names is 22 characters.

If the selected capability is the MIMO for single instrument, the max name length will be truncated to 20 characters because the name will be appended with “_*”, where * is a number representing the antenna index.

Comment

Enter an alpha-numeric comment of up to 32 characters. The comment resides in the file header and can include spaces and special characters.

Generation Mode

Choice: VHT NDP Format | VHT PPDU Format | Non-HT

Default: VHT PPDU Format

Use this cell to select the type of frame to be generated. VHT PPDU format is the standard WLAN802.11ac format. It's constructed with legacy preamble, VHT preamble and VHT data portion. In contrast, VHT NDP format is the same as VHT PPDU format without VHT data portion. Non-HT refers to the one defined by the standard as Non-HT Duplicate Transmission, which repeats the 802.11a signal in each 20 MHz segment.

If the Generation Mode is set to be “VHT NDP Format”, the transmission mode can only be “Single User”.

Frame Type

Choice: Data and Control | Beacon

Default: Data and Control

Coupling: When Capability is set to Basic or Generation Mode is set to VHT NDP Format, this parameter becomes read-only and is set to Data and Control.

Select the frame type. When you select Beacon, an additional node appears in the Closed tree view under User n, giving you access to additional parameters for configuring the Beacon frame type.

Idle Interval

Use this cell to set the length (in microseconds) of the idle time between frames. This is relevant only in framed mode.

No signal is transmitted during the idle interval, but the MAC layer operates as if a signal is being transmitted.

Bandwidth

Use this cell to set the occupied bandwidth for 802.11ac to 20 MHz, 40 MHz, 80 MHz, 160 MHz, or 80+80 MHz.

If “IEEE 802.11ac 80+80MHz” is selected, the bandwidth will be fixed to be 80+80MHz.

If “IEEE 802.11ac MXN MIMO (1 SG)”, the range of bandwidth will be 20 MHz, 40 MHz, 80 MHz, 160 MHz, and 80+80 MHz.

For the remaining selections, the range of bandwidth would be 20 MHz, 40 MHz, 80 MHz, and 160 MHz.

Number of Frames

Range: 1 to 2000

Default: 1

Set the number of frames.

Total Sample Points

This cell displays the number of samples (or data points) in the waveform, which depends on the Bandwidth. The number of sample points varies with the Oversampling Ratio and is related to the number of packets, the frame mode, the data rate, and the length of the user data. The maximum number of samples a waveform can have depends on the ARB memory capacity of the signal generator's baseband generator. You cannot edit cells in this column.

Number of Data Symbols in One Frame

Displays the number of OFDM symbols in the data portion of one frame.

RF Burst Duration in One Frame

Displays the time duration (in seconds) of the burst in one frame. The burst duration is equal to the preamble portion plus the data portion.

Overall Waveform Duration in One Frame

Displays the time duration (in seconds) of the overall waveform in one frame. The overall waveform duration is equal to the RF burst duration plus the idle interval.

3. Spectrum Control

Oversampling Ratio (OSR)

Range: minimum value is 1

Default: 2

Use this cell to specify the number of times that the baseband signal is oversampled.

A higher oversampling ratio would help simplify the design of transmitting filter, but would result in a longer waveform.

Downclocking Ratio

Use this cell to specify a downclocking ratio. The downclocking ratio reduces the bandwidth of the signal such that it can operate in the TVWS (TV White Space) spectrum. The TVWS spectrum provides a longer range and better indoor penetration for signal propagation at lower frequencies.

The following formula shows the relationship between downclocking ratio, oversampling ratio, bandwidth, and sample clock:

ARB Sample Clock = Bandwidth X Oversampling Ratio / Downclocking Ratio.

User Defined Downclocking Ratio

Use this cell to specify a downclocking ratio. It is valid only when the Downclocking Ratio is set to User Defined.

Mirror Spectrum

Choice: On | Off

Default: Off

Reverse the spectrum of the waveform. This is useful for systems with external up conversion where the signal spectrum is mirrored by the up conversion process.

On: The Q channel is inverted, resulting in a mirrored spectrum.

Off: The spectrum is not inverted.

Windowing Length

Range:

For short guard intervals (400 ns): 0 to 16 samples

For normal guard intervals (800 ns): 0 to 32 samples

Default: 2

Set the duration of the transition time (Ttr) in the windowing function. Ttr creates a small overlap between consecutive subsections in order to smooth the transitions between them. Smoothing the transition is required in order to reduce the spectral sidelobes of the transmitted waveform.

Entering 0 samples means no windowing will be applied. A raised cosine time domain window is applied to the baseband signal to reduce out-of-band power.

Increasing the window length is a good way to decrease the adjacent channel power with a fairly small degradation in EVM performance.

Filter

A baseband filter is applied to reduce the transmitted bandwidth, increasing spectral efficiency.

For signals generated with digital signal processing, baseband filters are often finite impulse response (FIR) filters with coefficients that represent the sampled impulse response of the desired filter. FIR filters are used to limit the bandwidth of the input to the I and Q modulators.

Five options for baseband filtering can be selected in the Filter Type menu:

  • None: No filter.

  • Gaussian: The Gaussian filter does not have zero Inter-Symbol Interference (ISI). Wireless system architects must decide just how much of the ISI can be tolerated in a system and combine that with noise and interference. The Gaussian filter is Gaussian shaped in both the time and frequency domains, and it does not ring like the root cosine filters do. The effects of this filter in the time domain are relatively short and each symbol interacts significantly (or causes ISI) with only the preceding and succeeding symbols. This reduces the tendency for particular sequences of symbols to interact, which makes amplifiers easier to build and more efficient.

  • Root Raised Cosine: Root raised cosine, also referred to as square root raised cosine, filters have the property that their impulse response rings at the symbol rate. Adjacent symbols do not interfere with each other at the symbol times because the response equals zero at all symbol times except the center (desired) one. Root cosine filters heavily filter the signal without blurring the symbols together at the symbol times. This is important for transmitting information without errors caused by ISI. Note that ISI does not exist at all times, only at the symbol (decision) times.

    You can change the values of the Root Raised Cosine Filter to optimize for better spectral characteristics (sharper roll-off on the band edges resulting in less adjacent channel power) vs. better EVM.

    However, to reduce the value of Alpha will make the roll-off sharper but cause worse EVM.

  • Ideal Lowpass: In the frequency domain, this filter appears as a low-pass, rectangular filter with very steep cut-off characteristics. The pass band is set to equal the symbol rate of the signal. Due to a finite number of coefficients, the filter has a predefined length and is not truly "ideal." The resulting ripple in the cut-off band is effectively minimized with a Hamming window. This filter is recommended for achieving optimal ACP. A symbol length of 32 or greater is recommended for this filter.

  • User Defined: Allows you to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Length (symbol)

The symbol length of the filter determines how many symbol periods will be used in the calculation of the symbol. The filter selection influences the symbol length value.

The Gaussian filter has a rapidly decaying impulse response. A symbol length of 6 is recommended. Greater lengths have negligible effects on the accuracy of the signal.

The root cosine filter has a slowly decaying impulse response. It is recommended that a long symbol length, around 32, be used. Beyond this, the ringing has negligible effects on the accuracy of the signal.

The ideal low pass filter also has a very slow decaying impulse response. It is recommended that a long symbol length, 32 or greater, be used.

For both root cosine and ideal low pass filters, the greater the symbol length, the greater the accuracy of the signal. Try changing the symbol length, and plotting the spectrum to view the effect the symbol length of the filter has on the spectrum.

BT

This cell sets the filter's bandwidth-time product (BT) coefficient. It is valid only for a Gaussian filter.

B is the 3 dB bandwidth of the filter and T is the duration of the symbol period. BT determines the extent of the filtering of the signal. Occupied bandwidth cannot be stated in terms of BT because a Gaussian filter's frequency response does not go to zero, as does a root cosine filter. Common values for BT are 0.3 to 0.5. As the BT product is decreased, the ISI increases.

Alpha

This cell sets the filter's alpha coefficient. It is valid only for root cosine filters.

The sharpness of a root cosine filter is described by the filter coefficient, which is called alpha. Alpha gives a direct measure of the occupied bandwidth of the system and is calculated as: occupied bandwidth = symbol rate X (1 + alpha). If the filter had a perfect (brick wall) characteristic with sharp transitions and an alpha of zero, the occupied bandwidth would be: symbol rate X (1 + 0) = symbol rate. An alpha of zero is impossible to implement. Alpha is sometimes called the "excess bandwidth factor" as it indicates the amount of occupied bandwidth that will be required in excess of the ideal occupied bandwidth (which would be the same as the symbol rate).

At the other extreme, take a broader filter with an alpha of one, which is easier to implement. The occupied bandwidth for alpha = 1 will be: occupied bandwidth = symbol rate X (1 + 1) = 2 X symbol rate. An alpha of one uses twice as much bandwidth as an alpha of zero. In practice, it is possible to implement an alpha below 0.2 and make good, compact, practical radios. Typical values range from 0.35 to 0.5, though some video systems use an alpha as low as 0.11.

Bandwidth

This cell sets the effctive bandwidth for the ideal low pass filter. It is valid only for low pass filters.

Filter Coefficient

This is valid only for user-defined filters.

When you select User Defined as the filter type, click the [image] button in this cell to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Related Topics

User Interface Basics

Signal Generator Settings


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Signal Configuration - 802.11ac

Add a new user. The maximum number of user is 4.

Delete a user. The minimum user number is 1.

Add the selected user, and its configuration is copied from the selected user.

Move the selected user up by one row and decrease the user ID by 1

Move the selected user down by one row and increase the user ID by 1

Short Guard Interval

Choice: On|Off

Default: Off

Determine whether the OFDM symbols adopt the short guard interval which is 400ns. The regular guard interval is 800ns.

Scrambler Initialization

Range: 0 to 127

Default: 93

Set the initial state of the scrambler in decimal format, which is then turned into 7 bits to feed into the scrambler. This can be used with either Basic or Advanced capability modes.

Space Time Block Coding

Choice: On|Off

Default: Off

Enable/disable space time block coding.

The Space Time Block Coding (STBC) encoder spreads constellation points from Nss spatial stream into Nsts space-time streams using a space-time block code. STBC is used only when Nss <= Nsts.

For each user, its Number of Space Time Streams is equal to its Number of Spatial Streams when the Space Time Block Coding is OFF. Otherwise, its Number of Space Time Streams is twice of its Number of Spatial Streams when the Space Time Block Coding is ON. The default value of Space Time Block Coding is OFF. When a user attempts to turn it ON, the software will check whether this will result in the Number of Total Space Time Streams being greater than the Number of Transmit Chains. If yes, Space Time Block Coding will remain OFF.

Number of Transmit Chains (Ntx)

Range: 1 to 8

Default: 1

Set the number of transmit chains.

The Number of Transmit Chains is only editable when the selected configuration is IEEE 802.11ac MXN MIMO (1 SG). Otherwise, the cell becomes grey and cannot be edited, and its value is equal to the number of instruments. In this situation, if Channel State is turned On, it will become available again and free to be set.

Number of Total Space Time Streams (Nsts,total)

Displays the total number of space time streams, which equals the sum of the Nsts of each user.

Number of VHT-LTFs (Nvhtltf)

Displays the number of VHT-LTFs.

Table 1 Number of VHT-LTFs required for different numbers of space time streams

NSTS,total | NVHTLTF
1 | 1
2 | 2
3 | 4
4 | 4
5 | 6
6 | 6
7 | 8
8 | 8

Partial AID

Set an abbreviated indication of the intended recipients of the PSDU, which takes 9 bits. This parameter is only visible when Transmission Mode is set to Single User and Capability is set to Advanced mode.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Transmission Mode

Choice: Single-user | Multi-user

Default: Single User

When the Capability is Basic and the Generation Mode isVHT PPDU Format, the Transmission Mode will be coupled to be Single User and cannot be changed.

Spatial Mapping Scheme

Choice: Direct Mapping | Spatial Expansion | User defined | Beamforming

Default: Direct Mapping

Set the spatial mapping scheme.

The Direct Mapping scheme is only available when the Number of Transmit Chains equals the Number of Total Space Time Streams. When the Number of Transmit Chains is not equal to the Number of Total Space Time Streams, the Spatial Mapping Scheme is coupled to Spatial Expansion.

Spatial Mapping Matrix

Set the content of the spatial mapping matrix.

If the Spatial Mapping Scheme is Direct Mapping or Spatial Expansion, the content of this matrix is pre-defined and can’t be edited. If the Spatial Mapping Scheme is User Defined or Beamforming, you can edit the matrix. When the editing is done, the content of the matrix will be saved for generating the next waveform.

Beamforming Matrix

When you click the [image] button in this cell, the Beamforming Matrix opens. The Beamforming Matrix displays a three dimensional matrix in terms of transmit chains, spatial time streams, and subcarriers.

Channel State

Use this cell to enable or disable the fading channel for the 802.11ac signal.

If Channel State is OFF, the Number of Transmit Chains becomes inaccessible and is coupled to the number of connected instruments as determined in the Hardware Setup Wizard. If Channel State is ON, the Number of Transmit Chains becomes editable with a maximum value of 8. In the Channel configuration, the Number of Transmit Antenna is coupled to be equal to the Number of Transmit Chains and the Number of Receive Antennae is coupled to be equal to the number of connected instruments.

Switching Channel State from ON to OFF results in a change of Ntx, Nss of each user, the state of STBC, and the number of users. This is because the Nsts,total limit must be less than Ntx.

Channel

Use this cell to configure fading channel parameters. When you click the [image] button in this cell, the Channel Configuration Dialog opens.

IQ Impairment Mode

Choice: Constant | Frequency Dependent

Default: Constant

Select the IQ impairment mode. Each mode has a unique pair of impairment adjustments.

  • Constant -- IQ impairment is independent of frequency.

  • Frequency Dependent -- IQ impairment is a function of frequency with vector impairment adjustments applied to subcarriers.

This feature is only available for 802.11n with Option H and 802.11ac.

Quadrature Angle Adjustment for Waveform n

Use this cell to add quadrature skew impairment (-90 to + 90 degrees) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both RF and baseband I/Q outputs. This parameter is only available when the IQ Impairment Mode is set to Constant.

The baseband Quadrature Angle (angle) and the baseband IQ Gain (gain) values are used to modify the output I and Q data according to the following equations:

Real (output) = Real (input) - Gs * Imag (input)

Imag (output) = Gc * Imag (input)

where:

Gs = Gain * sin (angle) and

Gc = Gain * cos (angle)

I/Q Gain Balance for Waveform n

Use this cell to add quadrature gain impairment (-10 dB to 10 dB) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both the RF and baseband I/Q outputs. This parameter is only available when the IQ Impairment Mode is set to Constant.

Quadrature Angle Adjustment Vector for Waveform n

Default: all zeros

This is a vector with a maximum length of 512. Click [image] in the parameter field to open a Closed window where you can specify the quadrature angle for every subcarrier in the OFDM signal. ‘n’ specifies the index of the antenna. When you click on the button at the rightmost side of the field, a window appears, allowing you enter a phase error for each subcarrier. This parameter is only available when the IQ Impairment Mode is set to Frequency Dependent.

I/Q Gain Balance Vector for Waveform n

Default: all zeros

This is a vector with a maximum length of 512. Click [image] in the parameter field to open a Closed window where you can specify the in-phase gain for every subcarrier in the OFDM signal. ‘n’ specifies the index of the antenna. When you click on the button at the rightmost side of the field, a window appears, allowing you enter a phase error for each subcarrier. This parameter is only available when the IQ Impairment Mode is set to Frequency Dependent.

User #

Range: 0 to 3

Default: 0

Displays the User index. When a new user is added or deleted, the user # will increment or decrement by 1.

Nss

Displays the Number of Spatial Streams (Nss,u).

Nsts

Displays the Number of Space Time Streams (Nsts,u).

Mcs Index

Displays the MCS Index.

Coding Type

Displays the Channel Coding Mode.


User n Basic - 802.11ac

User Index | Coding Rate
Scrambler | Data Rate
Channel Coding Mode | Aggregated MPDU
Channel Coding State | Payload
BCC Interleaver | Data Type
Number of Spatial Streams (Nss,u) | PN9 Seed
Number of Space Time Streams (Nsts,u) | PN15 Seed
MCS Index | Data Length
Modulation |

User Index

Displays the index for each user.

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambler scrambles the data to reduce the probability of long sequences of zeros and ones.

The Scrambler is fixed to be ‘ON’ when the Capability is set to be Basic.

Channel Coding Mode

Choice: BCC|LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Default: Off

Channel Coding State is set to OFF and cannot be turned ON when Capability is set to Basic. When Channel Coding State is OFF, both the BCC encoder and LDPC encoder are bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream(changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

BCC Interleaver is fixed to OFF when Capability is set to Basic. It’s only visible when the Channel Coding Mode is BCC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

Max. Nss | Single User | Multi User
STBC ON | 4 | 2
STBC OFF | 8 | 4

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be “Direct Mapping”.

MCS Index

Select the MCS Index. Please note that some MCS Index values are defined in the standard to be invalid for certain combinations of bandwidth and number of spatial streams Nxx. They are not selectable.

MCS Index 10*, supporting 1024-QAM for 802.11ac Basic capability, appears as a selection only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

Aggregated MPDU

Default: Off

Aggregated MPDU is set to OFF when Capability is set to Basic. When Aggregated MPDU is OFF, only one MPDU is used as the payload.

Payload

Configure Payload in the following cells.

Data Type

Choices: All 0s | PN9 | PN15 | User File

Default: PN9

Select the payload bits stream. This is the actual user data carried by a frame.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN9 Seed only appears when Data Type is PN9.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed only appears when Data Type is PN15.

Data Length

Set the number of data bytes in the payload. The value is limited by the MPDU Length.

User File

Coupling: User File only appears when Data Type is User File.

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

User File Length

Displays the User File Length in bytes.

User File Length only appears when Data Type is User File.


User n Advanced - 802.11ac

User Index | Data Rate
Scrambler | Aggregated MPDU
Channel Coding Mode | Minimum_MPDU_Start_Spacing
Channel Coding State | Minimum_MPDU_Start_Spacing_in_octets
BCC Interleaver | AMPDU Length
Number of Spatial Streams (Nss,u) | MAC Header
Number of Space Time Streams (Nsts,u) | Data Type
MCS Index | Data Length
Modulation | MPDU_Length
Coding Rate | A-MPDU_Subframe_Length

Add a new MPDU. The maximum number of user is 63.

Delete the selected MPDU. The minimum number of MPDU is 1.

Add a new MPDU, and its configuration is copied from the selected MPDU.

Move the selected MPDU up by one line and decrease its MPDU Id by 1.

Move the selected MPDU down by one line and increase its MPDU Id by 1.

User Index

Displays the index for each user.

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambler scrambles the data to reduce the probability of long sequences of zeros and ones.

The Scrambler is fixed to be ‘ON’ when the Capability is set to be Basic.

Channel Coding Mode

Choice: BCC| LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Choice: On|Off

Default: On

Enable or disable the channel encoding function. When it's Off, BCC encoder or LDPC encoder will be bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream(changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

BCC Interleaver is fixed to be ‘OFF’ when the Capability is set to be Basic. It’s only visible when the Channel Coding Mode is BCC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

Max. Nss | Single User | Multi User
STBC ON | 4 | 2
STBC OFF | 8 | 4

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be Direct Mapping.

MCS Index

Select the MCS Index. Please note that some MCS Index values are defined in the standard to be invalid for certain combinations of bandwidth and number of spatial streams Nxx. They are not selectable.

MCS index values 10 and 11 for 1024QAM are available in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

Aggregated MPDU

Choices: On|Off

Default: On

Enable or disable the MPDU aggregation. When it’s off, a single MPDU will be used as the payload.

Minimum MPDU Start Spacing

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

AMPDU Length

Displays the number of octets in the AMPDU pre-EOF padding carried in the PSDU of the current user. It's the LENGTH defined in the standard and is equal to the sum of A-MPDU Subframe Length in all the MPDUs.

MAC Header

Configure the MAC header.

Data Type

Choices: All 0s | PN9 | PN15 | User File

Default: PN9

Select the payload bits stream. This is the actual user data carried by a frame.

Data Length

Set the number of data bytes in the payload. The value is limited by the MPDU Length.

MPDU Length

Displays the number of octets in the current MPDU, which is comprised of MSDU, MAC Header, and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

A-MPDU Subframe Length

Default: 0

Coupling: Only available when Aggregated MPDU is turned on.

Displays the number of octets each A-MPDU subframe contains. A-MPDU is made up of a number of A-MPDU subframes.


MPDU - 802.11ac

This section enables you to configure the MAC header, set the length and type of payload data, and choose to have an FCS added to the packet.

MPDU Index | User File
A-MPDU_Subframe_Length | User File Length
MPDU Length | MAC Header
Data Type | MAC FCS
PN9 Seed | Increment Sequence Number
PN15 Seed | Sequence Number Increment by: (Frames)
Data Length | Increment Fragment Number

MPDU Index

Displays the index for each MPDU. This cell cannot be edited.

A-MPDU Subframe Length

Coupling: Only available when Aggregated MPDU is set to ON.

Displays the number of octets in the current A-MPDU subframe, which is composed of MPDU and Padded MPDU Delimiters.

If the current MPDU is not the last one, its length can not be shorther than Minimum MPDU Start Spacing, otherwise MDPU delimiters will be padded after the current MPDU. If the current MPDU is the last one, its A-MPDU Subframe Length is equal to its MPDU Length plus the length of one MPDU Delimiter (4 octets).

MPDU Length

Displays the number of octets in current MPDU, which is comprised of MSDU, MAC Header and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Use this cell to set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

MAC Header (Adjustable for Advanced Capability Only)

Click the [image] button in this cell to open the MACHeaderDialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, or CTS MAC frame format by clicking the down arrow in the top right corner of the MacHeaderDialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS (Adjustable for Advanced Capability Only)

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Increment Sequence Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Number Increment by: (Frames) (Applicable for Advanced Capability Only)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

This cell is only applicable for the Advanced Capability.

Increment Fragment Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Related Topics

User Interface Basics

Signal Generator Settings


Beamforming Matrix

To allow the user to view and edit the beamforming matrix, it is displayed in a window. The beamforming matrix is a three-dimensional matrix of the transmit antenna, space time stream, and subcarrier. The window displays a 2-D table with the transmit antennas in rows and space time streams in columns. The third dimension of subcarrier index can be selected using the parameter above the table.The figure below is an example of an 8×8×64 beamforming matrix.

Subcarrier Index

Select a subcarrier index by typing a number in the field or use the arrows to scroll through the available range. The available range depends on the Bandwidth. To view the currently available range, hover the cursor over the input field.

Q (Beamforming Matrix)

The Q matrix (Beamforming Matrix) displays a two dimensional matrix in terms of transmit chains and spatial time streams. For the currently selected Subcarrier Index, the rows of matrix are transmitting chains and the columns are spatial time streams.

The elements in the matrix are complex values. If R denotes the real part of a complex value and I denotes the image part of it, a valid complex value could take following formats:

  • R+Ii, e.g. 2+3i

  • R+Ij, e.g. 3+4j

  • [R I], e.g. [2 3]

  • (R I), e.g. (2 3)

The default value of the Beamforming Matrix is a degenerated two dimensional matrix, which means all the subcarriers are using the same two dimensional matrix. The values in the 2-D matrix are the same as the matrix used when the Spatial Mapping Scheme is Spatial Expansion. Consequently, a beamforming matrix with different dimensional size has different default values. Upon the change of dimensional size, like altering Ntx, Nsts or Nsc, the BF matrix will be reset to its default matrix with based on the current sizes.

Load

Select Load to display the Open file dialog. Use the Open file dialog to navigate to the desired matrix file and open it. Matrix files can have either .bfm or .csv file extensions.

The BF matrix file is a file with a specific format. When trying to load a file, its format will first be validated. If the format is correct, the matrix stored in it can be successfully read into the N7617B software.

The following shows an example of a BF matrix file.

Matrix file content | Description
Ntx,4 Nsts,3 Nsc,64 | File header to indicate the size of the three dimensions. The number of complex values in file must be equal to Ntx×Nsts×Nsc. Columns are delimited by commas and rows are separated by carriage returns.
0.35,0.35,0.35 0.35,0.25+0.25i,0.35i 0.35,0.35i,-0.35 0.35,-0.25+0.25i,-0.35i | Ntx-by-Nsts matrix for the first subcarrier. The first subcarrier is the subcarrier with the lowest subcarrier index. In this example, Nsc is 64, so the first subcarrier is the one with subcarrier index -32. Each value in the matrix can be a real or complex number.
0.35,-0.35,0.353 0.35,-0.25-0.25i,0.35 0.35,-0.35i,-0.35 0.35,0.35,0.35 | Ntx-by-Nsts matrix for the subcarrier -31.
0.35,0.25+0.25i,0.35i 0.35,0.35i,-0.35 0.35,-0.25+0.25i,-0.35i 0.35,-0.35,0.35 | Ntx-by-Nsts matrix for the subcarrier -30.
… | The matrixes for the remaining 61 subcarriers.

If the matrix file fails to load, an error message is displayed and the previous matrix remains. The following conditions will prevent a matrix file from being loaded:

  • Incorrect file header -- the keywords in the header are not “Ntx”, “Nsts” or “Nsc” or they are not followed by integer numbers

  • Invalid file format -- the number of matrix elements in the file does not match Ntx X Nsts X Nsc, based on the values in the header

  • Invalid element values -- such as characters instead of complex values

If the matrix size stated in the file doesn’t agree with the matrix size required by N7617B, a warning dialog message appears. If you select OK, the matrix file is modified to be the correct size by truncating extra elements or setting missing elements to "0".

Save

Select Save to display the Save As file dialog box. Use the dialog box settings to navigate to the location where you want to save the file and to name the file. You can save the matrix file with a .bfm file extension or a .csv file extension. Regardless of which file extension you choose, the matrix files are saved in the same format.


Non-HT Configuration

Number of Transmit Chains (Ntx) | User File
Data Rate | User File Length
Modulation | Data Length
Coding Rate | MAC Header
Scrambler | MAC FCS
Scrambler Initialization | Increment Sequence Number
Channel Coding State | Sequence Number Increment by: (Frames)
BCC_Interleaver | Increment Fragment Number
MPDU Index | Channel State
MPDU Length | Channel
Data Type | Quadrature Angle Adjustment for Waveform
PN9 Seed | I/Q Gain Balance for Waveform
PN15 Seed |

1. General

Number of Transmit Chains (Ntx)

Range: 1 to 8

Default: Equal to the number of connected instruments. For example, it’s 3 when the System Configuration is ‘IEEE 802.11ac Mx3’.

Set the number of transmit chains when Channel State is ON or when System Configuration is IEEE MxN (1 SG). When Channel State is Off and System Configuration is not IEEE MxN (1 SG), the number of transmit chains is automatically set equal to the number of connected instruments and can't be edited.

2. Coding and Modulation

Data Rate

Choices: 6 Mbps | 9 Mbps | 12 Mbps | 18 Mbps | 24 Mbps | 36 Mbps | 48 Mbps | 54 Mbps

Default: 36 Mbps

Coupling: Affects the Number of Data Symbols in One Frame and Total Sample Points.

Select the data rate for the legacy WLAN.

Modulation

Indicates the modulation type.

Coding Rate

Indicates the coding rate of the BBC encoder.

Scrambler

Choices: On | Off

Default: On

Coupling: Scrambler is fixed to ON when Capability is set to Basic.

Enable or disable the scrambler. The scrambler scrambles the data to reduce the probability of long sequences of zeros and ones.

Scrambler Initialization

Range: 0 - 127

Default: 93

Set the initial state of the scrambler in decimal format. The decimal number is converted to 7 bits for input into the scrambler.

Channel Coding State

Choices: On | Off

Default:On

Coupling: Channel Coding State is fixed to OFF when Capability is set to Basic.

Enable or disable the BCC encoder.

BCC Interleaver

Choices: On | Off

Default: On

Coupling: BCC Interleaver is fixed to OFF when Capability is set to Basic.

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream (changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

3. Payload Configuration

MPDU Index (Applicable for Advanced Capability Only)

The index for each MPDU. This cell cannot be edited.

MPDU Length (Applicable for Advanced Capability Only)

Displays the number of octets in the current MPDU, which is comprised of MSDU, MAC Header, and MAC FCS.

Data Type

Choices: All 0s | PN9 | PN15 | User file

Default: PN9

Select the payload data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Coupling: Only visible when Data Type is PN9.

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Coupling: Only visible when Data Type is PN15.

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

MAC Header (Adjustable for Advanced Capability Only)

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, or CTS MAC frame format by clicking the down arrow in the top right corner of the MacHeaderDialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS (Adjustable for Advanced Capability Only)

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

Increment Sequence Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Number Increment by: (Frames) (Applicable for Advanced Capability Only)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Increment Fragment Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

4. Impairments in Waveform

Channel State

Choices: On | Off

Default: Off

Enable or disable the fading channel model.

Channel

Choices: Model A | Model B | Model C | Model D | Model E | Model F | User Defined

Default: Model B

Use this cell to configure fading channel parameters. When you click the [image] button in this cell, the Channel Configuration Dialog opens.

Quadrature Angle Adjustment for Waveform

Range: -90 degree to +90 degree

Default: 0 degree

Set the quadrature skew impairment (-90 to + 90 degrees) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both RF and baseband I/Q outputs.

The baseband Quadrature Angle (angle) and the baseband IQ Gain (gain) values are used to modify the output I and Q data according to the following equations:

Real (output) = Real (input) - Gs * Imag (input)

Imag (output) = Gc * Imag (input)

where:

Gs = Gain * sin (angle) and

Gc = Gain * cos (angle)

I/Q Gain Balance for Waveform

Range: -10 dB to +10 dB

Default: 0 dB

Set the quadrature gain impairment (-10 dB to 10 dB) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both the RF and baseband I/Q outputs.

Related Topics

User Interface Basics

Signal Generator Settings


802.11ah Features

Waveform Setup

provides information on how to view and edit general information about the WLAN 802.11ac waveform.

Signal Configuration

describes how to configure WLAN 802.11ah PHY and MAC layer parameters, payload data, and spectrum control parameters for a carrier.

User Configuration

  • Basic

  • Advanced

describes how to configure WLAN 802.11ah PHY and MAC layer parameters, payload data, and spectrum control parameters for a user.
MPDU Configuration

describes how to configure WLAN 802.11ah PHY and MAC layer parameters, payload data, and spectrum control parameters for a data unit.


Waveform Setup - 802.11ah

1. Capability

Capability

Choice: Basic | Advanced

Use this cell to set the capability for WLAN 802.11ah to either Basic or Advanced.

  • Basic Capability supports configuration of all of the WLAN 802.11ah signal parameters except MU, MPDU, LDPC.

    Parameters under Basic capability are a subset of the Advanced capability.

    When Capability set to Basic, only Single User is available. For this single user, all of the channel coding or MPDU parameters are not visible.

  • Advanced capability supports generation of fully channel-coded waveforms and is suitable for both receiver testing and component testing.

    The parameters, MU, MPDU and LDPC, are available only when the capability is set to Advanced.

2. Waveform Basic

Waveform Name

Use this cell to enter a name for the waveform. The alphanumeric text entered in this cell appears in the signal generator's user interface after the configuration is downloaded to the instrument. The signal generator recognizes only waveform names that use the following characters:

A through Z

0 through 9

$ & _ # + - [ ]

If unsupported characters appear in a configuration name, the signal generator generates a "file name not found" error (Error: -256) when you download the configuration to the instrument. The maximum length for file names is 22 characters.

If the selected capability is the MIMO for single instrument, the max name length will be truncated to 20 characters because the name will be appended with “_*”, where * is a number representing the antenna index.

Comment

Enter an alpha-numeric comment of up to 32 characters. The comment resides in the file header and can include spaces and special characters.

Generation Mode

Choice:PPDU Format| NDP for sounding | NDP for NDP MAC

Default: VHT PPDU Format

Use this cell to select the type of frame to be generated.

PPDU format is the standard WLAN802.11ah format. It's constructed with legacy preamble, VHT preamble and VHT data portion???.

NDP for sounding format is S1G without data portion.The preamble type is set to S1G Short.

NDP for NDP MAC format is S1G without data portion. The preamble type is set to S1G Short.

If the Generation Mode is set to be “NDP for sounding” or "NDP for NDP MAC", the transmission mode can only be “Single User”.
If the Generation Mode is set to be "NDP for sounding", 1 MHz bandwidth is not supported.

Format

Choice: S1G | S1G_DUP_1M | S1G_DUP_2M

Default: Data and Control

Coupling: When Generation Mode is set to NDP for sounding or NDP for NDP MAC, this parameter becomes read-only and is set to S1G.

Select the format type. When you turn on the parameter Aggregated MPDU, an additional node appears in the Closed tree view under User n, giving you access to additional parameters for configuring the PPDU frame type.

If the Frame Type is set to be “S1G_DUP_1M” or "S1G_DUP_2M", the transmission mode can only be “Single User”.
If the Frame Type is set to be "S1G_DUP_1M", the bandwidth starts from 2 MHz and the preamble type is set to S1G 1M.
If the Frame Type is set to be "S1G_DUP_2M", the bandwidth starts from 4 MHz.

Idle Interval

Use this cell to set the length (in microseconds) of the idle time after active PPDU frames. This is relevant only in framed mode.

No signal is transmitted during the idle interval, but the MAC layer operates as if a signal is being transmitted.

Bandwidth

Choice: 1 MHz | 2 MHz | 4 MHz | 8 MHz | 16 MHz

Default: 2 MHz

Select the bandwidth for IEEE 802.11ah. Please note that the instrument must have at least the equvalent bandwidth to allow the waveform to be successfully transmitted.

Number of Frames

Range: 1 to 2000

Default: 1

Set the number of frames.

Total Sample Points (Read Only)

This cell displays the number of samples (or data points) in the waveform, which depends on the Bandwidth. The number of sample points varies with the Oversampling Ratio and is related to the number of packets, the frame mode, the data rate, and the length of the user data. The maximum number of samples a waveform can have depends on the ARB memory capacity of the signal generator's baseband generator. You cannot edit cells in this column.

Number of Data Symbols in One Frame (Read Only)

Displays the number of OFDM symbols in the data portion of one frame.

RF Burst Duration in One Frame (Read Only)

Displays the time duration (in seconds) of the burst in one frame. The burst duration is equal to the preamble portion plus the data portion.

Overall Waveform Duration in One Frame (Read Only)

Displays the time duration (in seconds) of the overall waveform in one frame. The overall waveform duration is equal to the RF burst duration plus the idle interval.

3. Spectrum Control

Oversampling Ratio (OSR)

Range: minimum value is 1

Default: 4

Use this cell to specify the number of times that the baseband signal is oversampled.

A higher oversampling ratio would help simplify the design of transmitting filter, but would result in a longer waveform.

For 1 MHz bandwidth, the maximum value is 1280.

For 2 MHz bandwidth, the maximum value is 640.

For 4 MHz bandwidth, the maximum value is 320.

For 8 MHz bandwidth, the maximum value is 160.

For 16 MHz bandwidth, the maximum value is 80.

Mirror Spectrum

Choice: On | Off

Default: Off

Reverse the spectrum of the waveform. This is useful for systems with external up conversion where the signal spectrum is mirrored by the up conversion process.

On: The Q channel is inverted, resulting in a mirrored spectrum.

Off: The spectrum is not inverted.

Windowing Length

Range:

For short guard intervals (400 ns): 0 to 16 samples

For normal guard intervals (800 ns): 0 to 32 samples

Default: 2

Set the duration of the transition time (Ttr) in the windowing function. Ttr creates a small overlap between consecutive subsections in order to smooth the transitions between them. Smoothing the transition is required in order to reduce the spectral sidelobes of the transmitted waveform.

Entering 0 samples means no windowing will be applied. A raised cosine time domain window is applied to the baseband signal to reduce out-of-band power.

Increasing the window length is a good way to decrease the adjacent channel power with a fairly small degradation in EVM performance.

Filter

A baseband filter is applied to reduce the transmitted bandwidth, increasing spectral efficiency.

For signals generated with digital signal processing, baseband filters are often finite impulse response (FIR) filters with coefficients that represent the sampled impulse response of the desired filter. FIR filters are used to limit the bandwidth of the input to the I and Q modulators.

Five options for baseband filtering can be selected in the Filter Type menu:

  • None: No filter.

  • Gaussian: The Gaussian filter does not have zero Inter-Symbol Interference (ISI). Wireless system architects must decide just how much of the ISI can be tolerated in a system and combine that with noise and interference. The Gaussian filter is Gaussian shaped in both the time and frequency domains, and it does not ring like the root cosine filters do. The effects of this filter in the time domain are relatively short and each symbol interacts significantly (or causes ISI) with only the preceding and succeeding symbols. This reduces the tendency for particular sequences of symbols to interact, which makes amplifiers easier to build and more efficient.

  • Root Raised Cosine: Root raised cosine, also referred to as square root raised cosine, filters have the property that their impulse response rings at the symbol rate. Adjacent symbols do not interfere with each other at the symbol times because the response equals zero at all symbol times except the center (desired) one. Root cosine filters heavily filter the signal without blurring the symbols together at the symbol times. This is important for transmitting information without errors caused by ISI. Note that ISI does not exist at all times, only at the symbol (decision) times.

    You can change the values of the Root Raised Cosine Filter to optimize for better spectral characteristics (sharper roll-off on the band edges resulting in less adjacent channel power) vs. better EVM.

    However, to reduce the value of Alpha will make the roll-off sharper but cause worse EVM.

  • Ideal Lowpass: In the frequency domain, this filter appears as a low-pass, rectangular filter with very steep cut-off characteristics. The pass band is set to equal the symbol rate of the signal. Due to a finite number of coefficients, the filter has a predefined length and is not truly "ideal." The resulting ripple in the cut-off band is effectively minimized with a Hamming window. This filter is recommended for achieving optimal ACP. A symbol length of 32 or greater is recommended for this filter.

  • User Defined: Allows you to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Length (symbol)

The symbol length of the filter determines how many symbol periods will be used in the calculation of the symbol. The filter selection influences the symbol length value.

The Gaussian filter has a rapidly decaying impulse response. A symbol length of 6 is recommended. Greater lengths have negligible effects on the accuracy of the signal.

The root cosine filter has a slowly decaying impulse response. It is recommended that a long symbol length, around 32, be used. Beyond this, the ringing has negligible effects on the accuracy of the signal.

The ideal low pass filter also has a very slow decaying impulse response. It is recommended that a long symbol length, 32 or greater, be used.

For both root cosine and ideal low pass filters, the greater the symbol length, the greater the accuracy of the signal. Try changing the symbol length, and plotting the spectrum to view the effect the symbol length of the filter has on the spectrum.

BT

This cell sets the filter's bandwidth-time product (BT) coefficient. It is valid only for a Gaussian filter.

B is the 3 dB bandwidth of the filter and T is the duration of the symbol period. BT determines the extent of the filtering of the signal. Occupied bandwidth cannot be stated in terms of BT because a Gaussian filter's frequency response does not go to zero, as does a root cosine filter. Common values for BT are 0.3 to 0.5. As the BT product is decreased, the ISI increases.

Alpha

This cell sets the filter's alpha coefficient. It is valid only for root cosine filters.

The sharpness of a root cosine filter is described by the filter coefficient, which is called alpha. Alpha gives a direct measure of the occupied bandwidth of the system and is calculated as: occupied bandwidth = symbol rate X (1 + alpha). If the filter had a perfect (brick wall) characteristic with sharp transitions and an alpha of zero, the occupied bandwidth would be: symbol rate X (1 + 0) = symbol rate. An alpha of zero is impossible to implement. Alpha is sometimes called the "excess bandwidth factor" as it indicates the amount of occupied bandwidth that will be required in excess of the ideal occupied bandwidth (which would be the same as the symbol rate).

At the other extreme, take a broader filter with an alpha of one, which is easier to implement. The occupied bandwidth for alpha = 1 will be: occupied bandwidth = symbol rate X (1 + 1) = 2 X symbol rate. An alpha of one uses twice as much bandwidth as an alpha of zero. In practice, it is possible to implement an alpha below 0.2 and make good, compact, practical radios. Typical values range from 0.35 to 0.5, though some video systems use an alpha as low as 0.11.

Bandwidth

This cell sets the effctive bandwidth for the ideal low pass filter. It is valid only for low pass filters.

Filter Coefficient

This is valid only for user-defined filters.

When you select User Defined as the filter type, click the [image] button in this cell to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Related Topics

User Interface Basics

Signal Generator Settings


Signal Configuration - 802.11ah

Single User Mode

Multi User Mode

IQ Impairment Mode - Frequency Dependent

Add a new user. The maximum number of user is 4.

Delete a user. The minimum user number is 1.

Add the selected user, and its configuration is copied from the selected user.

Move the selected user up by one row and decrease the user ID by 1

Move the selected user down by one row and increase the user ID by 1

Preamble Type

Choice: S1G Short | S1G Long | S1G 1M

Default: S1G Short

Set the type of Preamble.

When the Format is set to S1G and Bandwidth is 1MHz, the preamble type can only be S1G 1M.

When the Format is set to S1G_DUP_1M, the preamble type can only be S1G 1M.

When the Generation Mode is NDP for sounding or NDP for NDP MAC, the preamble type S1G Long is not available.

Short Guard Interval

Choice: On|Off

Default: Off

Determine whether the OFDM symbols adopt the short guard interval which is 400ns. The regular guard interval is 800ns.

Scrambler Initialization

Range: 0 to 127

Default: 93

Set the initial state of the scrambler in decimal format, which is then turned into 7 bits to feed into the scrambler. This can be used with either Basic or Advanced capability modes.

Space Time Block Coding (STBC)

Choice: On|Off

Default: Off

Enable/disable space time block coding.

The Space Time Block Coding (STBC) encoder spreads constellation points from Nss spatial stream into Nsts space-time streams using a space-time block code. STBC is used only when Nss <= Nsts.

For each user, its Number of Space Time Streams is equal to its Number of Spatial Streams when the Space Time Block Coding is OFF. Otherwise, its Number of Space Time Streams is twice of its Number of Spatial Streams when the Space Time Block Coding is ON. The default value of Space Time Block Coding is OFF. When a user attempts to turn it ON, the software will check whether this will result in the Number of Total Space Time Streams being greater than the Number of Transmit Chains. If yes, Space Time Block Coding will remain OFF.

Number of Transmit Chains (Ntx)

Range: 1 to 8

Default: 1

Set the number of transmit chains.

The Number of Transmit Chains is only editable when the selected configuration is IEEE 802.11ac MXN MIMO (1 SG). Otherwise, the cell becomes grey and cannot be edited, and its value is equal to the number of instruments. In this situation, if Channel State is turned On, it will become available again and free to be set.

Number of Total Space Time Streams (Nsts,total)

Displays the total number of space time streams, which equals the sum of the Nsts of each user.

Number of VHT-LTFs (Nvhtltf)

Displays the number of VHT-LTFs.

Table 1 Number of VHT-LTFs required for different numbers of space time streams

NSTS,total | NVHTLTF
1 | 1
2 | 2
3 | 4
4 | 4

Pilot Pattern

Choice: Fixed | Traveling

Default: Fixed

Select the type of pilot.

Traveling Pilot is not available in following cases:

1. The Generation Mode is NDP for sounding or NDP for NDP MAC.

2. For S1G MU PPDUs, or S1G SU PPDUs with more than two space-time streams, or S1G SU PPDUs with two space-time streams without STBC.

Transmission Mode

Choice: Single-user | Multi-user

Default: Single User

When the Capability is Basic and the Generation Mode isPPDU Format, the Transmission Mode will be coupled to be Single User and cannot be changed.

When the Preamble Type is set to S1G Long, this cell is editable. You can select Single User or Multi User.

Spatial Mapping Scheme

Choice: Direct Mapping | Spatial Expansion | User defined | Beamforming

Default: Direct Mapping

Set the spatial mapping scheme.

The Direct Mapping scheme is only available when the Number of Transmit Chains equals the Number of Total Space Time Streams. When the Number of Transmit Chains is not equal to the Number of Total Space Time Streams, the Spatial Mapping Scheme is coupled to Spatial Expansion.

Spatial Mapping Matrix

Set the content of the spatial mapping matrix.

If the Spatial Mapping Scheme is Direct Mapping or Spatial Expansion, the content of this matrix is pre-defined and can’t be edited. If the Spatial Mapping Scheme is User Defined or Beamforming, you can edit the matrix. When the editing is done, the content of the matrix will be saved for generating the next waveform.

IQ Impairment Mode

Choice: Constant | Frequency Dependent

Default: Constant

Select the IQ impairment mode. Each mode has a unique pair of impairment adjustments.

  • Constant -- IQ impairment is independent of frequency.

  • Frequency Dependent -- IQ impairment is a function of frequency with vector impairment adjustments applied to subcarriers.

This feature is only available for 802.11n with Option H and 802.11ac.

Quadrature Angle Adjustment for Waveform n

Use this cell to add quadrature skew impairment (-90 to + 90 degrees) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both RF and baseband I/Q outputs. This parameter is only available when the IQ Impairment Mode is set to Constant.

The baseband Quadrature Angle (angle) and the baseband IQ Gain (gain) values are used to modify the output I and Q data according to the following equations:

Real (output) = Real (input) - Gs * Imag (input)

Imag (output) = Gc * Imag (input)

where:

Gs = Gain * sin (angle) and

Gc = Gain * cos (angle)

I/Q Gain Balance for Waveform n

Use this cell to add quadrature gain impairment (-10 dB to 10 dB) to the generated waveform for the specific signal generator. This affects the waveform data so it applies to both the RF and baseband I/Q outputs. This parameter is only available when the IQ Impairment Mode is set to Constant.

Quadrature Angle Adjustment Vector for Waveform n

Default: all zeros

This is a vector with a maximum length of 512. Click [image] in the parameter field to open a Closed window where you can specify the quadrature angle for every subcarrier in the OFDM signal. ‘n’ specifies the index of the antenna. When you click on the button at the rightmost side of the field, a window appears, allowing you enter a phase error for each subcarrier. This parameter is only available when the IQ Impairment Mode is set to Frequency Dependent.

I/Q Gain Balance Vector for Waveform n

Default: all zeros

This is a vector with a maximum length of 512. Click [image] in the parameter field to open a Closed window where you can specify the in-phase gain for every subcarrier in the OFDM signal. ‘n’ specifies the index of the antenna. When you click on the button at the rightmost side of the field, a window appears, allowing you enter a phase error for each subcarrier. This parameter is only available when the IQ Impairment Mode is set to Frequency Dependent.

User #

Range: 0 to 3

Default: 0

Displays the User index. When a new user is added or deleted, the user # will increment or decrement by 1.

Nss

Displays the Number of Spatial Streams (Nss,u).

Nsts

Displays the Number of Space Time Streams (Nsts,u).

Mcs Index

Displays the MCS Index.

Coding Type

Displays the Channel Coding Mode.


User n Basic - 802.11ah

Capability = Basic Mode

Capability = Advanced Mode

Add a new MPDU. The maximum number of user is 63.

Delete the selected MPDU. The minimum number of MPDU is 1.

Add a new MPDU, and its configuration is copied from the selected MPDU.

Move the selected MPDU up by one line and decrease its MPDU Id by 1.

Move the selected MPDU down by one line and increase its MPDU Id by 1.

User Index

Displays the index for each user.

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambler scrambles the data to reduce the probability of long sequences of zeros and ones.

The Scrambler is fixed to be ‘ON’ when the Capability is set to be Basic.

Channel Coding Mode

Choice: BCC| LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Choice: On|Off

Default: On

Enable or disable the channel encoding function. When it's Off, BCC encoder or LDPC encoder will be bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream(changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

BCC Interleaver is fixed to be ‘OFF’ when the Capability is set to be Basic. It’s only visible when the Channel Coding Mode is BCC.

LDPC Tone Mapper

Choice: On|Off

Default: On

Enable or disable the LDPC Tone Mapper function. When it's Off, LDPC encoder will be bypassed.???

LDPC Tone Mapper is fixed to be ‘OFF’ when the Capability is set to be Basic. It’s only visible when the Channel Coding Mode is LDPC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

Max. Nss | Single User | Multi User
STBC ON | 4 | 2
STBC OFF | 8 | 4

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be Direct Mapping.

MCS Index

Select the MCS Index. Please note that some MCS Index values are defined in the standard to to be invalid for certain combinations of bandwidth and number of spatial streams Nxx. They are not selectable.

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

Aggregated MPDU

Choices: On|Off

Default: On

Enable or disable the MPDU aggregation. When it’s off, a single MPDU will be used as the payload.

Minimum MPDU Start Spacing

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

AMPDU Length

Displays the number of octets in the AMPDU pre-EOF padding carried in the PSDU of the current user. It's the LENGTH defined in the standard and is equal to the sum of A-MPDU Subframe Length in all the MPDUs.

MPDU#

Range: 0 to 63

Default: 0

Displays the MPDU index. When a new MPDU is added or deleted, the MPDU# will increment or decrement by 1.

MAC Header

Configure the MAC header.

Data Type

Choices: All 0s | PN9 | PN15 | User File

Default: PN9

Select the payload bits stream. This is the actual user data carried by a frame.

PN9 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed only appears when Data Type is PN15.

Data Length

Set the number of data bytes in the payload. The value is limited by the MPDU Length.

MPDU Length

Displays the number of octets in the current MPDU, which is comprised of MSDU, MAC Header, and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

A-MPDU Subframe Length

Default: 0

Coupling: Only available when Aggregated MPDU is turned on.

Displays the number of octets each A-MPDU subframe contains. A-MPDU is made up of a number of A-MPDU subframes.


User n Advanced - 802.11ah

Capability = Basic Mode

Capability = Advanced Mode

Add a new MPDU. The maximum number of user is 63.

Delete the selected MPDU. The minimum number of MPDU is 1.

Add a new MPDU, and its configuration is copied from the selected MPDU.

Move the selected MPDU up by one line and decrease its MPDU Id by 1.

Move the selected MPDU down by one line and increase its MPDU Id by 1.

User Index

Displays the index for each user.

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambler scrambles the data to reduce the probability of long sequences of zeros and ones.

The Scrambler is fixed to be ‘ON’ when the Capability is set to be Basic.

Channel Coding Mode

Choice: BCC| LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Choice: On|Off

Default: On

Enable or disable the channel encoding function. When it's Off, BCC encoder or LDPC encoder will be bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream(changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

BCC Interleaver is fixed to be ‘OFF’ when the Capability is set to be Basic. It’s only visible when the Channel Coding Mode is BCC.

LDPC Tone Mapper

Choice: On|Off

Default: On

Enable or disable the LDPC Tone Mapper function. When it's Off, LDPC encoder will be bypassed.

LDPC Tone Mapper is fixed to be ‘OFF’ when the Capability is set to be Basic. It’s only visible when the Channel Coding Mode is LDPC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

 | Max. Nss
STBC ON | 2
STBC OFF | 4

Set the number of Spatial Streams used by current user.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be Direct Mapping.

MCS Index

Select the MCS Index. Please note that some MCS Index values are defined in the standard to to be invalid for certain combinations of bandwidth and number of spatial streams Nxx. They are not selectable.

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

Aggregated MPDU

Choices: On|Off

Default: On

Enable or disable the MPDU aggregation. When it’s off, a single MPDU will be used as the payload.

Minimum MPDU Start Spacing

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

AMPDU Length

Displays the number of octets in the AMPDU pre-EOF padding carried in the PSDU of the current user. It's the LENGTH defined in the standard and is equal to the sum of A-MPDU Subframe Length in all the MPDUs.

MPDU#

Range: 0 to 63

Default: 0

Displays the MPDU index. When a new MPDU is added or deleted, the MPDU# will increment or decrement by 1.

MAC Header

Configure the MAC header.

Data Type

Choices: All 0s | PN9 | PN15 | User File

Default: PN9

Select the payload bits stream. This is the actual user data carried by a frame.

PN9 Seed

Specify a seed in decimal format which is used to generate PN9 data sequence. The LSB of seed will be coming out first. For example, if the seed is 10, the first 9 data of PN9 sequence are 0 1 0 1 0 0 0 0 0 with an increasing index from left to right.

Data Length

Set the number of data bytes in the payload. The value is limited by the MPDU Length.

MPDU Length

Displays the number of octets in the current MPDU, which is comprised of MSDU, MAC Header, and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

A-MPDU Subframe Length

Default: 0

Coupling: Only available when Aggregated MPDU is turned on.

Displays the number of octets each A-MPDU subframe contains. A-MPDU is made up of a number of A-MPDU subframes.


MPDU - 802.11ah

This section enables you to configure the MAC header, set the length and type of payload data, and choose to have an FCS added to the packet.

MPDU Index

Displays the index for each MPDU. This cell cannot be edited.

A-MPDU Subframe Length

Coupling: Only available when Aggregated MPDU is set to ON.

Displays the number of octets in the current A-MPDU subframe, which is composed of MPDU and Padded MPDU Delimiters.

If the current MPDU is not the last one, its length can not be shorther than Minimum MPDU Start Spacing, otherwise MDPU delimiters will be padded after the current MPDU. If the current MPDU is the last one, its A-MPDU Subframe Length is equal to its MPDU Length plus the length of one MPDU Delimiter (4 octets).

MPDU Length

Displays the number of octets in current MPDU, which is comprised of MSDU, MAC Header and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Use this cell to set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

MAC Header (Adjustable for Advanced Capability Only)

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, CTS, or Short Frame format by clicking the down arrow in the top right corner of the Mac Header Dialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS (Adjustable for Advanced Capability Only)

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Increment Sequence Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Number Increment by: (Frames) (Applicable for Advanced Capability Only)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

This cell is only applicable for the Advanced Capability.

Increment Fragment Number (Applicable for Advanced Capability Only)

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Related Topics

User Interface Basics

Signal Generator Settings


802.11ax Features

Waveform Setup

provides information on how to view and edit general information about the WLAN 802.11ax waveform.

Signal Configuration

describes how to configure WLAN 802.11ax PHY and MAC layer parameters, payload data, and spectrum control parameters for a carrier when using the following generation modes:

  • HE SU PPDU

  • HE Extended Range SU PPDU

  • HE NDP

Signal Configuration

describes how to configure WLAN 802.11ax PHY and MAC layer parameters, payload data, and spectrum control parameters for a carrier when using the following generation mode:

  • HE MU PPDU

Signal Configuration

describes how to configure WLAN 802.11ax PHY and MAC layer parameters, payload data, and spectrum control parameters for a carrier when using the following generation mode:

  • HE Trigger Based PPDU

Non-HT Configuration

describes how to configure WLAN 802.11ax PHY and MAC layer parameters, payload data, and spectrum control parameters for a Non-HT Duplicate Transmission.
RU Configuration

describes how to configure WLAN 802.11ax resource unit parameters when using the following generation mode:

  • HE MU PPDU

  • HE Trigger Based PPDU
User Configuration

describes how to configure WLAN 802.11ax PHY and MAC layer parameters, payload data, and spectrum control parameters for a user.
MPDU Configuration

describes how to configure WLAN 802.11ax PHY and MAC layer parameters, payload data, and spectrum control parameters for a data unit when using the following generation modes:

  • HE SU PPDU

  • HE Extended Range SU PPDU

    HE Trigger Based PPDU

  • HE MU PPDU
Trigger Configuration

describes how to configure WLAN 802.11ax trigger frame parameters when using the following generation mode:

  • HE SU PPDU


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Waveform Setup - 802.11ax

1. Waveform Basic

Waveform Name

Use this cell to enter a name for the waveform. The alphanumeric text entered in this cell appears in the signal generator's user interface after the configuration is downloaded to the instrument. The signal generator recognizes only waveform names that use the following characters:

A through Z

0 through 9

$ & _ # + - [ ]

If unsupported characters appear in a configuration name, the signal generator generates a "file name not found" error (Error: -256) when you download the configuration to the instrument. The maximum length for file names is 22 characters.

If the selected capability is the MIMO for single instrument, the max name length will be truncated to 20 characters because the name will be appended with “_*”, where * is a number representing the antenna index.

Comment

Enter an alpha-numeric comment of up to 32 characters. The comment resides in the file header and can include spaces and special characters.

Generation Mode

Choice: HE SU PPDU | HE Extended Range SU PPDU | HE MU PPDU | HE Trigger Based PPDU | HE NDP | Non-HT

Default: HE SU PPDU

Select the type of frame to be generated.

HE SU PPDU is a standard WLAN802.11ax Single User PPDU format. It's constructed with legacy preamble, HE preamble and HE data portion and Packet Extension. In contrast, HE NDP format is the same as HE PPDU format without HE data portion. Non-HT refers to the one defined by standard as Non-HT Duplicate Transmission, which is to repeat 802.11a signal in each 20 MHz segment.

Frame Type

Select the frame type. It could be a Data frame, a Control frame and a Trigger frame.The Trigger frame solicits and allocates resources for UL MU transmissions a SIFS after the PPDU that carries the Trigger frame. The Trigger frame also carries other information required by the responding STA to send an HE trigger-based PPDU.

For more information on Trigger frame, see the 802.11ax Trigger topic.

Idle Interval

Use this cell to set the length (in microseconds) of the idle time after active PPDU frames. This is relevant only in framed mode.

No signal is transmitted during the idle interval, but the MAC layer operates as if a signal is being transmitted.

Head Idle Interval

Range: 0 to 100ms

Default: 0 us

Set the idle interval ahead of frames in unit of sec.

Bandwidth

Choice: 20 MHz | 40 MHz | 80 MHz | 160 MHz | 80+80 MHz

Default: 20 MHz

Set the number of frames.

Select the bandwidth for IEEE 802.11ax. Please note that the instrument must have at least the equvalent bandwidth to allow the waveform to be successfully transmitted. The HE extended Range SU PPDU is transmitted only on the primary 20 MHz.

Number of Frames

Range: 1 to 2000

Default: 1

Set the number of frames.

Total Sample Points

This is information indicating the generated waveform length in terms of sampling points.

Number of Data Symbols in One Frame

Number of OFDM Symbols in the Data portion of one frame.

RF Burst Duration in One Frame

The time duration of RF burst in one frame in unit of seconds.

Overall Waveform Duration in One Frame

The time duration of the overall waveform in one frame in unit of seconds.

2. Spectrum Control

Oversampling Ratio

Range: minimum value is 1

Default: 2

Use this cell to specify the number of times that the baseband signal is oversampled.

A higher oversampling ratio would help simplify the design of transmitting filter, but would result in a longer waveform.

Downclocking Ratio

Use this cell to specify a downclocking ratio. The downclocking ratio reduces the bandwidth of the signal such that it can operate in the TVWS (TV White Space) spectrum. The TVWS spectrum provides a longer range and better indoor penetration for signal propagation at lower frequencies.

The following formula shows the relationship between downclocking ratio, oversampling ratio, bandwidth, and sample clock:

ARB Sample Clock = Bandwidth X Oversampling Ratio / Downclocking Ratio.

Mirror Spectrum

Choice: On | Off

Default: Off

Reverse the spectrum of the waveform. This is useful for systems with external up conversion where the signal spectrum is mirrored by the up conversion process.

On: The Q channel is inverted, resulting in a mirrored spectrum.

Off: The spectrum is not inverted.

Windowing Length

Range:

For short guard intervals (400 ns): 0 to 16 samples

For normal guard intervals (800 ns): 0 to 32 samples

Default: 2

Set the duration of the transition time (Ttr) in the windowing function. Ttr creates a small overlap between consecutive subsections in order to smooth the transitions between them. Smoothing the transition is required in order to reduce the spectral sidelobes of the transmitted waveform.

Entering 0 samples means no windowing will be applied. A raised cosine time domain window is applied to the baseband signal to reduce out-of-band power.

Increasing the window length is a good way to decrease the adjacent channel power with a fairly small degradation in EVM performance.

Filter

A baseband filter is applied to reduce the transmitted bandwidth, increasing spectral efficiency.

For signals generated with digital signal processing, baseband filters are often finite impulse response (FIR) filters with coefficients that represent the sampled impulse response of the desired filter. FIR filters are used to limit the bandwidth of the input to the I and Q modulators.

Five options for baseband filtering can be selected in the Filter Type menu:

  • None: No filter.

  • Gaussian: The Gaussian filter does not have zero Inter-Symbol Interference (ISI). Wireless system architects must decide just how much of the ISI can be tolerated in a system and combine that with noise and interference. The Gaussian filter is Gaussian shaped in both the time and frequency domains, and it does not ring like the root cosine filters do. The effects of this filter in the time domain are relatively short and each symbol interacts significantly (or causes ISI) with only the preceding and succeeding symbols. This reduces the tendency for particular sequences of symbols to interact, which makes amplifiers easier to build and more efficient.

  • Root Raised Cosine: Root raised cosine, also referred to as square root raised cosine, filters have the property that their impulse response rings at the symbol rate. Adjacent symbols do not interfere with each other at the symbol times because the response equals zero at all symbol times except the center (desired) one. Root cosine filters heavily filter the signal without blurring the symbols together at the symbol times. This is important for transmitting information without errors caused by ISI. Note that ISI does not exist at all times, only at the symbol (decision) times.

    You can change the values of the Root Raised Cosine Filter to optimize for better spectral characteristics (sharper roll-off on the band edges resulting in less adjacent channel power) vs. better EVM.

    However, to reduce the value of Alpha will make the roll-off sharper but cause worse EVM.

  • Ideal Lowpass: In the frequency domain, this filter appears as a low-pass, rectangular filter with very steep cut-off characteristics. The pass band is set to equal the symbol rate of the signal. Due to a finite number of coefficients, the filter has a predefined length and is not truly "ideal." The resulting ripple in the cut-off band is effectively minimized with a Hamming window. This filter is recommended for achieving optimal ACP. A symbol length of 32 or greater is recommended for this filter.

  • User Defined: Allows you to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Length (symbol)

The symbol length of the filter determines how many symbol periods will be used in the calculation of the symbol. The filter selection influences the symbol length value.

The Gaussian filter has a rapidly decaying impulse response. A symbol length of 6 is recommended. Greater lengths have negligible effects on the accuracy of the signal.

The root cosine filter has a slowly decaying impulse response. It is recommended that a long symbol length, around 32, be used. Beyond this, the ringing has negligible effects on the accuracy of the signal.

The ideal low pass filter also has a very slow decaying impulse response. It is recommended that a long symbol length, 32 or greater, be used.

For both root cosine and ideal low pass filters, the greater the symbol length, the greater the accuracy of the signal. Try changing the symbol length, and plotting the spectrum to view the effect the symbol length of the filter has on the spectrum.

BT

This cell sets the filter's bandwidth-time product (BT) coefficient. It is valid only for a Gaussian filter.

B is the 3 dB bandwidth of the filter and T is the duration of the symbol period. BT determines the extent of the filtering of the signal. Occupied bandwidth cannot be stated in terms of BT because a Gaussian filter's frequency response does not go to zero, as does a root cosine filter. Common values for BT are 0.3 to 0.5. As the BT product is decreased, the ISI increases.

Alpha

This cell sets the filter's alpha coefficient. It is valid only for root cosine filters.

The sharpness of a root cosine filter is described by the filter coefficient, which is called alpha. Alpha gives a direct measure of the occupied bandwidth of the system and is calculated as: occupied bandwidth = symbol rate X (1 + alpha). If the filter had a perfect (brick wall) characteristic with sharp transitions and an alpha of zero, the occupied bandwidth would be: symbol rate X (1 + 0) = symbol rate. An alpha of zero is impossible to implement. Alpha is sometimes called the "excess bandwidth factor" as it indicates the amount of occupied bandwidth that will be required in excess of the ideal occupied bandwidth (which would be the same as the symbol rate).

At the other extreme, take a broader filter with an alpha of one, which is easier to implement. The occupied bandwidth for alpha = 1 will be: occupied bandwidth = symbol rate X (1 + 1) = 2 X symbol rate. An alpha of one uses twice as much bandwidth as an alpha of zero. In practice, it is possible to implement an alpha below 0.2 and make good, compact, practical radios. Typical values range from 0.35 to 0.5, though some video systems use an alpha as low as 0.11.

Bandwidth

This cell sets the effctive bandwidth for the ideal low pass filter. It is valid only for low pass filters.

Filter Coefficient

This is valid only for user-defined filters.

When you select User Defined as the filter type, click the [image] button in this cell to select a simple unformatted text file (*.txt) of coefficient values, characterizing a user-defined filter. Each line in the file contains one coefficient value. The number of coefficients listed must be a multiple of the selected oversampling ratio. Each coefficient applies to both I and Q components.

Related Topics

802.11ax Trigger

MPDU - 802.11ax


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Signal Configuration - 802.11ax

This topic applies to the following Generation Modes:

  • HE SU PPDU

  • HE Extended Range SU PPDU

  • HE NDP

1. General Settings

Space Time Block Coding

Enable/disable space time block coding. STBC encoder spreads constellation points from Nss spatial stream into Nsts space-time streams using a space-time block code. STBC is allowed only with single spatial stream and two space-time streams.

LTF Symbol Interval Mode

Select the Symbol interval (with guard interval) for the HE-LTF field. The current combinations are 1x HE-LTF + 0.8 µs, 2x HE-LTF + 0.8 µs, 2x HE-LTF + 1.6 µs ,4x HE-LTF + 3.2 µs, and 4x HE-LTF + 0.8 µs.

Number of HE-LTFs (Nheltf)

Specify the number of HE-LTFs.

Number of Total Space Time Streams (Nsts,total)

This is information indicating the total number of space time streams , which is equal to the sum of the Nsts for each user.

Number of Transmit Chains (Ntx)

Set the number of transmit chains. When the number of instruments is more than 1 and the Channel State is Off, it automatically equals to the number of instruments and can't be changed, otherwise, it's editable.

Packet Extension a factor

Set or Get the Packet Extension a factor.

Maximum Packet Extension Duration

Set or Get the Maximum Packet Extension Duration for Current PPDU.

2. HE-SIG-A Settings

TXOP Duration

Set or Get the remaining time duration in the current TXOP. Set to 8449 μs to indicate no duration information. Set to value other than 8449 μs to indicate the duration information for NAV setting and protection of the TXOP. When the value ranges from 0 to 504 μs, the granularity is 8 μs. When the value ranges from 512 to 8448 μs, the granularity is 128 μs.

Link

Indicates whether the frame is Uplink or Downlink. The field is set to DL for TDLS.

Beam Change

Indicate pre-coder change/no change between L-LTF and HE-LTF.Set to 1 indicates that the pre-HE-STF portion of the SU PPDU is spatially mapped differently from HELTF1.Set to 0 indicates that the pre-HE-STF portion of the SU PPDU is spatially mapped the same way as HELTF1 on each tone.

BSS Color

Get or Set the Base station identifier.The BSS Color field is an identifier of the BSS.

Spatial Reuse

Indication of CCA Level, Interference Level accepted, TX Power.

106-tone RU Mode Indication

Enable or disable the mode of Single spatial stream HE-MCS 0 in the right 106-tone RU of the primary 20 MHz channel for an HE Extended Range SU PPDU.

Doppler Indication

Indicate a PPDU with enhanced immunity to Doppler.

3. Spatial Mapping

Spatial Mapping Matrix

Set the contents of the spatial mapping matrix.

User #

Displays the index for each user.

Nss

Displays the Number of Spatial Streams (Nss,u) used by current user. Its maximum value is 8 for Single User, while it is 4 for Multi User MIMO. The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2 and only with 1 spatial stream.

Nsts,total

Displays the Number of Space Time Streams (Nsts,u) of current user. When STBC is OFF, it is equal Nss,u. When STBC is ON, it equals 2 times Nss,u.

Mcs Index

Double-click to go to the User Configuration property grid where you can select the MCS Index. Note that some MCS Indexes are defined as invalid by the standard and are not selectable. The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2.

Channel Coding Mode

Double-click to go to the User Configuration property grid where you can select the Channel Coding Mode. Choices are BCC and LDPC encoding.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to Topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

User n - 802.11ax

1. User Configuration

User Index

Displays the index for each user.

Scrambler Initialization

Set the initial state of the scrambler in decimal format, which is then turned into 7 bits to feed into the scrambler.

Dual Carrier Modulation

Enable/disable Dual Carrier modulation for payload of current User. In an HE MU PPDU, DCM can be applied only to RUs containing data for 1 user.DCM is only applied to MCS0, MCS 1, MCS 3 and MCS 4. DCM is not applied with MU-MIMO or with STBC. DCM is applied only with NSS = 1 or NSS = 2.

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambles the data to reduce the probability of long sequences of zeros and ones.

Channel Coding Mode

Choice: BCC| LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Choice: On|Off

Default: On

Enable or disable the channel encoding function. When it's Off, BCC encoder or LDPC encoder will be bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream (changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

It’s only visible when the Channel Coding Mode is BCC.

LDPC Tone Mapper

Choice: On|Off

Default: On

Enable or disable the LDPC Tone Mapper function. When it's Off, LDPC encoder will be bypassed.

It’s only visible when the Channel Coding Mode is LDPC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

Max. Nss | Single User | Multi User
STBC ON | 1 | 1
STBC OFF | 8 | 4

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be Direct Mapping.

2. Modulation and Coding Scheme

MCS Index

Select the MCS Index. Please note that some MCS Index are defined as invalid by the standard. They are not selectable.The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2 .

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

3. Transmit Data

Aggregated MPDU

Choices: On|Off

Default: On

Enable or disable the MPDU aggregation. When it’s off, a single MPDU will be used as the payload.

PSDU Length

PSDU Length is calculated with Nsym. Nsym depends on original payload length of multi-users.

Minimum MPDU Start Spacing

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

AMPDU Length

Displays the number of octets in the AMPDU pre-EOF padding carried in the PSDU of the current user. It's the LENGTH defined in the standard and is equal to the sum of A-MPDU Subframe Length in all the MPDUs.

Payload

MPDU Index

Displays the index for each MPDU. This cell cannot be edited.

MPDU Length

Displays the number of octets in current MPDU, which is comprised of MSDU, MAC Header and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Use this cell to set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

This field is visible only if we select User File in the Data Type drop-down.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

This field is visible only if we select User File in the Data Type drop-down.

MAC Header

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select Closed General, Closed RTS, Closed CTS, or Closed ACK format by clicking the down arrow in the top right corner of the Mac Header Dialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Add a new MPDU. The maximum number of user is 63.

Delete the selected MPDU. The minimum number of MPDU is 1.

Add a new MPDU, and its configuration is copied from the selected MPDU.

Move the selected MPDU up by one line and decrease its MPDU Id by 1.

Move the selected MPDU down by one line and increase its MPDU Id by 1.


MPDU - 802.11ax

MPDU Index

Displays the index for each MPDU. This cell cannot be edited.

A-MPDU Subframe Length

Coupling: Only available when Aggregated MPDU is set to ON.

Displays the number of octets in the current A-MPDU subframe, which is composed of MPDU and Padded MPDU Delimiters.

If the current MPDU is not the last one, its length can not be shorther than Minimum MPDU Start Spacing, otherwise MDPU delimiters will be padded after the current MPDU. If the current MPDU is the last one, its A-MPDU Subframe Length is equal to its MPDU Length plus the length of one MPDU Delimiter (4 octets).

MPDU Length

Displays the number of octets in current MPDU, which is comprised of MSDU, MAC Header and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Use this cell to set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

This field is visible only if we select User File in the Data Type drop-down.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

This field is visible only if we select User File in the Data Type drop-down.

MAC Header

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select Closed General, Closed RTS, Closed CTS, or Closed ACK format by clicking the down arrow in the top right corner of the Mac Header Dialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

802.11ax Trigger

Frame Type property is just available when the Generation Mode in the Closed Waveform Setup is set to HE SU PPDU. Set the Frame Type to Trigger.

1. General

Trigger Frame Length (bytes)

It indicates the total number of bytes contained in the trigger frame, which includes the MAC header and FCS.

Frame Control

Sets the Frame Control field, 16 bits in length, consists of the following subfields: Protocol Version, Type, Subtype, To DS, From DS, More Fragments, Retry, Power Management, More Data, Protected Frame, and Order.

Duration

Sets the Duration/ID field, it is 16 bits in length(0 ~ 65535).

RA

Sets the Address of the recipient STA.

TA

Sets the Address of the transmitting STA.

Number of Users

Sets the number of users.

Type-dependent Common Info Bit Number

Gets the total bit number of type-dependent common info

Per User Info Bit Number

Gets the total bit number of all users' per user info

Max TF MAC Padding Duration

Sets the maximum TF MAC padding duration among receiving STAs for MAC padding calculation

Number of Padding Bytes

Gets the number of padding bytes.

2. Common Information

Trigger Frame Type

Sets to one of the following types of the trigger frame:

  • Basic

  • Beamforming Report Poll

  • MU-BAR

  • MU-RTS

  • Buffer Status Report Poll

  • GCR MU-BAR

  • Bandwidth Query Report Poll

Length

Sets the value of the L-SIG length field of the HE trigger-based PPDU that is the response to the trigger frame.

Cascade Indication

Enables/disables the cascade. If it is on, a subsequent trigger frame follows the current trigger frame.

CS Required

Enables/disables the CS required. It is set to On to indicate that the STAs identified in the Per User Info fields are required to use ED to sense the medium and to consider the medium state and the NAV in determining whether or not to respond. The CS Required subfield is set to Off to indicate that the STAs identified in the Per User Info fields are not required consider the medium state or the NAV in determining whether or not to respond.

Bandwidth

Sets the bandwidth in the HE-SIG-A of the HE trigger-based PPDU.

GI and LTF Type

Sets the GI and LTF Type of the HE trigger-based PPDU.

MU MIMO LTF Mode

Sets the LTF Mode of the UL MU-MIMO HE trigger-based PPDU response. 0-single stream pilots; 1-Masked LTF sequence of each spatial stream by a distinct orthogonal code.

Number of HE-LTF Symbols

Sets the number of LTF symbols present in the HE trigger-based PPDU response.

STBC

Enables/disables the STBC encoding of the HE trigger-based PPDU response.

LDPC Extra Symbol

Enables/disables the LDPC extra symbol segment. It is set to On when LDPC extra symbol segment is present and set to Off otherwise.

AP Tx Power

Sets the combined average power per 20MHz bandwidth of all transmit antennas used to transmit the trigger frame at the HE AP. Value 0 to 60 maps to -20 dBm to 40 dBm with 1 dB resolution.

Packet Extension

Sets the packet extension duration of the trigger-based PPDU response. The first two bits indicate the pre-FEC padding factor and the third bit indicates the PE-Disambiguity.

Spatial Reuse

Sets the value for the spatial reuse field in the HE-SIG-A field of the HE trigger-based PPDU transmitted as a response to the trigger frame.

Doppler

Indicates a high Doppler mode of transmission.

HE-SIGA Reserved

Sets the value of the reserved bits in HE-SIG-A2 of the HE trigger-based PPDU transmitted as a response to the trigger frame.

BA Control

Sets the BA control field.

This field is browsable when Trigger Frame Type is GCR MU-BAR.

BA Information

Sets the BA information.

This field is browsable when Trigger Frame Type is GCR MU-BAR.

3. Per User Information

User Index

The index for each user.

AID12

Sets the least significant 12 bits of the AID of the STA for which the User Info field is intended.

RU Allocation

Sets the RU allocation used by the HE trigger-based PPDU of the STA identified by the AID12 subfield.

Coding Type

Sets the code type of the HE trigger-based PPDU response of the STA identified by the AID12 subfield. 0 for BCC and 1 for LDPC.

MCS

Sets the MCS of the HE trigger-based PPDU response of the STA identified by the AID12 subfield.

DCM

Sets the dual carrier modulation of the HE trigger-based PPDU response of the STA identified by the AID12 subfield.

SS Allocation

Sets the spatial streams of the HE trigger-based PPDU response of the STA identified by the AID12 subfield. 3 bits for starting spatial stream, 3 bits for spatial stream number.

Target RSSI

Sets the target received signal power of the HE trigger-based PPDU response of the STA identified by the AID12 subfield. 0 to 90 maps to -110 to -20 dBm target received signal level with 1 dB resolution. Value 127 indicates STA to transmit at its max power allowed for the assigned MCS.

MPDU MU Spacing Factor

Sets the value by which the minimum MPDU start spacing defined in Table 8-159 is multiplied.

This field is browsable when the Trigger Frame Type is Basic.

TID Aggregation Limit

Sets the maximum number of TIDs that can be aggregated by a STA in a multi-TID A-MPDU carried in the responding HE trigger-based PPDU.

This field is browsable when the Trigger Frame Type is Basic.

AC Preference Level

It is set to 1 to indicate that MPDUs with TIDs that correspond to the AC indicated in the preferred AC subfield are recommended with respect to TIDs from other ACs.

This field is browsable when the Trigger Frame Type is Basic.

Preferred AC

Sets the AC that is recommended for aggregation of MPDUs of ACs belonging to the same AC as indicated or higher priority AC(s) within a multi-TID A-MPDU sent as a response to the trigger frame.

This field is browsable when the Trigger Frame Type is Basic.

BA Control

Sets the BA Control field.

This field is browsable when Trigger Frame Type is MU-BAR.

BA Information

Sets the BA Information field.

This field is browsable when Trigger Frame Type is MU-BAR.

Feedback Segment Retransmission Bitmap

Sets the requested feedback segments of an HE Compressed Beamforming report.

It is browsable when the Trigger Frame Type is Beamforming Report Poll.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

802.11ax Signal Configuration

This topic applies to the following Generation Mode:

  • HE MU PPDU

1. General Settings

Space Time Block Coding

Enable/disable space time block coding. STBC encoder spreads constellation points from Nss spatial stream into Nsts space-time streams using a space-time block code. STBC is allowed only with single spatial stream and two space-time streams.

LTF Symbol Interval Mode

Select the Symbol interval (with guard interval) for the HE-LTF field. The current combinations are 2x HE-LTF + 0.8 µs, 2x HE-LTF + 1.6 µs ,4x HE-LTF + 3.2 µs, and 4x HE-LTF + 0.8 µs.

Number of HE-LTFs (Nheltf)

Specify the number of HE-LTFs.

Number of Total Space Time Streams (Nsts,total)

This is information indicating the total number of space time streams , which is equal to the sum of the Nsts for each user.

Number of Transmit Chains (Ntx)

Set the number of transmit chains. When the number of instruments is more than 1 and the Channel State is Off, it automatically equals to the number of instruments and can't be changed, otherwise, it's editable.

Packet Extension a factor

Set or Get the Packet Extension a factor.

Maximum Packet Extension Duration

Set or Get the Maximum Packet Extension Duration for Current PPDU.

2. HE-SIG-A Settings

Link

Indicates whether the frame is Uplink or Downlink. The field is set to DL for TDLS.

BSS Color

Get or Set the Base station identifier.The BSS Color field is an identifier of the BSS.

TXOP Duration

Set or Get the remaining time duration in the current TXOP. Set to 8449 μs to indicate no duration information. Set to value other than 8449 μs to indicate the duration information for NAV setting and protection of the TXOP. When the value ranges from 0 to 504 μs, the granularity is 8 μs. When the value ranges from 512 to 8448 μs, the granularity is 128 μs.

Spatial Reuse

Indication of CCA Level, Interference Level accepted, TX Power.

Doppler Indication

Indicate a PPDU with enhanced immunity to Doppler.

3. HE-SIG-B Settings

SIG-B Compression Mode

This compression bit is carried in the HE-SIG-A MU format to differentiate full BW MU-MIMO from OFDMA MU PPDU. When Enable indicate full band MU-MIMO.

Number of SIG-B Symbols

Set the number of HE-SIG-B symbols. Its maximum value is 20, and minimum value is 1. The default value is 1.

Dual Carrier Modulation of SIG-B

Enable/disable dual sub-carrier modulation for payload of HE-SIG-B.

SIG-B MCS Index

Select the MCS Index of HE-SIG-B. Only MCS0~MCS5 can be selected.

Number of Full BW MU-MIMO Users

Get or Set the number of MU-MIMO users when SIGB compression mode is enabled.

This field appears when the SIG-B Compression Mode in ON.

4. RU Arrangement Settings

The 1st 20Mhz Band Allocation Index

Gets or sets the RU allocation signalling for the 1st 20Mhz Band.

For Closed 40M bandwidth, the following two parameter names are available:

  • The 1st 20Mhz Band Allocation Index
  • The 2nd 20Mhz Band Allocation Index

Set the desired bandwidth in the Waveform Setup. For more information, see Waveform Setup - 802.11ax.

For Closed 80M bandwidth the two parameter name are available:

  • The 1st 2.0Mhz Band Allocation Index
  • The 2nd 20Mhz Band Allocation Index
  • The 3rd 20Mhz Band Allocation Index
  • The 4th 20Mhz Band Allocation Index

Set the desired bandwidth in the Waveform Setup. For more information, see Waveform Setup - 802.11ax.

Band #

The band frequency index of current RU configuration.

State

Resource unit (RU) state.

RU Size

Select the resource unit (RU) size for current user, which could be 26, 52, 106, 242, 484, 996, or 2*996 sub carriers. Note that the instrument must have at least the equivalent bandwidth to allow the waveform to be successfully transmitted.

User Number

Get the number of users for current resource unit.

Nsts,total

Displays the Number of Space Time Streams (Nsts,u) of current user. When STBC is OFF, it is equal Nss,u. When STBC is ON, it equals 2 times Nss,u.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

802.11ax RU n (Band n)

1. Resource Unit Settings

RU State

Enable/disable the Resource Unit.

RU Index

The index for each resource unit.

RuSize

Select the RU size for current user, which could be 26 sub carrier, 52 sub carrier,106 sub carrier,242 sub carrier,484 sub carrier,996 sub carrier,2*996 sub carrier,. Please note that the instrument must have at least the equivalent bandwidth to allow the waveform to be successfully transmitted.

Band

The band frequency index of current RU configuration.

User Number

User number.

Number of Total Space Time Streams (Nsts,total)

This is information indicating the total number of space time streams , which is equal to the sum of the Nsts for each user.

Power Boost Factor

Set or get the power boost factor of current RU.

The default value is 1.0 for all RUs, which present 0 dB. For example, if you set 0.5 for current RU , which present 10log10(0.5.^2) = -6dB.

2. Spatial Mapping

Spactial Mapping Matrix

Set the contents of the spatial mapping matrix.

User #

The index for each user.

Nss

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User MIMO.The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2 and only with 1 spatial stream.

Nsts,total

This is information indicating the number of Space Time Streams of current user. When STBC is OFF, it equals to Nss,u. When STBC is ON, it equals to 2 times Nss,u.

Mcs Index

Double-click to go to the User Configuration property grid where you can select the MCS Index. Note that some MCS Indexes are defined as invalid by the standard and are not selectable. The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2.

Channel Coding Mode

Double-click to go to the User Configuration property grid where you can select the Channel Coding Mode. Choices are BCC and LDPC encoding.


802.11ax RU User

 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

User - 802.11ax RU

1. User Configuration

User Index

Displays the index for each user.

STA ID

Set the STA ID of current user.

Scrambler Initialization

Set the initial state of the scrambler in decimal format, which is then turned into 7 bits to feed into the scrambler.

Dual Carrier Modulation

Enable/disable Dual Carrier modulation for payload of current User. In an HE MU PPDU, DCM can be applied only to RUs containing data for 1 user.DCM is only applied to MCS0, MCS 1, MCS 3 and MCS 4. DCM is not applied with MU-MIMO or with STBC. DCM is applied only with NSS = 1 or NSS = 2

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambles the data to reduce the probability of long sequences of zeros and ones.

Channel Coding Mode

Choice: BCC| LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Choice: On|Off

Default: On

Enable or disable the channel encoding function. When it's Off, BCC encoder or LDPC encoder will be bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream (changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

It’s only visible when the Channel Coding Mode is BCC.

LDPC Tone Mapper

Choice: On|Off

Default: On

Enable or disable the LDPC Tone Mapper function. When it's Off, LDPC encoder will be bypassed.

It’s only visible when the Channel Coding Mode is LDPC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

Max. Nss | Single User | Multi User
STBC ON | 1 | 1
STBC OFF | 8 | 4

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be Direct Mapping.

2. Modulation and Coding Scheme

MCS Index

Select the MCS Index. Please note that some MCS Index are defined as invalid by the standard. They are not selectable.The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2 .

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

3. Transmit Data

Aggregated MPDU

Choices: On|Off

Default: On

Enable or disable the MPDU aggregation. When it’s off, a single MPDU will be used as the payload.

PSDU Length

PSDU Length is calculated with Nsym. Nsym depends on original payload length of multi-users.

Minimum MPDU Start Spacing

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

AMPDU Length

Displays the number of octets in the AMPDU pre-EOF padding carried in the PSDU of the current user. It's the LENGTH defined in the standard and is equal to the sum of A-MPDU Subframe Length in all the MPDUs.

Payload

MPDU Index

Displays the index for each MPDU. This cell cannot be edited.

MPDU Length

Displays the number of octets in current MPDU, which is comprised of MSDU, MAC Header and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Use this cell to set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

This field is visible only if we select User File in the Data Type drop-down.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

This field is visible only if we select User File in the Data Type drop-down.

MAC Header

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select Closed General, Closed RTS, Closed CTS, or Closed ACK format by clicking the down arrow in the top right corner of the Mac Header Dialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Add a new MPDU. The maximum number of user is 63.

Delete the selected MPDU. The minimum number of MPDU is 1.

Add a new MPDU, and its configuration is copied from the selected MPDU.

Move the selected MPDU up by one line and decrease its MPDU Id by 1.

Move the selected MPDU down by one line and increase its MPDU Id by 1.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

802.11ax Signal Configuration

This topic applies to the following Generation Mode:

  • HE Trigger Based PPDU

1. General Settings

User Schedule Mode

Enable/disable User shedule mode. If enabled, the L-SIG Length, LDPC Extra Symbol, PE Disambiguity, and Pre-FEC Padding Factor parameters become editable.

L-SIG Length

Sets the value of the L-SIG length field of the HE trigger-based PPDU that is the response to the trigger frame.

LDPC Extra Symbol

Indicates the presence of the extra OFDM symbol for LDPC.

PE Disambiguity

Gets or sets the PE disambiguation bit.

Pre-FEC Padding Factor

Get or Set Pre-FEC Padding Factor.

LTF Symbol Interval Mode

Select the Symbol interval (with guard interval) for the HE-LTF field. The current combinations are 1x HE-LTF + 1.6 us, 2x HE-LTF + 1.6 us and 4x HE-LTF + 3.2 us.

Space Time Block Coding

Enable/disable space time block coding. The STBC encoder spreads constellation points from Nss spatial stream into Nsts space-time streams using a space-time block code. STBC is allowed only with single spatial stream and two space-time streams.

Maximum Number of Total Space Time Streams (Nsts,total)

This is information indicating the total number of space time streams , which is equal to the sum of the Nsts for each user.

Number of Transmit Chains (Ntx)

Set the number of transmit chains. When the number of instruments is more than 1 and the Channel State is Off, it automatically equals to the number of instruments and cannot be changed, otherwise, it is editable.

Maximum Packet Extension Duration

Set or Get the Maximum Packet Extension Duration for Current PPDU. An HE PPDU may have a Packet Extension (PE) field appended at the end of the PPDU, with possible durations being 0 µs, 8 µs, or 16 µs. The PE field, when present, shall be transmitted with the same average power as the Data field, and its content is arbitrary.

2. HE-SIG-A Settings

Link

Indicates whether the frame is Uplink or Downlink. The field is set to DL for TDLS and set to UL for HE TB PPDU.

BSS Color

Get or Set the Base station identifier.The BSS Color field is an identifier of the BSS.

TXOP Duration

Set or Get the remaining time duration in the current TXOP. Set to 8449 μs to indicate no duration information. Set to value other than 8449 μs to indicate the duration information for NAV setting and protection of the TXOP. When the value ranges from 0 to 504 μs, the granularity is 8 μs. When the value ranges from 512 to 8448 μs, the granularity is 128 μs.

Spatial Reuse 1

Indicates whether or not spatial reuse is allowed in a sub-band of the PPDU during the transmission of this PPDU, and if allowed, indicates a value that is used to determine a limit on the transmit power of a spatial reuse transmission.

If the Bandwidth field indicates 20 MHz, 40 MHz, or 80 MHz: Spatial Reuse field for the first 20 MHz sub-band. If the Bandwidth field indicates 160/80+80 MHz: Spatial Reuse field for first 40 MHz subband of the160 MHz operating band. Set to 0 (SR disallowed Entry) to disallow SRP-based spatial reuse. Set to value 1 to 14 corresponding to SRP value for SRP-based SR operation.

Spatial Reuse 2

Indicates whether or not spatial reuse is allowed in a sub-band of the PPDU during the transmission of this PPDU, and if allowed, indicates a value that is used to determine a limit on the transmit power of a spatial reuse transmission.

If the Bandwidth field indicates 20 MHz, 40 MHz, or 80 MHz: Spatial Reuse field for the second 20 MHz sub-band. When operating in 20 MHz, this field is set to same value as Spatial Reuse 1 field. When operating 40 MHz in 2.4 GHz band, this field is set to same value as Spatial Reuse 1 field. If the Bandwidth field indicates 160/80+80 MHz: Spatial Reuse field for second 40 MHz sub-band of the 160 MHz operating band.

Spatial Reuse 3

Indicates whether or not spatial reuse is allowed in a sub-band of the PPDU during the transmission of this PPDU, and if allowed, indicates a value that is used to determine a limit on the transmit power of a spatial reuse transmission.

If the Bandwidth field indicates 20 MHz, 40 MHz, or 80 MHz: Spatial Reuse field for the third 20 MHz sub-band. When operating in 20 MHz or 40 MHz, this field is set to same value as Spatial Reuse 1 field.If the Bandwidth field indicates 160/80+80 MHz: Spatial Reuse field for third 40 MHz sub-band of the 160 MHz operating band. When operating in 80+80 MHz, this field is set to same value as Spatial Reuse 1 field.

Spatial Reuse 4

Indicates whether or not spatial reuse is allowed in a sub-band of the PPDU during the transmission of this PPDU, and if allowed, indicates a value that is used to determine a limit on the transmit power of a spatial reuse transmission.

If the Bandwidth field indicates 20 MHz, 40 MHz, or 80 MHz: Spatial Reuse field for the fourth 20 MHz sub-band. When operating in 20 MHz , this field is set to same value as Spatial Reuse 1 field. When operating in 40 MHz , this field is set to same value as Spatial Reuse 2 field. If the Bandwidth field indicates 160/80+80 MHz: Spatial Reuse field for fourth 40 MHz sub-band of the 160 MHz operating band. When operating in 80+80 MHz, this field is set to same value as Spatial Reuse 2 field.

Doppler Indication

Indicate a PPDU with enhanced immunity to Doppler.

3. Uplink RU Arrangement Settings

The 1st 20Mhz Band Allocation Index

Get or set the RU allocation signaling for the first 20MHz Band.

For Closed 40M bandwidth, the following two parameter names are available:

  • The 1st 20Mhz Band Allocation Index
  • The 2nd 20Mhz Band Allocation Index

Set the desired bandwidth in the Waveform Setup. For more information, see Waveform Setup - 802.11ax.

For Closed 80M bandwidth, the following four parameter names are available:

  • The 1st 20Mhz Band Allocation Index
  • The 2nd 20Mhz Band Allocation Index
  • The 3rd 20Mhz Band Allocation Index
  • The 4th 20Mhz Band Allocation Index

Set the desired bandwidth in the Waveform Setup. For more information, see Waveform Setup - 802.11ax.

For Closed 160M bandwidth the two parameter name are available:

  • The 1st 20Mhz Band Allocation Index
  • The 2nd 20Mhz Band Allocation Index
  • The 3rd 20Mhz Band Allocation Index
  • The 4th 20Mhz Band Allocation Index
  • The 5th 20Mhz Band Allocation Index
  • The 6th 20Mhz Band Allocation Index
  • The 7th 20Mhz Band Allocation Index
  • The 8th 20Mhz Band Allocation Index

Set the desired bandwidth in the Waveform Setup. For more information, see Waveform Setup - 802.11ax.

4. Impairments in Waveform

Symbol Clock Offset

Range: -300 - 300 ppm

Default: 0 ppm

Get or set the offset to the standard symbol rate in ppm. This error is added to standard sample clock in the waveform header.

Band #

The band frequency index of current RU configuration.

State

Resource unit (RU) state.

RU Size

Select the resource unit (RU) size for current user, which could be 26, 52, 106, 242, 484, 996, or 2*996 sub carriers. Note that the instrument must have at least the equivalent bandwidth to allow the waveform to be successfully transmitted.

User Number

Get the number of users for current resource unit.

Nsts,total

Displays the Number of Space Time Streams (Nsts,u) of current user. When STBC is OFF, it is equal Nss,u. When STBC is ON, it equals 2 times Nss,u.


802.11ax RU n (Band n)

1. Resource Unit Settings

RU State

Enable/disable the Resource Unit.

RU Index

The index for each resource unit.

RuSize

Select the RU size for current user, which could be 26 sub carrier, 52 sub carrier,106 sub carrier,242 sub carrier,484 sub carrier,996 sub carrier,2*996 sub carrier,. Please note that the instrument must have at least the equivalent bandwidth to allow the waveform to be successfully transmitted.

Band

The band frequency index of current RU configuration.

User Number

User number.

Number of Total Space Time Streams (Nsts,total)

This is information indicating the total number of space time streams , which is equal to the sum of the Nsts for each user.

Spatial Config Index

A user field for an MU-MIMO allocation includes a Spatial Configuration sub-field consisting of 4 bits that indicates the number of spatial streams for each STA and the total number of spatial streams in the MU-MIMO allocation.

2. Spatial Mapping

Spactial Mapping Matrix

Set the contents of the spatial mapping matrix.

User #

The index for each user.

Nss

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User MIMO.The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2 and only with 1 spatial stream.

Nsts,total

This is information indicating the number of Space Time Streams of current user. When STBC is OFF, it equals to Nss,u. When STBC is ON, it equals to 2 times Nss,u.

Mcs Index

Double-click to go to the User Configuration property grid where you can select the MCS Index. Note that some MCS Indexes are defined as invalid by the standard and are not selectable. The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2.

Channel Coding Mode

Double-click to go to the User Configuration property grid where you can select the Channel Coding Mode. Choices are BCC and LDPC encoding.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

User - 802.11ax RU

1. User Configuration

User Index

Displays the index for each user.

Scrambler Initialization

Set the initial state of the scrambler in decimal format, which is then turned into 7 bits to feed into the scrambler.

Dual Carrier Modulation

Enable/disable Dual Carrier modulation for payload of current User. In an HE MU PPDU, DCM can be applied only to RUs containing data for 1 user.DCM is only applied to MCS0, MCS 1, MCS 3 and MCS 4. DCM is not applied with MU-MIMO or with STBC. DCM is applied only with 1 or 2 spatial streams. DCM is only applied to Single user RUs in HE MU PPDU.

Scrambler

Choice: On|Off

Default: On

Enable or disable the Scrambler. Scrambles the data to reduce the probability of long sequences of zeros and ones.

Channel Coding Mode

Choice: BCC| LDPC

Default: BCC

Select the Channel Coding mode that encodes the data to enable error correction.

Channel Coding State

Choice: On|Off

Default: On

Enable or disable the channel encoding function. When it's Off, BCC encoder or LDPC encoder will be bypassed.

BCC Interleaver

Choice: On|Off

Default: Off

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream (changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

It’s only visible when the Channel Coding Mode is BCC.

LDPC Tone Mapper

Choice: On|Off

Default: On

Enable or disable the LDPC Tone Mapper function. When it's Off, LDPC encoder will be bypassed.

It’s only visible when the Channel Coding Mode is LDPC.

Number of Spatial Streams (Nss,u)

Its maximum value depends on the Transmission Mode and STBC as below table show.

Max. Nss | Single User | Multi User
STBC ON | 1 | 1
STBC OFF | 8 | 4

Set the number of Spatial Streams used by current user. Its maximum value is 8 for Single User, while it's 4 for Multi User.

Number of Space Time Streams (Nsts,u)

Displays the number of Space Time Streams for the current user.

When STBC is OFF, it is equal to the Number of Spatial Streams. When STBC is ON, it is equal to two times the Number of Spatial Streams. Its initial value is equal to the Number of Transmit Chains so that the initial Spatial Mapping Scheme can be Direct Mapping.

2. Modulation and Coding Scheme

MCS Index

Select the MCS Index. Please note that some MCS Index are defined as invalid by the standard. They are not selectable.The HE extended range SU PPDU can only be transmitted with MCS0, MCS1, MCS2 .

Modulation

Displays the modulation format defined for the selected MCS (Modulation and Coding Scheme) Index value.

Coding Rate

Displays the coding rate determined by MCS index.

Data Rate

Displays the data rate determined by MCS index.

3. Transmit Data

Aggregated MPDU

Choices: On|Off

Default: On

Enable or disable the MPDU aggregation. When it’s off, a single MPDU will be used as the payload.

MAC Padding Mode

Enable or disable the MAC Layer Padding mode.

Coupling: Visible only when Aggregated MPDU is set to OFF.

PSDU Length

PSDU Length is calculated with Nsym. Nsym depends on original payload length of multi-users.

Minimum MPDU Start Spacing

Choices: No restriction | ¼ us | ½ us | 1 us | 2 us | 4 us | 8 us | 16 us

Default: No restriction

Coupling: Invisible when Aggregated MPDU is set to OFF.

Select the minimum time between the start of adjacent MPDUs within an A-MPDU.

Minimum MPDU Start Spacing in octets

Default: 0

Coupling: Invisible when Aggregated MPDU is set to OFF.

Displays the minimum octets between the start of adjacent MPDUs. Its value should be equal or greater than Minimum MPDU Start Spacing X Data Rate / 8.

AMPDU Length

Displays the number of octets in the AMPDU pre-EOF padding carried in the PSDU of the current user. It's the LENGTH defined in the standard and is equal to the sum of A-MPDU Subframe Length in all the MPDUs.

Payload

MPDU Index

Displays the index for each MPDU. This cell cannot be edited.

MPDU Length

Displays the number of octets in current MPDU, which is comprised of MSDU, MAC Header and MAC FCS.

Prior to N7617B version 1.12.0.0, this was named MAC Frame Length.

Data Type

Use this cell to select the payload data source. The user data of the frame can contain the following data:

All 0s

PN9

PN15

User file

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Use this cell to set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

This field is visible only if we select User File in the Data Type drop-down.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

This field is visible only if we select User File in the Data Type drop-down.

MAC Header

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select Closed General, Closed RTS, Closed CTS, or Closed ACK format by clicking the down arrow in the top right corner of the Mac Header Dialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

This cell is adjustable only for the Advanced Capability. In the Basic Capability, it is automatically set to OFF.

Add a new MPDU. The maximum number of user is 63.

Delete the selected MPDU. The minimum number of MPDU is 1.

Add a new MPDU, and its configuration is copied from the selected MPDU.

Move the selected MPDU up by one line and decrease its MPDU Id by 1.

Move the selected MPDU down by one line and increase its MPDU Id by 1.

4. Impairments in Waveform

Relative Power

Gets or sets the power of the Uplink Users relative to others.

Frequency Offset

Gets or sets the frequency offset reference to the User carrier.

Initial Phase

Range: -180.00 to 180.00

Default: 0.00

Set the initial phase of the carrier.

Timing Offset

Range: 0 to 0.4us

Default: 0

Set the timing offset of the carrier. Timing offset values increment by 50ns.

Symbol Clock Offset

Get or Set the offset to the standard symbol rate in ppm. This error will be added to standard sample clock in the waveform header.Range: -300 - 300 ppm.


 Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

802.11ax Non-HT Configuration

1. General Settings

Number of Transmit Chains (Ntx)

Range: 1 to 8

Default: Equal to the number of connected instruments. For example, it’s 3 when the System Configuration is ‘IEEE 802.11ax Mx3’.

Set the number of transmit chains when Channel State is ON or when System Configuration is IEEE MxN (1 SG). When Channel State is Off and System Configuration is not IEEE MxN (1 SG), the number of transmit chains is automatically set equal to the number of connected instruments and can't be edited.

2. Coding and Modulation

Data Rate

Choices: 6 Mbps | 9 Mbps | 12 Mbps | 18 Mbps | 24 Mbps | 36 Mbps | 48 Mbps | 54 Mbps

Default: 36 Mbps

Coupling: Affects the Number of Data Symbols in One Frame and Total Sample Points.

Select the data rate for the legacy WLAN.

Modulation

Indicates the modulation type.

Coding Rate

Indicates the coding rate of the BBC encoder.

Scrambler

Choices: On | Off

Default: On

Enable or disable the scrambler. The scrambler scrambles the data to reduce the probability of long sequences of zeros and ones.

Scrambler Initialization

Range: 0 - 127

Default: 93

Set the initial state of the scrambler in decimal format. The decimal number is converted to 7 bits for input into the scrambler.

Channel Coding State

Choices: On | Off

Default:On

Enable or disable the BCC encoder.

BCC Interleaver

Choices: On | Off

Default: On

Enable or disable the interleaver. BCC Interleaver interleaves the bits of each spatial stream (changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder. Interleaving is applied only when BCC encoding is used.

3. Payload Configuration

Payload

MPDU Length

Displays the number of octets in the current MPDU, which is comprised of MSDU, MAC Header, and MAC FCS.

Data Type

Choices: All 0s | PN9 | PN15 | User file

Default: PN9

Select the payload data source.

The user file must be in binary form. The least significant bit (LSB) of the first byte in the user data file will be the first bit of the user payload; the LSB of the second byte in the user file will be the ninth bit of the user payload, and so on. If User file is selected as the Data Type, the value displayed in the Data Length field will be equal to the length of the user's data file, up to the maximum data length.

PN9 Seed

Range: 0 to 511

Default: 511

Coupling: Only visible when Data Type is PN9.

Specify a seed in decimal format to generate a PN9 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 9 bits of the PN9 sequence are 0 1 0 1 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

PN15 Seed

Range: 0 to 32767

Default: 32767

Coupling: Only visible when Data Type is PN15.

Specify a seed in decimal format to generate a PN15 data sequence. The LSB of the seed comes out first. For example, if you enter a seed value of 10 (1010 in binary), the first 15 bits of the PN15 sequence are 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0, with an increasing index from left to right. For more information, see PN Sequence Generation.

Data Length

Set the number of data bytes in a frame. The value is limited by MPDU Length.

User File

Click the [image] button in this cell to select a user file as the data source.

User File Length

This cell displays the number of data bytes in the user file when it is selected as the payload data source.

MAC Header

Click the [image] button in this cell to open the MAC Header Dialog, (see the dialogs below) which enables or disables pre-pending the MAC header to the data payload. You can select General, RTS, or CTS MAC frame format by clicking the down arrow in the top right corner of the MacHeaderDialog. You can set the desired data in each of the individual fields for each format. You can also disable these fields if the data is no longer desired by clearing the Mac Header (hex) check box.

MAC FCS

Use this cell to enable or disable appending the MAC FCS to the data payload. The FCS is automatically calculated by the software if this cell is enabled. Note: When the MAC header is not selected, then the FCS is applied to just the payload.

Increment Sequence Number

Use this cell to enable or disable incrementing the Sequence Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Sequence Number increments by one after each user-specified interval of new frames. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Sequence Number Increment by: (Frames)

The number of frames you set in this cell determines when the Sequence Number within the Sequence Control field in the MAC Header is incremented. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.

Increment Fragment Number

Use this cell to enable or disable incrementing the Fragment Number within the Closed Sequence Control field in the MAC Header. When it is turned ON, the Fragment Number increments by one after every assignment of a new frame. This field uses the Increment Sequence Number by: (Frame) value as the upper limit. When the upper limit is reached, incrementation wraps back to zero. For an example of how incrementation works, see Incrementing Sequence and Fragment Numbers.


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using the API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information about the API help system, usage requirements. and references.
Sample API Programs | provides information about API programming examples included with the software.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7617B Signal Studio graphical user interface are documented in the N7617B Documented Class Library (N7617API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\WLAN.

Many of the links in the N7617B Documented API Class Library require the Microsoft Visual Studio .NET integrated development environment (IDE). Without the development environment, those links appear broken. Download the IDE to repair the links.

Refer to www.keysight.com/find/signalstudio for the latest software updates.

Sample API Programs

Sample API programming files are placed in the following location when you install the software. You can use these samples as a starting point to develop your own API programs.

C:\ProgramData\Keysight\Signal Studio\WLAN\ApiSample

Numeric Format

This software recognizes only US style numeric format, for example, floating point is "."

Language Requirement

You must set the API locale to "en-US" using the following commands prior to starting the user main routine:

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version="1.0" encoding="utf-8"?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0" />

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

.NET Version Workaround

If you are using a recent version of Visual Studio, such as VS 2015, the default .NET version will be later than .NET 3.5, which is required for using the Signal Studio API. In this case, if you change the project settings of the Visual Studio program to .NET 3.5, you will not benefit from the latest .NET features. Therefore, it is better to create a .config file in your VS project, enabling you to benefit from the latest .NET features. To do this, follow the exact same steps described in Loading .NET Mixed-Mode Assemblies above.

References

The Microsoft .NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.

Related Topics

API Programming Examples

Microsoft.Net-Based API


API Programming

Sample API Programs

Sample programs are located in these default installation directories:

C# Examples | C:\ProgramData\Keysight\Signal Studio\WLAN\ApiSample\CS
Visual Basic.Net Examples | C:\ProgramData\Keysight\Signal Studio\WLAN\ApiSample\VB

Requirements

Before you start to run these examples, make sure you have added "Agilent.SignalStudio.N7617.dll" and "Agilent.SignalStudio.dll" as the references to your API Project in Microsoft Visual Studio .NET 2003 IDE. The following steps, using Microsoft Visual Studio .NET 2003 IDE, outline a procedure for adding these references, if needed. The steps may vary depending on your development environment.

  1. From the File menu, create a new project or open an existing project in your Visual Studio.Net programming environment.

  2. Select Project > Add Reference.

  3. A window opens in which you can select the reference files. Locate the directory C:\Program Files\Keysight\Signal Studio\WLAN (This assumes that you installed Signal Studio for WLAN 802.11a/b/g/n/ac/ah/ax in the default location). Highlight "Agilent.SignalStudio.N7617.dll" and "Agilent.SignalStudio.dll".

  4. Click Add to add them in the project as references.

Control Procedure for 802.11a/b/g/j/p

This procedure provides information on how to build a typical program to generate, download, and run an 802.11a/b/g/j/p waveform using the WLAN API in C# programming code. See Tips for troubleshooting help.

1. Create API Handle

2. Configure Hardware

3. Configure the Waveform

4. Generate, Download, and Run the Waveform

5. Set RF On

6. Set RF Off

Tips

Control Procedure for 802.11n

This procedure provides information on how to build a typical program to generate, download, and run an Mx2 802.11n waveform package using the WLAN API in C# programming code. See Tips for troubleshooting help.

1. Create API Handle

2. Select MIMO function

3. Configure Hardware

4. Configure the Waveform

5. Generate, Download, and Run the Waveform

6. Set RF On

7. Set RF Off

Tips

Control Procedure for 802.11ac

This procedure provides information on how to build a typical program to generate, download, and run an Mx2 802.11ac waveform package using the WLAN API in C# programming code. See Tips for troubleshooting help.

1. Create API Handle

2. Select MIMO Function

3. Configure Hardware

4. Configure the Waveform

5. Generate, Download and Run the Waveform

6. Set RF On

7. Set RF Off

Tips

Control Procedure for 802.11ah

This procedure provides information on how to build a typical program to generate, download, and run an Mx2 802.11ah waveform package using the WLAN API in C# programming code. See Tips for troubleshooting help.

1. Create API Handle

2. Select MIMO Function

3. Configure Hardware

4. Configure the Waveform

5. Generate, Download and Run the Waveform

6. Set RF On

7. Set RF Off

Tips

Control Procedure for 802.11ax

This procedure provides information on how to build a typical program to generate, download, and run an Mx2 802.11ax waveform package using the WLAN API in C# programming code. See Tips for troubleshooting help.

1. Create API Handle

2. Select MIMO Function

3. Configure Hardware

4. Configure the Waveform

5. Generate, Download and Run the Waveform

6. Set RF On

7. Set RF Off

Tips

Control Procedure for 802.11a/b/g/j/p

1. Create API Handle

These commands specify how the software creates an API project handler:

using Agilent.SignalStudio.N7617;

LegacyAPI api = new LegacyAPI();

2. Configure Hardware

Connect to the signal generator using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the signal generator is connected via LAN, and the IP address is 192.168.100.10, the VISA name is

"TCPIP0::192.168.100.10::INSTR".

string inst = "TCPIP0::192.168.100.10::INSTR";

bool connected = api.ConnectInstrument (inst);

3. Configure the Waveform

Get a carrier object.

Agilent.SignalStudio.N7617.CarrierLegacy carrier = waveformSetup.Carrier[0];

Get the signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen = api.Hardware.OneSG;

Set the RF frequency to 2.412 GHz (1e9)

sigGen.Frequency = 2.412e9;

Set the amplitude to -30.0 dBm.

sigGen.Amplitude = -30.0;

4. Generate, Download and Run the Waveform

Generate and download the waveform to the signal generator, then run it.

api.Download();

5. Set RF On

Turn the signal generator's RF output on.

api.Hardware.OneSG.RfOutputEnabled = true;

api.Hardware.UpdateToInstrument();

6. Set RF Off

Turn off the RF output.

api.Hardware.SignalGenerator.RFOutputEnabled = false;

api.Hardware.UpdateToInstrument();

Control Procedure for 802.11n

1. Create API Handle

These commands specify how the software creates an API project handler:

using Agilent.SignalStudio.N7617;

MimoAPI api = new MimoAPI ();

2. Select MIMO Function

Before connecting to the signal generator, select the MIMO function:

api.SetMimoFunction(MimoFunction.MIMO_Mx2_2SG);

3. Configure Hardware

Connect to the signal generators using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the two signal generators are connected via LAN, and the IP addresses are 192.168.100.10 and 192.168.100.11 respectively, the VISA names are

"TCPIP0::192.168.100.10::INSTR" and "TCPIP0::192.168.100.11::INSTR".

string inst1 = "TCPIP0::192.168.100.10::INSTR";

string inst2 = "TCPIP0::192.168.100.11::INSTR";

bool connected = api1.ConnectInstrument (inst1, inst2);

4. Configure the Waveform

Select the spatial mapping scheme and MCS index:

api.WaveformSetup.Config.SpatialMappingScheme = SpatialMappingScheme.SpatialExpansion;

api.WaveformSetup.Config.McsIndex.Index = 15;

Get the first signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen0 = api.Hardware.SGArray[0];

Get the second signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen1 = api.Hardware.SGArray[1];

Set the RF frequency to 2.412 GHz (1e9).

sigGen0.Frequency = 2.412e9;

sigGen1.Frequency = 2.412e9;

Set the amplitude to -30.0 dBm.

sigGen0.Amplitude = -30.0;

sigGen1.Amplitude = -30.0;

5. Generate, Download and Run the Waveform

Generate and download the waveform packages to the signal generators, then run them.

api.Download();

6. Set RF On

Turn the signal generator's RF output on.

sigGen0.RfOutputEnabled = true;

sigGen1.RfOutputEnabled = true;

api.Hardware.UpdateToInstrument();

7. Set RF Off

Turn off the RF output.

sigGen0.RfOutputEnabled = false;

sigGen1.RfOutputEnabled = false;

api.Hardware.UpdateToInstrument();

Tips

use try..catch( )

If an error occurs, the software produces an exception.

Using try..catch() is a way to program the software's API to capture exceptions.

You may use try..catch() for each method call or one try..catch() for all methods to call. The example below opens the

settings file test1.scp and displays an error message if the software produces an exception.

string FullpathFilename1 = "C:\\Program Files\\Keysight\\Signal Studio\\N7617B WLAN\\test1.scp";

LegacyApi api = new LegacyApi ();

try

{

api.OpenSettingsFile(FullpathFilename1);

}

catch (Exception ex)

{

MessageBox.Show(ex.Message);

}

Control Procedure for 802.11ac

1. Create API Handle

These commands specify how the software creates an API project handler:

using Agilent.SignalStudio.N7617;

Wlan11acAPI api = new Wlan11acAPI();

2. Select MIMO Function

Before connecting to the signal generator, select the MIMO function:

api.SetWlan11acFunction(Mimo11acFunction.MIMO_MxN_1SG);

3. Configure Hardware

Connect to the signal generators using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the two signal generators are connected via LAN, and the IP addresses are 192.168.100.10 and 192.168.100.11 respectively, the VISA names are "TCPIP0::192.168.100.10::INSTR" and "TCPIP0::192.168.100.11::INSTR".

string inst1 = "TCPIP0::192.168.100.10::INSTR";

string inst2 = "TCPIP0::192.168.100.11::INSTR";

bool connected = api1.ConnectInstrument (inst1, inst2);

4. Configure the Waveform

Get an IEEE 802.11ac object.

Agilent.SignalStudio.Wlan11ac.CarrierSetup carrier = api.WaveformSetup.CarrierConfig;

Get a User object.

UserSetup usr = api.WaveformSetup.CarrierConfig.UserSetups[0];

Get a MPDU object.

MpduSetup mpdu = api.WaveformSetup.CarrierConfig.UserSetups[0].MpduSetups[0];

Select the spatial mapping scheme:

api.WaveformSetup.CarrierConfig.SpatialMappingScheme = Agilent.SignalStudio.Wlan11ac.SpatialMappingScheme.SpatialExpansion;

Get the first signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen0 = api.Hardware.SGArray[0];

Get the second signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen1 = api.Hardware.SGArray[1];

Set the RF frequency to 2.412 GHz (1e9).

sigGen0.Frequency = 2.412e9;

sigGen1.Frequency = 2.412e9;

Set the amplitude to -30.0 dBm.

sigGen0.Amplitude = -30.0;

sigGen1.Amplitude = -30.0;

5. Generate, Download and Run the Waveform

Generate and download the waveform packages to the signal generators, then run them.

api.Download();

6. Set RF On

Turn the signal generator's RF output on.

sigGen0.RfOutputEnabled = true;

sigGen1.RfOutputEnabled = true;

api.Hardware.UpdateToInstrument();

7. Set RF Off

Turn off the RF output.

sigGen0.RfOutputEnabled = false;

sigGen1.RfOutputEnabled = false;

api.Hardware.UpdateToInstrument();

Control Procedure for 802.11ah

1. Create API Handle

These commands specify how the software creates an API project handler:

using Agilent.SignalStudio.N7617;

using Agilent.SignalStudio;

using Agilent.SignalStudio.Wlan11ah;

Wlan11ahAPI api = new Wlan11ahAPI();

2. Select MIMO Function

Before connecting to the signal generator, select the MIMO function:

api.SetWlan11ahFunction(Mimo11ahFunction.MIMO_MxN_1SG);

3. Configure Hardware

Connect to the signal generators using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the two signal generators are connected via LAN, and the IP addresses are 192.168.100.10 and 192.168.100.11 respectively, the VISA names are "TCPIP0::192.168.100.10::INSTR" and "TCPIP0::192.168.100.11::INSTR".

string inst1 = "TCPIP0::192.168.100.10::INSTR";

string inst2 = "TCPIP0::192.168.100.11::INSTR";

bool connected = api1.ConnectInstrument (inst1, inst2);

4. Configure the Waveform

Get an IEEE 802.11ah object.

Agilent.SignalStudio.Wlan11ah.SignalSetup carrier = api.WaveformSetup.SignalConfig;

Get a User object.

UserSetup usr = api.WaveformSetup.SignalConfig.UserSetups[0];

Get a MPDU object.

MpduSetup mpdu = api.WaveformSetup.SignalConfig.UserSetups[0].MpduSetups[0];

Select the spatial mapping scheme:

api.WaveformSetup.SignalConfig.SpatialMappingScheme = Agilent.SignalStudio.Wlan11ah.SpatialMappingScheme.SpatialExpansion;

Get the first signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen0 = api.Hardware.SGArray[0];

Get the second signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen1 = api.Hardware.SGArray[1];

Set the RF frequency to 920 MHz (1e6).

sigGen0.Frequency = 920e6;

sigGen1.Frequency = 920e6;

Set the amplitude to -30.0 dBm.

sigGen0.Amplitude = -30.0;

sigGen1.Amplitude = -30.0;

5. Generate, Download and Run the Waveform

Generate and download the waveform packages to the signal generators, then run them.

api.Download();

6. Set RF On

Turn the signal generator's RF output on.

sigGen0.RfOutputEnabled = true;

sigGen1.RfOutputEnabled = true;

api.Hardware.UpdateToInstrument();

7. Set RF Off

Turn off the RF output.

sigGen0.RfOutputEnabled = false;

sigGen1.RfOutputEnabled = false;

api.Hardware.UpdateToInstrument();

Control Procedure for 802.11ax

1. Create API Handle

These commands specify how the software creates an API project handler:

using Agilent.SignalStudio.N7617;

Wlan11axAPI api = new Wlan11axAPI();

2. Select MIMO Function

Before connecting to the signal generator, select the MIMO function:

api.SetWlan11axFunction(Mimo11axFunction.MIMO_MxN_1SG);

3. Configure Hardware

Connect to the signal generators using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the two signal generators are connected via LAN, and the IP addresses are 192.168.100.10 and 192.168.100.11 respectively, the VISA names are "TCPIP0::192.168.100.10::INSTR" and "TCPIP0::192.168.100.11::INSTR".

string inst1 = "TCPIP0::192.168.100.10::INSTR";

string inst2 = "TCPIP0::192.168.100.11::INSTR";

bool connected = api1.ConnectInstrument (inst1, inst2);

4. Configure the Waveform

Get an IEEE 802.11ax object.

Agilent.SignalStudio.Wlan11ax.CarrierSetup carrier = api.WaveformSetup.CarrierConfig;

Get a User object.

UserSetup usr = api.WaveformSetup.CarrierConfig.UserSetups[0];

Get a MPDU object.

MpduSetup mpdu = api.WaveformSetup.CarrierConfig.UserSetups[0].MpduSetups[0];

Select the spatial mapping scheme:

api.WaveformSetup.CarrierConfig.SpatialMappingScheme = Agilent.SignalStudio.Wlan11ax.SpatialMappingScheme.SpatialExpansion;

Get the first signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen0 = api.Hardware.SGArray[0];

Get the second signal generator object.

Agilent.SignalStudio.N7617.SigGenConfigD sigGen1 = api.Hardware.SGArray[1];

Set the RF frequency to 2.412 GHz (1e9).

sigGen0.Frequency = 2.412e9;

sigGen1.Frequency = 2.412e9;

Set the amplitude to -30.0 dBm.

sigGen0.Amplitude = -30.0;

sigGen1.Amplitude = -30.0;

5. Generate, Download and Run the Waveform

Generate and download the waveform packages to the signal generators, then run them.

api.Download();

6. Set RF On

Turn the signal generator's RF output on.

sigGen0.RfOutputEnabled = true;

sigGen1.RfOutputEnabled = true;

api.Hardware.UpdateToInstrument();

7. Set RF Off

Turn off the RF output.

sigGen0.RfOutputEnabled = false;

sigGen1.RfOutputEnabled = false;

api.Hardware.UpdateToInstrument();

Related Topics

API Help

Microsoft.Net-Based API


Using API in LabVIEW

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | gives help on communication problems between the PC and the signal generator.
Instrument Problems | describes measurement or operation problems with the signal generator.
Printing Problems | describes how to print popup topics.


Software Problems

"Baseband Generator DAC over range"

After downloading the waveform, the signal generator displays error: Baseband Generator DAC over range.

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value. For example, 50 percent or less.

The signal generator front panel keys do not work

After downloading the waveform, the signal generator front panel keys do not work.

Cause: Downloading the waveform places the signal generator in remote operation, which deactivates the front panel operation.

Solution: On the signal generator, press the Local key to restore front panel operation.

An authorization dialog box or license error message appears

After clicking Download in the tool bar, an authorization dialog box or license error message appears.

Cause: A license file for a signal generator being used cannot be found on the PC or in the instrument.

Solution: The software requires a license to be fully functional. You must have either a permanent license or a non-expired 14-day trial license for each signal generator being used. To get a free one time 14-day trial license or purchase a permanent license, see Licensing.

"FW version is not valid"

After clicking Test Connection or Test All Connections, "FW version is not valid" appears in the Note column of the Instruments window.

Cause: The current firmware version of the signal generator needs to be upgraded.

Solution: See System Requirements for information on updating the required firmware.

"Insufficient memory in signal generator"

After clicking Download in the tool bar, the error message "Insufficient memory in signal generator" appears.

Cause: The generated waveform may exceed the Arb memory.

Solution: After you click Download, the software automatically detects the size of Arb memory in the signal generator and compares it with the size of the generated waveform. In some configurations, the generated waveform size exceeds 8 Msamples. In this case, it isn't possible to transfer the waveform into a signal generator with Options 001 or 601. Use a signal generator with Options 002 or 602 for more waveform memory.

"Restricted User" cannot run Signal Studio application.

Cause: When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.

Related Topics

Equipment Setup and Connection

Instrument Problems

Interface Problems

Licensing

Signal Generator Settings

Contacting Keysight Technologies


Interface Problems

Troubleshooting the GPIB Interface

  1. Verify that the GPIB cable and all connectors are undamaged.

  2. Verify that the GPIB cable is securely connected to the PC and the signal generator.

  3. Verify that the instrument you are trying to communicate with is turned on.

  4. Verify that the GPIB address entered in the software matches that of the signal generator. In the software tree view, select Hardware to display the GPIB address in the property page.

  5. Validate the connection. In the software tree view, select Hardware and click the Test I/O Connections button.

  6. Review Equipment Setup, Testing the Equipment Connections, and the information about installing Keysight I/O libraries.

Troubleshooting the LAN Interface

If the signal generator is connected directly to a computer, use a crossover LAN cable; if the signal generator is connected to a network/hub/router, do not use a cross-over LAN cable.

  1. Verify that the cable and all connectors are undamaged.

  2. Verify that the LAN cable is securely connected to the PC and the signal generator.

  3. Verify that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. Verify that the Hostname (Machine Name for PXB) or IP address entered in the software matches that of the signal generator. In the software tree view, select Hardware to display the Hostname or IP address in the property page.

  5. Validate the connection. In the software tree view, select Hardware and click the Test I/O Connections button.

  6. Run the 'ping' program:

    1. On the computer go to Start > Programs > Accessories > Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>,

      where <IP address> is the signal generator's IP address.

    3. If the signal generator does not respond, contact your IT department for help.

  7. If the 'ping' program works correctly, but there is still a connection problem, and the PC is connected directly to the signal generator (using a cross-over cable), add the signal generator's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts.

    1. In a text editor such as Notepad, open the Hosts file.

    2. Write the IP address and hostname (Machine Name for PXB) of the instrument at the bottom of the file.

      (Refer to the example of a hosts file below.)

    3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>

<xxx.xxx.xxx.xxx> <spectrum analyzer hostname>

Related Topics

Equipment Setup

Instrument Problems

Software Problems

Testing Connection

Contacting Keysight Technologies

Related Links

GPIB cables

Keysight 82357A USB/GPIB cable


Instrument Problems

Signal Generator

Front panel keys do not work

Downloading the waveform places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

    ESG:

    Press Utility > Error Info on the signal generator front panel to view error messages on the display.

    Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

    EXG/MXG:

    Press the Error hardkey on the signal generator front panel to view error messages on the display.

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact a Keysight Technologies Service Center.

PXB

Error messages

"Instrument is 'not configured correctly for proper download and Playback"

This error is displayed when the PXB is not configured to accept an ARB waveform file or if not enough BBG resources are available. Check the following possible causes:

  1. Confirm that you have loaded the correct configuration on the PXB.

  2. Confirm that the loaded configuration contains the correct number of BBGs. For example, if Signal Studio is set up to download two waveform files for 2X2 MIMO, the loaded PXB configuration must contain at least two BBGs.

“Download is not allowed while Instrument is in Play state. Press “Stop” on Instrument”

You cannot download waveforms from Signal Studio to the PXB while the PXB is playing a waveform.

Press the Stop button on the PXB to stop the currently playing waveform before downloading waveforms from Signal Studio.

Refer to the PXB's online documentation for more error message descriptions and troubleshooting procedures.

Computer

  1. Verify that the equipment meets the minimum requirements. See System Requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Interface Problems

Software Problems

Contacting Keysight


Printing Popup Topics

The Popup Text Prints Over Other Text

If you click the print icon ( [image]) while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7617B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the WLAN installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

N7617B Release Notes

Version 3.4 - Aug 2017

Version 3.2 - Apr 2017

Version 3.0 - Sep 2016

Version 2.2 - Sep 2015

Version 2.1 - Mar 2015

Version 2.0 - Jan 2015

Version 1.15 - Sep 2014

Version 1.14 - Jan 2014

Version 1.13 - Jun 2013

Version 1.12 - Mar 2013

Version 1.11 - Dec 2012

Version 1.10 - Oct 2012

Version 1.9 - Aug 2012

Version 1.8 - April 2012

Version 1.7 - Oct 2011

Version 1.6 - Jun 2009

Version 1.5 - Aug 2008

Version 1.4 – Jun 2008

Version 1.3 – Sep 2007

Version 1.3 – Aug 2007

Version 1.1.0.0 – Feb 2007

Version 1.0.6.0 – Nov 2006

Version 1.0.5.0 – Sep 2006

Version 3.4 - Aug 2017

Enhancements

  • Supports HE TB (Trigger Based) PPDU of 802.11ax with below capabilities:

    • 20, 40, 80, MHz BW signals with up to 8 streams per user.

    • Uplink OFDMA with 26, 52, 106, 242, 484, 996 tone RU (Resource Unit).

    • Channel coding with BCC and LDPC, MCS0-11, 1024QAM.

    • Uplink MU-MIMO on an RU where the RU spans the entire bandwidth with up to 8 streams.

    • Uplink MU-MIMO with OFDMA.

    • Support Power offset/Timing offset/Frequency offset/Symbol clock offset for different users.

  • Supports HE ER (Extended range) SU PPDU in the higher frequency 106-tone RU of the primary 20 MHz channel for 802.11ax

  • Supports RU size greater than 242 in HE 160M MU PPDU for 802.11ax

  • Supports live connection to single channel configuration of M9421A/M9420A VXT for 802.11ax

  • Upgraded to 64-bit version

Bug Fixes

  • Fixed the issue that the Pilot pattern for 26-tone RU is not aligned with 802.11ax Specification

  • Fixed the Pilot polarity issue for 802.11ax

  • Fixed the issue that the second channel EVM is not correct when under HE MU 20M PPDU with 1RU(RU242) MU-MIMO for 802.11ax

  • Fixed the issue that the Signal studio cannot load some scp files

  • Fixed the issue that 4x4 MIMO signal is not correct under 80M HE MU PPDU with 484-tone RU, 242-tone RU and 242-tone RU for 802.11ax

Version 3.2 - Apr 2017

Enhancements

  • Added the following enhancements to 802.11ax waveform generation:

    • MAC Trigger frame using HE SU PPDU

    • Power boost for different RUs in HE MU PPDU

    • Dual Carrier Modulation (DCM) for different users in HE MU PPDU

    • Scrambler Initialization for different users in HE MU PPDU

Bug Fixes

  • Fixed issue that L-Sig info in HE-SIG-A does not align with WLAN 802.11ax spec D1.1

  • Fixed issue that the spectrum of 80M MU PPDU is not correct

  • Fixed API issue that when RU SS (spatial stream) is more than 1 of HE MU PPDU

  • Fixed issue that the power of HE-STF for some HE MU PPDU case

  • Fixed exception issue that when all the RU State are set to Off and generation attempted

  • Fixed issues that the content of HE-SIG-A and HE-SIG-B does not align with WLAN 802.11ax spec D1.1

  • Fixed issue that Spatial Matrix for 802.11ax/ 802.11ac in configuration file does not save and recalled correctly

  • Fixed issues so that the support for RU Size greater than 242 in HE 80M MU PPDU aligns with WLAN 802.11ax spec D1.1

Version 3.0 - Sep 2016

Enhancements

  • Added support for 802.11ax waveform generation, including the following:

    • Supports HE SU PPDU, HE MU PPDU, HE extended range SU PPDU, and HE NDP PPDU formats

    • OFDMA with 26, 52, 106, 242, 484, 996, 996*2 tone RU (Resource Unit)

    • Channel coding with BCC and LDPC, MCS0-11, 1024QAM

    • 20, 40, 80, and 160 MHz BW signals with up to 8 streams/antennas

    • 80+80 MHz signals using two ESGs or MXGs with RF combining

    • Dual-carrier modulation for HE SU PPDU

    • Multiuser MIMO

Minor Enhancement Updates (MEU) - Option U03 or greater

  • 802.11ac enhancements:

    • Supports channel coding (BCC and LDPC ) for 1024QAM (MCS Index 10 & 11)

    • Added Partial AID as a user settable parameter

Bug Fixes

  • Fixed issue that 80+80 2X2 LDPC signal could not be received by some devices

  • Fixed issue that when connected to an M9420A, the bandwidth for 802.11ac could not be set to 160 MHz

  • Fixed issue in applying window (the EVM of last OFDM symbol was not correct)

Version 2.2 - Sep 2015

As of version 2.2, N7617B Signal Studio for WLAN changed support for N7617A and ESG Opt 417. Unless there are new features in v2.2 important for your application, you should continue to use the older version. If you do update to v2.2 software, you cannot playback the new waveforms created by v2.2 software unless you upgrade to N7617B license. Note you can still playback the waveforms created using v2.1 or older versions of software. Please contact factory for upgrade information.

Enhancements

  • Added direct-connectivity support for the E6640A EXM Wireless Test Set

  • Added multi-channel 2x2 support for the E6640A EXM Wireless Test Set

  • Added direct-connectivity support for the E6650A EXF Wireless Test Set for Femtocell

  • Added direct-connectivity support for the M9420A VXT PXIe Vector Transceiver

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Minor Enhancement Updates (MEU) - Option U02 or greater

  • Added multi-channel 2x2, 3x3, and 4x4 support with multi-channel synchronization for the M9381A PXIe VSG

  • Added high-resolution waveform export capability

Bug Fixes

  • Fixed an issue where the software failed to recall a SCP file with MCS 10 in 802.11ah

  • Fixed and issue where the power decreased over time when playing a 802.11ah waveform with 1 MHz BW and MCS 10 on an N5182B MXG

  • Fixed a glitch that occurred at the end of an 802.11a/b/g waveform

Version 2.1 - Mar 2015

Bug Fixes

  • Fixed issue with the 802.11ah format -- STF symbols were incorrect for bandwidths of 4 MHz, 8 MHz, and 16 MHz

Version 2.0 - Jan 2015

Enhancements

  • Added support for 802.11ah waveform creation, including the following:

    • SIG PPDU, channel coding with BCC and LDPC, MCS 0-9, and 10 (for 1 MHz only)

    • Up to 4 multi-user MIMO

    • 1, 2, 4, 8, 16 MHz BW signals with up to 4 streams/antennas

    • Added direct connectivity for common signal generators

  • Re-designed Quick Setup and System Configuration Wizard interfaces

Minor Enhancement Updates (MEU) - Option U01 or greater

  • Added direct connectivity for the M9381A PXIe VSG when using 802.11a/b/g, 802.11n and 802.11ac formats

  • Added MCS10 (1024-QAM) support for 802.11ac Basic capability

Bug Fixes

  • Fixed issue with 802.11ac format only -- the data type for “Total Sample Points” was changed from ‘long’ to ‘ulong’ to accommodate large waveform

Version 1.15 - Sep 2014

Enhancements

  • Applied Keysight brand to software

Bug Fixes

  • Fixed issue with 802.11p format where ALC did not function correctly on MXG

Version 1.14 - Jan 2014

Enhancements

  • Added frequency selective IQ impairments for 802.11n and 802.11ac (only for VHT-PPDU)

  • Added Beacon frame for 802.11n and 802.11ac

  • Added an API method to query CCDF results for all the WLAN formats

  • Added time-length related information parameters for one frame in 802.11n waveform setup (already supported in 802.11ac waveform setup)

Bug Fixes

  • Trigger Source no longer gets stuck in default setting

  • For 802.11n, pilots are now phase rotated when STBC is on

  • 802.11a/b/g/j/p no longer wrongly requires Option Hxx to play a waveform generated with the Data Type set to PN15, even when Hxx is disabled

  • For 802.11n, disabling the Option Hxx license no longer wrongly toggles the Channel Coding State to Off

Version 1.13 - Jun 2013

Enhancements

  • Added support for 5 MHz bandwidth for 802.11p

  • Added support for the E6630A Wireless Connectivity Test Set.

Bug Fixes

  • Fixed the problem where the 802.11ac 80+80 MHz mode was not configured correctly and the download failed with "Index was outside the bounds of the array" error.

  • Fixed pilot issue for N7617B duplicate mode in legacy HT 40.

  • 802.11a/b/g/j/p and 802.11n formats now support the X-Series capability of a 200-MHz sample rate. 802.11ac already supported this sample rate.

Version 1.12 - Mar 2013

Enhancements

  • For 802.11ac, added the support for non-HT transmission.

  • For 802.11ac, added the support for beamforming matrix.

  • For 802.11ac, added support for Minimum MPDU Start Spacing.

  • Implemented new license for Option Hxx, Update to 802.11a/b/g/j/p and 802.11n, which enables the following features:

    • For 802.11n, added the support for LDPC encoding.

    • For 802.11n, added the support for Minimum MPDU Start Spacing.

    • For both 802.11n and 802.11a/b/g/j/p, added the support for user-defined PN seed.

  • For 802.11n basic mode, added a new GUI parameter, Scrambler Initialization.

  • For 802.11n, the name on GUI, Total Length per Frame, is changed to MPDU Length.

  • For 802.11ac, the name on GUI, MAC Frame Length, is changed to MPDU Length.

Bug Fixes

  • For 802.11ac, the range of Quadrature Angle Adjustment and I/Q Gain Balance were not restricted to reasonable values. Quadrature Angle Adjustment is now confined within the range of -90 degrees to 90 degrees, and I/Q Gain Balance is within -10dB to 10dB.

Version 1.11 - Dec 2012

Bug Fixes

  • The RMS value of the waveform was incorrectly calculated, causing the power level to be 3 dB higher than normal when using power search.

Version 1.10 - Oct 2012

Enhancements

  • For 802.11ac, added parameters that allow the user to specify the PN seed used when generating PN9 and PN15 data sequences.

  • For 802.11ac, allow the user to specify the Scrambler Initialization value when working in Basic mode.

Bug Fixes

  • For 802.11n, the ‘Signal Configuration’ parameters failed to refresh on some PCs when the Format was changed in the ‘Waveform Setup’ node.

  • For 802.11ac, the Aggregated Mpdu was incorrectly turned on when recalling a setup file saved with software version 1.7.

  • When recalling a setup file with a PPDU format other than the one in the current setup, an error message was displayed saying "There is an error in the XML document."

  • The values in CCDF data table were not correct.

  • 802.11ac waveforms had a different delay from the Event 1 (marker 1) output to the start of RF output when using software version 1.9, versus 1.7.

  • For 802.11ac, the delay from the start of the Event 1 marker output to the start of the RF output was different when a root-raised cosine filter was on versus off in software version 1.9. However, the delay was the same for these cases in version 1.7.

  • When playing back an 802.11ac waveform file, using single sweep with external trigger, the power with ALC on was sometimes unstable.

  • VHT-LTF and VHT-SIG-B were generated incorrectly when the number of space-time streams was 5 or 6 due to an error in Matrix PVHTLTF.

Version 1.9 - Aug 2012

Enhancements

  • Added support for the M8190A Arbitrary Waveform Generator.

  • Added support for the M9381A PXI Vector Signal Generator.

  • Added support for the M9252A DigRF Host Adapter.

  • Added support for a mix of N5182A/B MXG or N5172B EXG signal generators for WLAN 802.11ac MIMO and 80+80 MHz setups.

  • Added Trigger button to instrument control page.

  • Improved the CCDF display.

  • Added support for WLAN 802.11ac operation in the TVWS spectrum.

  • Improved WLAN 802.11ac channel models for fading impairments.

  • Increased maximum data length for WLAN 802.11ac.

  • Increased MIMO support for WLAN 802.11ac to up to 8 antennas using EXG or MXG signal generators.

  • OFDM windowing was applied across PPDU frame boundaries.

  • The default value for Perform DC I/Q Calibration was changed from Off to ON.

  • The maximum value for Oversampling Ratio was changed from 16 to 64.

  • The maximum value for Number of Frames was changed from 16 to 2000.

  • Two parameters, “RF Burst Duration in One Frame” and “Overall Waveform Duration in One Frame,” were added to indicate the waveform duration.

Bug Fixes

  • Corrected the WLAN 802.11g generated waveform when the data rate is 33 Mbps (PBCC).

  • Increased the impulse duration on Event 1 to 0.5 µs to ensure that the duration is long enough to trigger the customer's device.

  • The x-axis for the Power, I and Q graphs ended at 262143 points and 2.62 ms, even when longer waveforms were created, so the graphs did not show the length of the RF burst correctly.

  • The software had failed to turn I/Q on in cases where the user would manually turn I/Q off on the instrument and then download the waveform to the instrument.

Version 1.8 - April 2012

Enhancements

  • Added support for N5182B MXG and N5172B EXG X-Series RF vector signal generators, starting at firmware revision B.01.00.

  • Enable 160 MHz bandwidth for WLAN 802.11ac.

  • Added Internal Channel Correction to the IQ parameters of the Instrument Controls.

Bug Fixes

  • Correct the wrong Delimiter Signature bit order in the MPDU delimiter for WLAN 802.11ac.

  • Improve the spectrum shape when applying window for WLAN 802.11ac.

Version 1.7 - Oct 2011

Enhancements

  • Created 802.11ac WLAN waveforms

    • VHT PPDU, channel coding with BCC and LDPC, MCS 0-9

      Multi-user MIMO

    • Single-channel 20, 40, and 80 MHz BW signals with E8267D PSG

    • 20, 40, and 80 MHz BW signals with up to 4 streams/antennas using E4438C ESG, N5182A MXG, or N5106A PXB

    • 80+80 MHz signals using two ESGs or MXGs with RF combining

  • Added non-live connectivity for EXT in the WLAN 802.11a/b/g/j/p and WLAN 802.11n.

  • Added 50-pack waveform licensing support.

  • Increased waveform name length to 22 characters.

Bug Fixes

  • Corrected the defect that the “Mirror spectrum" doesn't work for 40MHz legacy signal in WLAN 802.11n.

Version 1.6 - Jun 2009

Enhancements

  • Added connectivity for the N5106A PXB Baseband Generator and Channel Emulator.

  • Added new fields 'QoS Control' and 'HT Control' in 802.11n MAC header configuration.

  • Expanded the MCS index range from [0 -32] to [0 - 76].

Bug Fixes

  • Corrected the pilot error of STBC in 802.11n.

  • Corrected the payload length error in 40MHz Basic mode.

  • Corrected the defect that exported waveform has unspecified RMS value.

Version 1.5 - Aug 2008

Bug Fixes

  • Corrected the download failure "Object sync method called from an unsynced block of code" on some PCs.

  • Corrected the defect that MAC Header data can not be set.

  • Corrected the defect that 802.11b signal has problem when the frame length is set to 32, 43 or 54 bytes.

  • Corrected the defect that the AMPDU MPDU length, and HT length are not set correctly.

  • The limit of MPDU number changed from 20 to 64.

Version 1.4 – Jun 2008

Enhancements

  • Added connectivity for the N5162A MXG ATE vector signal generator.

Version 1.3 – Sep 2007

Enhancements

  • Updated online documentation with Waveform 5-pack licensing information.

Version 1.3 – Aug 2007

Enhancements

  • Added Multiple N5182As support for MxN MIMO.

  • Allow user to assign markers in waveform file.

Bug Fixes

  • Fixed a bug that subcarrier mask is not applied correctly when directly clicking download.

  • Fixed a defect that caused bad EVM for pilots when set to > 24 Mbps OFDM under 802.11a/g basic mode.

  • Fixed file sharing problem between Hex Editor and the Signal Studio software.

  • Fixed a bug of PSG power output inaccuracy due to ALC hold set to None.

Version 1.1.0.0 – Feb 2007

Enhancements

  • Added support for E4438C and E8267D signal generators.

  • Added API sample projects.

  • Default value of BT for Gaussian filter changed from 0.7 to 0.5.

  • Software changed to recognize ESG option 417 connectivity option.

Bug Fixes

  • Extension of exported 802.11n waveform files changed from *.wfm0, *.wfm1... to *0.wfm, *1.wfm...

  • Fixed a bug that caused an error when generating a waveform after loading a settings file.

Version 1.0.6.0 – Nov 2006

Bug Fixes

  • Updated the software for use with firmware revision A.01.10 for the N5182A MXG signal generator to resolve a licensing problem.

  • Updated the software to correct a defect in which incorrect license status information was reported for a valid trial license.

Version 1.0.5.0 – Sep 2006

Initial Release

Software version 1.0.5.0 is the initial release of N7617B Signal Studio for WLAN 802.11a/b/g/n/ac (formerly named 802.11 WLAN) and is used to generate WLAN MAC and PHY standard-compliant waveforms for component or receiver test.

Features

  • Flexible software licenses for IEEE 802.11a/b/g/j/p WLAN and 802.11n WLAN to test receivers (Advanced Capability) and components (Basic Capability)

  • Create 802.11a/b/g/j/p WLAN waveforms

    • Up to 3 data carriers

    • Different coding rates and modulation types (OFDM, DSSS and PBCC)

    • Intuitive setup of MAC header and MAC FCS

    • Fully or partially coded channel (convolutional coder, interleaver, Scrambler, PBCC encoder)

    • Pre-impairments with skew I/Q phase and up to 20 paths static multipoint reflection on waveform

  • Create 802.11n WLAN waveforms

    • Scalable MIMO system: Mx2, Mx3, Mx4 (M [image] 4)

    • Flexible spatial stream mapping and MIMO parameter setting; MCS index 0 to 32, 20 MHz/ 40 MHz bandwidth, short guard interval

    • Fading and channel models A~F for MIMO

    • Operating mode: Legacy, Mixed Mode, Green Field

    • Aggregation mode (A-MPDU) in MAC layer

    • Space time block coding (STBC)

    • Switched output on one MXG solution

  • Built-in Microsoft.Net-based API for programmable control

  • Control signal generator functions remotely through the software

    • I/Q adjustments and triggering

    • Calibrated AWGN (requires N5182A option 403)


Glossary

AP | access point
Arb | arbitrary, as in arbitrary waveform
AWGN | additive white Gaussian noise
BBG | baseband generator
BER | bit error rate
BPSK | binary phase shift keying
CCDF | complementary cumulative distribution function
CCK | complementary code keying
CS | cyclic shift
CTS | clear to send
C/N | carrier to noise ratio
dB | decibels
dBm | decibels relative to 1 mW
DBPSK | differential binary phase shift keying
DQPSK | differential quadrature phase shift keying
DSSS | direct sequence spread spectrum
ECC | error correcting code
EPP | extended PHY protection
ERP | extended rate PHY
EVM | error vector magnitude
FC | frame control
FCS | frame check sequence
FER | frame error ratio
FHSS | frequency hopping spread spectrum
GF | green field
GI | guard interval
GPIB | general purpose interface bus
HT | high throughput
I/Q | in-phase and quadrature channels
LAN | local area network
LSB | least significant bit
LTF | long training field
MAC | medium access control
MCS | modulation and coding scheme
MIMO | multiple input multiple output (Both transmitter and receiver have multiple antennas for signaling over a point-to-point link)
MISO | multiple input, single output (Transmitter has multiple antennas but receiver has a single antenna)
MM | mixed mode
MPDU | MAC protocol data unit
ms | milliseconds
MSB | most significant bit
OFDM | orthogonal frequency division multiplexing
OSR | oversampling rate
PBCC | packet binary convolutional code
PC | personal computer
PER | packet error rate
PHY | physical (layer)
PLCP | physical layer convergence protocol
PN | pseudo-random number
PMD | physical medium dependent
PPDU | PLCP protocol data unit
PRBS | pseudo-random binary sequence
PXB | Keysight N5106A PXB Baseband Generator and Channel Emulator
QAM | quadrature amplitude modulation
QPSK | quadrature phase shift keying
RF | radio frequency
RTS | request to send
RX | receive or receiver
S1G | sub 1 GHz
SIMO | single input, multiple output (Transmitter has a single antenna, receiver has multiple antennas)
SISO | single input, single output (Both transmitter and receiver have a single antenna)
STBC | space time block codes
STF | short training field
TX | transmit or transmitter
TxBF | transmit beam forming
VHT | Very High Throughput
WLAN | wireless local area network


Additional Information

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.


N7617B System Requirements

To generate signals using the N7617B Signal Studio for WLAN 802.11a/b/g/n/ac/ah/ax software, you must have a properly configured PC and a properly configured instrument, as described in the following tables.

WLAN 802.11a/b/g/j/p

WLAN 802.11n

WLAN 802.11ac

WLAN 802.11ah

WLAN 802.11ax

Hardware Requirements for WLAN 802.11a/b/g/j/p

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Additional options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Additional options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG vector signal generator

Firmware:

Version A.01.20 or later (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade )

Required options:

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory)

Recommended options:

N5182A-019 (Increase Baseband Generator Memory to 64 MSa)

N5182A-UNV (Enhanced Dynamic Range)

N5182A-403 (calibrated noise personality, required for C/N capability)

N5182A-506 (250 kHz to 6 GHz frequency range)

E4438C ESG vector signal generator

Firmware:

Version C.04.95 or later (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade )

Required options:

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Recommended options:

E4438C-005 (6 GB internal hard drive)

E4438C-403 (calibrated noise personality, required for C/N capability)

E4438C-506 (250 kHz to 6 GHz frequency range)

E4438C-UNJ (Enhanced phase noise performance [includes 1E5], required with E4438C-506)

E4438C-1E5 (High-stability time base, included with E4438C-UNJ)

E8267D PSG vector signal generator

Firmware:

Version C.04.92 or later (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade )

Required options:

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability)

Recommended options:

E8267D-005 (6 GB internal hard drive)

E8267D-403 (calibrated noise personality, required for C/N capability)

N5106A PXB baseband generator and channel emulator

Required options (both of the following bundles are required for verifying MIMO performance)

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5106A-LTE (WLAN MIMO software application bundle)

This bundle includes:

N5106A-TFP (WLAN channel models)

N7617B-6FP (N5106A connectivity)

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11n

Solutions

Instruments

Requirements

One Signal Generator Solution for MxN MIMO

(output switched between multiple waveforms in ARB memory)

One N5172B EXG

or

One N5182B MXG

or

One N5182A MXG

or

One E4438C ESG

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

Multiple ESGs Solution without Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

(E4438Cs driven from 10M reference and the same trigger)

M number of E4438Cs for transmitter test or N number of E4438Cs for receiver test

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

Multiple Signal Generators Solution with Baseband Timing Alignment, but without RF Phase Coherence for MxN MIMO

(Two signal generators with baseband generator clock coherence, but without RF common LO)

M numbers of

N5172Bs or

N5182Bs or

N5182As or E4438Cs

for transmitter test

or

N numbers of

N5172Bs or

N5182Bs or N5182As or E4438Cs

for receiver test

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with Option 506)

E4438C-HEC (provides external baseband generator clock input, which requires 200 - 400 MHz clock input signal)

One external ARB clock

Working with E4438C

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

(Signal generators with RF common LO and baseband generator clock coherence)

M numbers of

N5172Bs or

N5182Bs or

N5182As or E4438Cs

for transmitter test

or

N numbers of

N5172Bs or

N5182Bs or N5182As or E4438Cs

for receiver test

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-012 (LO IN/OUT for phase coherency, required)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with Option 506)

E4438C-HEC (provides external baseband generator clock input, which requires 200-400 MHz clock input signal)

E4438C-HCC (provides 250 MHz to 4 GHz IN & OUT on the rear panel of the E4438C)

E4438C-HBC (provides 4 GHz to 6 GHz IN & OUT on the rear panel of the E4438C, requires E4438C-HCC and E4438C-506, I-bar OUT and Q-bar OUT connectors will be removed from the rear panel)

Lock box plus external ARB clock or amplifier distribution

Working with E4438C

Z5623AK10 (4 channel distribution amplifier, 250 MHz to 6 GHz) plus an N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Instruments

Requirements

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9381A PXIe vector signal generator (multi-channel synchronization)

Driver:

Version 2.1.000.0 or later

Required options:

Y1299A-001 PXI multi-channel/MIMO, reference solution kit

  • For multi-channel operation, the Signal Studio software assumes the M9381A VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the Multi-Channel, Reference Solution Startup Guide for more information.

  • Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

Recommended options:

M9381A-012 (LO sharing for phase coherency)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11ac

Solutions

Hardware Requirements

80+80 MHz SISO

Mx2 MIMO

Mx3 MIMO

Mx4 MIMO

Mx5 MIMO

Mx6 MIMO

Mx7 MIMO

Mx8 MIMO

MxN MIMO (with one signal generator switching between different waveforms)

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64 MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

N5106A PXB

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5106A-LTE (WLAN MIMO software application bundle)

This bundle includes:

N5106A-TFP (WLAN channel models)

N7617B-6FP (N5106A connectivity)

External ARB Clock Working with E4438C

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Instruments

Requirements

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9381A PXIe vector signal generator (multi-channel synchronization)

Driver:

Version 2.1.000.0 or later

Required options:

Y1299A-001 PXI multi-channel/MIMO, reference solution kit

  • For multi-channel operation, the Signal Studio software assumes the M9381A VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the Multi-Channel, Reference Solution Startup Guide for more information.

  • Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

N7617B-U02 or greater (Signal Studio minor enhancement update, Option MEU)

Recommended options:

M9381A-012 (LO sharing for phase coherency)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11ah

Solutions

Hardware Requirements

Mx2 MIMO

Mx3 MIMO

Mx4 MIMO

1x1 MIMO (for PXB)

2x2 MIMO (for PXB)

4x4 MIMO (for PXB)

MxN MIMO (with one signal generator switching between different waveforms)

N5172B EXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

or N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-506 (9 kHz to 6 GHz frequency range)

Other options to consider:

N5172B-009 (internal Flash drive)

N5172B-012 (LO in/out for phase coherency)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-UNV (enhanced dynamic range)

N5182B MXG

Firmware version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range

or N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-506 (9 kHz to 6 GHz frequency range)

Other options to consider:

N5182B-009 (internal Flash drive)

N5182B-012 (LO in/out for phase coherency)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNV (enhanced dynamic range)

N5182A MXG

Firmware version A.01.20 or later (how to upgrade)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-019 (Increase Baseband Generator Memory to 64 MSa, recommended)

N5182A-UNV (Enhanced Dynamic Range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG

Firmware version C.04.95 or later (how to upgrade)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

N5106A PXB

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory, required)

N5106A-LTE (WLAN MIMO software application bundle)

This bundle includes:

N5106A-TFP (WLAN channel models)

N7617B-6FP (N5106A connectivity)

External ARB Clock Working with E4438C

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Instruments

Requirements

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

Hardware Requirements for WLAN 802.11ax

Instruments | Requirements
N5172B EXG X-Series RF vector signal generator | Firmware: Version B.01.10 or later (how to upgrade) Required options: N5172B-503 (9 kHz to 3 GHz frequency range) or N5172B-506 (9 kHz to 6 GHz frequency range) N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) Recommended options: N5172B-506 (9 kHz to 6 GHz frequency range) Additional options to consider: N5172B-009 (internal Flash drive) N5172B-012 (LO in/out for phase coherency) N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa) N5172B-1EA (high power output for PA testing) N5172B-403 (calibrated AWGN for testing with noise) N5172B-UNV (enhanced dynamic range)
N5182B MXG X-Series RF vector signal generator | Firmware: Version B.01.10 or later (how to upgrade) Required options: N5182B-503 (9 kHz to 3 GHz frequency range or N5182B-506 (9 kHz to 6 GHz frequency range) N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) Recommended options: N5182B-506 (9 kHz to 6 GHz frequency range) N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth) Additional options to consider: N5182B-009 (internal Flash drive) N5182B-012 (LO in/out for phase coherency) N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa) N5182B-1EA (high power output for PA testing) N5182B-403 (calibrated AWGN for testing with noise) N5182B-UNV (enhanced dynamic range)
M9420A VXT PXIe vector transceiver | Software: Version M.16 or later Recommended options: M9420A-506 (frequency range 6 GHz) M9420A-1EA (high output power) M9420A-B85 (increases signal bandwidth to 80 MHz) M9420A-B1X (increases signal bandwidth to 160 MHz) M9420A-M05 (memory 512 MSa) Additional options to consider: M9420A-FDX (full duplex ports) M9420A-HDX (half duplex ports)
M9421A VXT PXIe vector transceiver | Software: Version M.16 or later Recommended options: M9421A-506 (frequency range 6 GHz) M9421A-1EA (high output power) M9421A-B85 (increases signal bandwidth to 80 MHz) M9421A-B1X (increases signal bandwidth to 160 MHz) M9421A-M05 (memory 512 MSa) Additional options to consider: M9421A-HDX (half duplex ports)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the Signal Studio Trial License web page.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M8190A arbitrary waveform generator

  • M9381A PXIe vector signal generator

  • M9420A VXT PXIe vector transceiver

  • E6640A EXM wireless test set

  • E6650A EXF wireless test set for femtocell

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


Transmission Modes

802.11ah Transmission Modes

802.11ah PHY layer transmission modes are classified into 2 categories.

  • Category 1: greater than or equal to 2 MHz channel bandwidths.
  • Category 2:1 MHz channel bandwidth.

The data rates of 802.11ah are one-tenth of 802.11ac, due to the ten times extended symbol duration.


Configure Waveform

Configure Waveforms Quickly and Easily

Signal Studio for WLAN 802.11a/b/g/n/ac provides a flexible, intuitive graphical user interface that makes operation easy and straightforward. All signal and hardware parameters are conveniently set in a windows interface. Graphical displays make it easy to confirm the parameters you’ve chosen, such as coding and modulation, payload data setup, distribution of power (CCDF), and power envelope.

Figure 1. Graphical displays show frame setup as well as pre-download CCDF and power analysis tools.

Save Configurations as Quick Setups

Start by customizing the parameters in a configuration to create the signals you need. Save your custom configurations as Quick Setups for later use. Create a library of different setups tailored to meet your specific testing requirements.

Add Real-Time AWGN and Pre-impairments

If your signal generator is equipped with the optional calibrated AWGN capability (option 403), you can add real-time AWGN to the WLAN signal without using a standalone noise generator. Through the intuitive software interface, conveniently add pre-impairments such as I/Q phase skew and up to 20 paths of static multipoint reflection to the waveform.

Supported Standards

Waveforms created using Signal Studio for WLAN 802.11a/b/g/n/ac comply with Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) specifications as defined in the following IEEE publications: IEEE Std 802.11a-1999, IEEE Std 802.11b-1999, IEEE P802.11g/D8.2, Apr 2003, IEEE P802.11j/D1.6, August 2004, IEEE P802.11p/D0.23, August 2005, IEEE 802.11-05/1102r4 (Joint Proposal: High Throughput Extension to the 802.11 Standard: PHY), IEEE 802.11-03/940r4 (TGn Channel Models). The Signal Studio for WLAN software can provide test signals for the 802.11 physical layers shown in the following table.

Standard | IEEE 802.11a | IEEE 802.11b | IEEE 802.11g | IEEE 802.11j | IEEE 802.11p | IEEE 802.11n
IEEE Approval Date | 1999 | 1999 | 2003 | 2004 | 2005 | 2006 (draft)
Modulation | Up to 64QAM on 52 OFDM sub-carriers | CCK PBCC | OFDM: up to 64QAM on 52 OFDM sub-carriers DSSS: CCK PBCC ERP-PBCC | Up to 64QAM on 52 OFDM sub-carriers | Up to 64QAM on 52 OFDM sub-carriers | Up to 64QAM on 108 OFDM sub-carriers (standard not yet defined)
Data Rate (Mbps) | 6, 12, or 24 Optional: 9, 18, 36, 48, or 54 | 1, 2, 5.5, 11 | 1, 2, 5.5, 6, 11, 12, or 24 Optional: 9, 18, 22, 33, 36, 48, 54 | 20 MHz bandwidth: 6, 9, 12, 18, 24,36, 48, or 54 10 MHz bandwidth: 3, 4.5, 6, 9, 12 18, 24, or 27 | 20 MHz bandwidth: 6, 9, 12, 18, 24, 36, 48, or 54 10 MHz bandwidth: 3, 4.5, 6, 9, 12 18, 24, or 27 | 6-600Mbps
Frequency Band (GHz) | 5.150 to 5.250 (U-NII) 5.250 to 5.350 (U-NII) 5.47 to 5.725 (Europe) 5.725 to 5.825 (U-NII) | 2.412 to 2.484 | 2.412 to 2.484 | 4.90 to 5 5.03 to 5.091 | 5.850 to 5.925 | 2.412 to 2.484 5.150 to 5.250 (U-NII) 5.250 to 5.350 (U-NII) 5.47 to 5.725 (Europe) 5.725 to 5.825 (U-NII)


BCC Encoder

Binary Convolutional Coding (BCC) encoder for the bit error correction.


BCC Interleaver

Interleaves the bits of each spatial stream(changes order of bits) to prevent long sequences of adjacent noisy bits from entering the BCC decoder.


Component Test and Receiver Test

Component Test

Use the basic mode to access the software’s physical layer (PHY) frame setup parameters and quickly generate statistically correct 802.11a/b/g/j/p and 802.11n signals to test transmission or receiver chain components such as preamplifiers, filters, combiners, or amplifiers. Configure up to 3 carriers and their individual elements and channel coding parameters such as modulation type, payload data, partially coded channel data, coding rate, preamble, and amplitude. Set the generation mode to unframed or framed, and select the baseband filter to provide adequate stress on the components being tested.

Figure 2. Use basic mode to generate statistically correct 802.11a/b/g/j/p or 802.11n signals

Receiver Test

The advanced mode provides additional features to help you create IEEE 802.11 WLAN standard-compliant frame structures for testing receiver designs in all stages of development. Use the baseband signal to perform demodulation and decoding verification on ASIC and DSP chips. To thoroughly test the demodulation capabilities of a receiver, a test signal that is fully coded is necessary. This level of coding enables you to determine if each functional stage of a receiver is operating correctly and enables you to use this test signal to perform FER/PER and BER measurements.

Signal Studio for WLAN 802.11a/b/g/n/ac creates fully coded frames that enable you to use this test signal to perform your FER and PER measurements. The MAC parameters include MAC header setting, selectable MAC FCS, sequence control, data type, and data length. To measure PER, the user’s equipment can analyze the FCS transmitted from the source to determine how many of the packets that were sent from the source to the receiver were lost. The receiver can determine if there is a missing frame or if the frame has been retransmitted by looking at the sequence control field. A multiframe waveform with an incrementing Sequence Control field can be created. For the 802.11n option, MAC also supports Aggregation MPDU mode. Each frame can be fully coded with convolutional coding or scrambling and interleaving. You also have the flexibility to configure individual frame parameters, such as modulation type, coding rate, and preamble type.

Figure 3. Analyze your WLAN signal using the Keysight 89600 Series vector signal analysis software (v 6.1) with Option B7R, 802.11a/b/g WLAN modulation analysis and Option B7Z, 802.11n WLAN modulation analysis


CS

CS (Cyclic Shift Insertion) on Legacy Preamble

This cyclic shift is applied in the legacy short training field (in a Mixed Mode packet), the legacy long training field, and legacy signal field. It also applies to the HT signal field in a mixed mode packet. Cyclic shift is applied to each OFDM symbol in the packet separately.

In the case that spatial expansion is applied that increases the number of transmit chains, the cyclic shift may be applied in the frequency domain as part of spatial expansion.


CSD(Cyclic shift Definition)

Apply CSD for each transmit chain.


Cyclic Shift for HT Preamble and Data Portion

Cyclic Shift Insertion for HT Preamble and Data Portion

Throughout the high throughput preamble, cyclic shift is applied to prevent beamforming when similar signals are transmitted in different spatial streams. The same cyclic shift is applied to these streams during the transmission of the data portion of the packet.


Data Field

The data field includes the service field, the PSDU, the pad bits, and the tail bits.

The data field is scrambled. The data rate, encoding rate, and modulation varies. Refer to the MCS table.


Encoder Parser

De-multiplexes the scrambled bits among the number of FEC encoders, in a round robin manner.


FEC Encoder

Encodes the data to enable error correction – an FEC encoder may include a binary convolutional encoder followed by a puncturing device.


First HT-LTF

This is the first High Throughput Long Training Field in Green Field mode. It is 8µsec long consisting of two instances of the sequence plus a double GI (Guard Interval insertion.

  • In the 20 MHz transmission mode: the HT-LTF is assigned to sub-carriers –28 to –1 and 1 to 28; the training sequence is an extension of the L-LTF where the 4 extra sub-carriers are filled with +1 for negative frequencies and -1 for positive frequencies

  • In the 40 MHz transmission mode: the HT-LTF is assigned to sub-carriers –58 to –2 and 2 to 58, the training sequence is also constructed by extending the L-LTF as follows: first, the legacy LTF is shifted and duplicated for the duplicate legacy mode; then the missing sub-carriers are filled: sub-carriers [-32 -5 -4 -3 -2 2 3 4 5 32] are filled with the values [1 -1 -1 -1 1 -1 11 -1 1] respectively.


Frame Error and Packet Error Rate Tests

While the EXG/MXG does not have the capability to perform frame error rate (FER) or packet error rate (PER) tests, Signal Studio for WLAN 802.11a/b/g/n/ac creates fully coded frames that enable you to use this test signal to perform your FER and PER measurements (usually the chipset vendor provides PER/FER measurement software). PER is the number of corrupted packets received divided by the total packets received. FER is the number of corrupted frames received divided by the total frames received.

The 802.11 framing includes a selectable MAC FCS. To measure PER, the user’s equipment can compare the FCS transmitted from the source to determine how many of the packets that were sent from the source to the receiver were lost. The device under test (DUT) will need to demodulate and decode the test signal.

The DSSS mode framing includes a CRC appended to the end of the header. To measure FER, the user’s equipment can compare the CRC transmitted from the source to determine how many of the frames that were sent from the source to the receiver were lost . The device under test (DUT) will need to demodulate and decode the test signal.

The receiver can determine if there is a missing frame or if the frame has been re-transmitted by looking at the sequence control field. A multiframe waveform with an incrementing sequence control field can be created.

Note: When the MAC header is not selected, the FCS is applied on the payload.


High Throughput Long Training Field

High Throughput Long Training Field (HT-LTF)

The High Throughput Long Training field provides means for the receiver to estimate the channel between each spatial mapping input (or spatial stream transmitter if no STBC is applied) and receive chain; the number of training symbols is equal or greater than the number of space-time streams (with an exception in the case of 3 space-time streams).

The HT-LTF portion has one or two parts. The first part consists of from one to four HT long training fields (HT-LTFs) that are necessary for demodulation of the HT-Data portion of the PPDU. These HT-LTFs are referred to as Data HT-LTFs. The optional second part consists of from zero to four HT-LTFs that may be used to probe extra spatial dimensions of the MIMO channel that are not utilized by the HT-Data portion of the PPDU. These HT-LTFs are referred to as Extension HT-LTFs. If a receiver has not advertised its ability to receive Extension HT-LTFs, it may discard a frame including Extension HT-LTFs as an unknown frame type.

  • In the 20 MHz transmission mode: the HT-LTF is assigned to sub-carriers –28 to –1 and 1 to 28; the training sequence is an extension of the L-LTF where the 4 extra sub-carriers are filled with +1 for negative frequencies and -1 for positive frequencies

  • In the 40 MHz transmission mode: the HT-LTF is assigned to sub-carriers –58 to –2 and 2 to 58, the training sequence is also constructed by extending the L-LTF as follows: first, the legacy LTF is shifted and duplicated for the duplicate legacy mode; then the missing sub-carriers are filled: sub-carriers [-32 -5 -4 -3 -2 2 3 4 5 32] are filled with the values [1 -1 -1 -1 1 -1 11 -1 1] respectively.


High Throughput Short Training Field

High Throughput Short Training Field (HT-STF)

The purpose of the High Throughput Short Training Field is to improve AGC (Automatic Gain Control) training in a multi-transmit and multi-receive system. The duration of the HT-STF is 4μsec.

  • In the 20 MHz transmission mode: the HT-STF is assigned to sub-carriers –28 to –1 and 1 to 28; the frequency sequence used to construct the HT-STF is identical to L-STF.

  • In the 40 MHz transmission mode: the HT-STF is assigned to sub-carriers –58 to –2 and 2 to 58, and constructed from the 20 MHz version by frequency shifting and duplicating, and rotating the upper sub-carriers by 90°.


High Throughput Signal Field

High Throughput Signal Field (HT-SIG)

The high throughput signal field is used to carry information required to interpret the HT packet formats. The HT-SIG is composed of two parts HTSIG1 and HTSIG2, each containing 24 bits. All the fields in the HT-SIG are transmitted LSB first.

HT-SIG consists of two OFDM symbols. It is interleaved and mapped. The HT-SIG is not scrambled.

  • In the 20 MHz transmission mode: the two OFDM symbols are assigned to sub-carriers -28 to 1 and 1 to 28, and have pilot inserted in sub-carriers –21, –7, 7 and 21.

  • In the 40 MHz transmission mode: the two OFDM symbol are assigned to sub-carriers -58 to -2 and 2 to 58, and have pilot inserted in sub-carriers –53, –25, –11, 11, 25, 53.

HT-SIG are in BPSK modulation, in which the constellation of the data tones is rotated by 90º relative to the legacy signal field.

Figure 1. Constellation for the legacy signal field and the HT signal field.


IDFT

Converts a block of subcarriers to a time domain block.


IFFT

IFFT (Inverse Fast Fourier Transform)

Converts a block of constellation points to a time domain block.


Incrementation Example

Incrementing Sequence and Fragment Numbers

Below is an example of how sequence and fragment number incrementation works within N7617B Signal Studio for WLAN 802.11a/b/g/n/ac. In this example, we will set up a 12-frame transmission with three sequences of four frames each.

Configure the parameters as shown below:

This configuration will cause the Sequence Control field of the MAC header to act as shown below:

Notice that the sequence number increments and the fragment number wraps to zero every four frames.

If you disable Increment Sequence Control Field for this example, the sequence number will not increment, and the fragment number will increment to B hex (11 decimal). If you disable Increment Sequence Control Field and the number of frames is greater than 16, the fragment number will increment to F hex (15 decimal) and wrap to zero.

You can set the initial sequence and fragment numbers by editing the Closed Sequence Control field of the MAC header. The sequence number can be set from zero to its upper limit of FFF hex (4095 decimal). The fragment number can be set from zero to its upper limit of F hex (15 decimal). The sequence and fragment numbers always wrap to zero, regardless of the initial settings.

Sequence Control field of the MAC Header


Insert GI and Window

  • GI (Guard interval) – inserts the guard interval.

  • Optional windowing – smooths the edges of each symbol to increase spectral decay.


Interleaver

Interleaves the bits of each spatial stream (changes order of bits) to prevent long sequences of noisy bits from entering the FEC decoder.


L-SIG(Signal)

L-SIG(Signal), starts with 'L-', which stands for Legacy, which is similar to the same fields in 802.11a/b/g and 802.11n.

Fields are duplicated over each 20 MHz sub-band with appropriate phase rotation. Subcarriers are rotated by 90 or 180 degrees in certain sub-bands to reduce PAPR.

L-SIG field includes information regarding the length of the rest of the packet. This means that all devices including the legacy devices will know that a packet of a given length is being transmitted.


LDPC encoder

The scrambled bits are encoded using the LDPC code with the LENGTH in the TXVECTOR.


LDPC tone mapping

LDPC tone mapping is to permutes the stream of constellation points (complex numbers) using LDPC encoding to obtain spatial streams.

For 160 MHz, the LDPC tone mapping for LDPC-coded streams is performed separately for the upper and lower 80 MHz frequency segments.


L-LTF(Long Training Field)

L-LTF, starts with 'L-', which stands for Legacy, is L-LTF (LongTraining Field), which is similar to the same fields in 802.11a/b/g and 802.11n.

Fields are duplicated over each 20 MHz sub-band with appropriate phase rotation. Subcarriers are rotated by 90 or 180 degrees in certain sub-bands to reduce PAPR.

The L-LTF, along with L-STF(Long Training Field), contain information that allows the device to detect the signal, perform frequency offset estimation, timing synchronization, etc. The 'L-' stands for 'legacy' and the details of the sequences used in these fields for the 20 MHz signals are the same as the legacy 11a and 11n preamble fields which allows for all 802.11 devices to synchronize to the signal.


Legacy Long Training Field

Legacy Long Training Field (L-LTF)

The legacy long training OFDM symbol is identical to the 802.11a long training OFDM symbol. The L-LTF is BPSK modulated at 6 Mbps. It contains no channel coding, and is not scrambled.

  • In the 20 MHz transmission mode: the legacy long training OFDM symbols are assigned to sub-carriers –26 to –1 and 1 to 26.

  • In the 40 MHz transmission mode: the legacy long training OFDM symbols are assigned to sub-carriers –58 to –2 and 2 to 58. The tones in the upper sub-channel (sub-carriers 6-58) are phase rotated by +90º. The 90º rotation helps keep the PAPR of the STF in 40 MHz comparable to that in 20 MHz. The sub-carriers at ±32 in 40 MHz, which are the DC sub-carriers for the legacy 20 MHz transmission, are both nulled in the L-LTF. Such an arrangement allows proper synchronization of the 20 MHz legacy device.


Legacy Short Training Field

Legacy Short Training Field (L-STF)

The legacy short training OFDM symbol is identical to the 802.11a short training OFDM symbol. The L-STF is BPSK modulated at 6 Mbps. It contains no channel coding, and is not scrambled. The L-STF has a period of 0.8 µs. The entire short training field includes ten such periods, with a total duration of 8 µs.

  • In the 20 MHz transmission mode: the legacy short training OFDM symbols are assigned to subcarriers -24, -20, -16, -12, -8, -4, 4, 8, 12, 16, 20, 24.

  • In the 40 MHz transmission mode: the legacy short training OFDM symbols are assigned to subcarriers -58 to -2 and 2 to 58. The tones in the upper sub-channel (subcarriers 6-58) are phase rotated by +90º. The 90º rotation helps keep the PAPR of the STF in 40 MHz comparable to that in 20 MHz.


Legacy Signal Field

Legacy Signal Field (L-SIG)

The signal field is used to transfer rate and length information. The L-SIG consists of one OFDM symbol assigned to all 52 subcarriers. This symbol is BPSK modulated at 6 Mbps and is encoded at a ½ rate. L-SIG is interleaved and mapped, and has pilots inserted in subcarriers –21, –7, 7 and 21. The L-SIG is not scrambled.

It has different meaning when used in legacy transmission than when used in a non legacy transmission.

  • In the legacy 20 MHz transmission mode: it is transmitted using the same method and meaning as specified in the IEEE 802.11a standard, shown in the below figure.

  • In the legacy 40 MHz transmission mode and Green Field 20 MHz and 40 MHz transmission mode, the bits in the rate field are [1,1,0,1] – corresponding to a rate of 6 Mbps in legacy representation. The value in the length field is given through the TX vector. This value is used to spoof legacy devices to defer transmission for a period corresponding to the length of the rest of the packet.


Microsoft .NET-Based API

The Microsoft .NET-based application programming interface (API) is provided to enable systematic and efficient configuration of complex WLAN 802.11a/b/g/j/p/n waveforms. The API allows programmatic setting of signal parameters by importing custom data sets or using programming loops and mathematical functions rather than manually entering data in the Signal Studio graphical user interface. The entire signal configuration and playback process can be automated easily in your own programming environment using the API.


MIMO Characteristic Performance

MIMO Performance Characteristics

This topic describes the MIMO performance for the following vector signal generators:

  • E4438C ESG

  • N5182A MXG

E4438C ESG Performance

Test Overview

The following ESG MIMO configurations were tested:

A: ESG MIMO system without common baseband clock and without RF phase coherency

B: ESG MIMO system with common baseband clock and without RF phase coherency

C: ESG MIMO system with common baseband clock and with RF phase coherency

Two characteristic performance attributes were analyzed for each configuration. They are Phase Difference (between 2 ESG’s) vs. Time (at a fixed temperature) and Phase Difference vs. Temperature. The Keysight dual channel 89641S vector signal analyzer (VXI) was used to perform the measurements. The phase difference and other noise introduced by the 89641S have been removed from the measurement results, so the signal generator performance is accurately represented.

The following characteristic performance graphs are representative of the measurement results achieved on three sets of 2-ESG systems.

Test Results

Legend for pictures below:

  • Dark blue curve - measured phase difference.

  • Light blue curve - mean value of phase difference (every 20 points).

  • Pink line - Fitted line from the dark blue curve; shows the trend of the phase difference.

1. Results of configuration A: Two ESGMIMO system without common baseband clock and without RF phase coherency

Figure 1-1 Phase difference over time for configuration A

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 2.8 degrees phase change over 12 hours (pink line). The average peak-to-peak jitter of the phase difference is about 1.5 degrees (dark blue curve).

Figure 1-2 Phase difference over temperature for configuration A

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 35 degrees phase change per degree Celsius temperature change.

2. Results of configuration B: Two ESGMIMO system with common baseband clock and without RF phase coherency

Figure 2-1 Phase difference over time for configuration B

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 5.8 degrees phase change over 12 hours. The average peak-to-peak jitter of the phase difference is about 1.5 degrees.

Figure 2-2 Phase difference over temperature for configuration B

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 40 degrees phase change per degree Celsius temperature change.

3. Results of configuration C: Two ESGMIMO system with common baseband clock and with RF phase coherency

Figure 3-1 Phase difference over time for configuration C

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 0.17 degree phase change over 12 hours (pink line). The average peak to peak jitter of phase difference is about 0.15 degree (dark blue curve).

Figure 3-2 Phase difference over temperature for configuration C

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 0.03 degree phase change per degree Celsius temperature change.

Conclusion

For details, refer to the MIMO Characteristic Performance Analysis topic in the online documentation.

PDA (Phase Difference A): Jitter (noise like vibration) in dark blue curve, caused by phase noise.

PDB (Phase Difference B): Change trend of the phase difference drift shown by pink line, caused by ambient temperature drift.

PDA is dominant; PDB is neglectable.

Worst case equivalent RMSEVM: could be used as a reference to evaluate phase difference impact on MIMO measurements. (Only apply to worst test case; may not be seen from typical measurements.)

EVMrms(worst case equivalent) = 0.0031167* PhaseDifferencepeak-to-peak

1.5 degree peak-to-peak phase difference: worst case equivalent EVMrms = 0.0047. (0.47%)

0.15 degree peak-to-peak phase difference: worst case equivalent EVMrms = 0.00047. (0.047%)

Configuration C is needed for beam forming related tests, and recommended for other high precision MIMO tests.

Configuration B is needed for MIMO tests where phase lock of baseband clocks is needed.

N5182A MXG Performance

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

Test Overview

The following MXG MIMO configurations were tested:

A: MXG MIMO system with baseband timing alignment and without RF phase coherency

B: MXG MIMO system with baseband timing alignment and with RF phase coherency

Two characteristic performance attributes were analyzed. They are Phase Difference (between 2 MXG’s) vs. Time (at fixed temperature) and Phase Difference vs. Temperature. The Keysight dual channel 89641S vector signal analyzer (VXI) was used to perform the measurements. The phase difference and other noise introduced by the 89641S have been removed from the measurement results, so the signal generator performance is accurately represented.

The following characteristic performance graphs are representative of the measurement results achieved on two sets of 2-MXG systems.

Test Results

4. Results of configuration A: Two MXG MIMO system with baseband timing alignment and without RF phase coherency.

Figure 4-1 Phase difference over time for configuration A

At fixed room temperature of 25° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

1 test point per minute.

From the plot, we can see the fastest trend change is 0.13 degrees Celsius per minute. The average peak-to-peak jitter of phase difference is about 1.5 degrees.

Figure 4-2 Phase difference over temperature for configuration A

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 37 degrees phase change per degree Celsius temperature change.

5. Results of configuration B: Two MXG MIMO system with baseband timing alignment and with RF phase coherency.

Figure 5-1 Phase difference over time for configuration B

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.5 GHz.

600 test points per 60 minutes.

From the plot, we can see a 0.005 degree phase change over 12 hours (pink line).

The average peak-to-peak jitter of phase difference is about 0.06 degrees (dark blue curve).

Figure 5-2 Phase difference over temperature for configuration B

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 0.1 degrees phase change per degree Celsius temperature.


PHY Padding

Append the PHY pad bits and tail bits to the PSDU.


QAM Mapping

Constellation Mapper

Maps the sequence of bit in each spatial stream to constellation points (complex numbers).


S1G MCSs for Channel Bandwidth 1 MHz

S1G MCSs for 1 MHz, NSS = 1

S1G MCSs for 1 MHz, NSS = 2

S1G MCSs for 1 MHz, NSS = 3

S1G MCSs for 1 MHz, NSS = 4


S1G- MCSs for Channel Bandwidth 2 MHz

S1G MCSs for 2 MHz, NSS = 1

S1G MCSs for 2 MHz, NSS = 2

S1G MCSs for 2 MHz, NSS = 3

S1G MCSs for 2 MHz, NSS = 4


S1G MCSs for Channel Bandwidth 4 MHz

S1G MCSs for 4 MHz, NSS = 1

S1G MCSs for 4 MHz, NSS = 2

S1G MCSs for 4 MHz, NSS = 3

S1G MCSs for 4 MHz, NSS = 4


S1G MCSs for Channel Bandwidth 8 MHz

S1G MCSs for 8 MHz, NSS = 1

S1G MCSs for 8 MHz, NSS = 2

S1G MCSs for 8 MHz, NSS = 3

S1G MCSs for 8 MHz, NSS = 4


S1G MCSs for Channel Bandwidth 16 MHz

S1G MCSs for 16 MHz, NSS = 1

S1G MCSs for 16 MHz, NSS = 2

S1G MCSs for 16 MHz, NSS = 3

S1G MCSs for 16 MHz, NSS = 4


Scrambler

Scrambles the data to prevent long sequences of zeros or ones.


Sending SCPI Commands with Connection Expert

  1. On your PC, open the Keysight Connection Expert.

    1. Click Start > All Programs > Keysight IO Libraries Suite > Keysight Connection Expert.

    2. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it at http://www.keysight.com/find/iolib.

  2. In the Instrument IO on this PC tree view Closed tree view, select the master ESG/PSG.

  3. If the Task Guide view is not enabled, go to View > Task Guide.

  4. In the Closed Tasks for This Instrument column, click Send Commands to this Instrument to open the Closed Keysight Interactive IO dialog window.

  5. Enter the SCPI command in the Command: text box. (See the Closed drop-down figure.)

  6. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History: window. (See the Closed drop-down figure.)


L-STF(Short Training Field)

L-STF, starts with 'L-', which stands for Legacy, is L-STF (Short Training Field), which is similar to the same fields in 802.11a/b/g and 802.11n.

The L-STF, along with L-LTF(Long Training Field), contain information that allows the device to detect the signal, perform frequency offset estimation, timing synchronization, etc. The 'L-' stands for 'legacy' and the details of the sequences used in these fields for the 20 MHz signals are the same as the legacy 11a and 11n preamble fields which allows for all 802.11 devices to synchronize to the signal.


Spatial Mapping

Maps spatial time streams to different transmit chains. This may include one of the following:

  • Direct mapping – each space time stream is directly mapped to a different transmit chain. When using direct mapping scheme, the number of space time stream must be equal to the number of chains.

  • Spatial expansion – the space time streams are multiplied by a matrix, and then transmitted through different transmit chains. When using spatial expansion mapping scheme, the space time stream can be fewer than the transmit chain. FFT transformation matrix is selected for spatial expansion purpose.


STBC

STBC (Space Time Block Coding)

The spatial streams are mapped to the space time streams when the number of space time streams is greater than the number of spatial streams.


Stream Parser

Divides the output of the encoders into blocks that will be sent to different interleaver and mapping devices. The sequences of the bits sent to the interleaver are called spatial streams.


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


VHT MCSs for optional 20 MHz

VHT MCSs for mandatory 20 MHz, NSS = 1

VHT MCSs for optional 20 MHz, NSS = 2

VHT MCSs for optional 20 MHz, NSS = 3

VHT MCSs for optional 20 MHz, NSS = 4

VHT MCSs for optional 20 MHz, NSS = 5

VHT MCSs for optional 20 MHz, NSS = 6

VHT MCSs for optional 20 MHz, NSS = 7

VHT MCSs for optional 20 MHz, NSS = 8


VHT MCSs for optional 40 MHz

VHT MCSs for mandatory 40 MHz, NSS = 1

VHT MCSs for optional 40 MHz, NSS=2

VHT MCSs for optional 40 MHz, NSS=3

VHT MCSs for optional 40 MHz, NSS=4

VHT MCSs for optional 40 MHz, NSS=5

VHT MCSs for optional 40 MHz, NSS=6

VHT MCSs for optional 40 MHz, NSS=7

VHT MCSs for optional 40 MHz, NSS=8


VHT MCSs for optional 80 MHz

VHT MCSs for mandatory 80 MHz, NSS = 1

VHT MCSs for optional 80 MHz, NSS = 2

VHT MCSs for optional 80 MHz, NSS = 3

VHT MCSs for optional 80 MHz, NSS = 4

VHT MCSs for optional 80 MHz, NSS = 5

VHT MCSs for optional 80 MHz, NSS = 6

VHT MCSs for optional 80 MHz, NSS = 7

VHT MCSs for optional 80 MHz, NSS = 8


VHT MCSs for optional 160 MHz and 80+80 MHz

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS= 1

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS= 2

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS= 3

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS= 4

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS= 5

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS = 6

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS = 7

VHT MCSs for optional 160 MHz and 80+80 MHz, NSS = 8


VHT-LTF

VHT-LTFs, from 1 to 8 fields of the packet, are used for estimating the MIMO channel and then equalizing the received signal. Because the number of LTFs sent is greater than or equal to the number of spatial streams per user, they are called ‘resolvable LTFs’.


VHT-SIG-A

Fields in the packet beginning with VHT are new to 11ac. (VHT = 11ac and stands for Very High Throughput.) The VHT-SIG-A field contains two OFDM symbols.

VHT-SIG-A: Contains info required to interpret VHT packets (BW, number of streams, guard interval, coding, MCS, beamforming)

The first symbol is modulated using BPSK, so any 11n device listening will think that the packet is an 11a.

The second symbol uses a 90 degree rotated BPSK which allows the VHT device to know that this is an 11ac packet. Important information is contained in the bits of these two symbols such as bandwidth mode, MCS (Modulation and Coding Scheme) for the single user case, number of space time streams, etc.

The legacy fields and the VHT-SIG-A fields are duplicated over each 20 MHz of the bandwidth and the appropriate phase rotation is applied.


VHT-SIG-B

VHT-SIG-B: Describes length of data and MCS for single or multi-user modes. Bits are repeated for each 20 MHz sub-band.

The VHT-SIG-B is the last field in the preamble before the data field is sent. VHT-SIGB is BPSK modulated and provides information on the length of the useful data in the packet and in the case of MU-MIMO provides the MCS. (The MCS for single user case is transmitted in VHT-SIG-A.)

Appropriate phase rotation is applied to each 20 MHz subband in the VHT-STF, VHTLTF, and VHT-SIG-B.


VHT-STF

VHT-STF is used to improve automatic gain control estimation in MIMO transmission.

After the VHT-SIG-A, the VHT-STF is sent, the primary function of the VHT-STF is to improve automatic gain control estimation in a MIMO transmission.